// MD_DEFS.JS
//
// Author:	Poundboy
// Email:	poundboy@megapathdsl.net
// Version:	1.01
//
// Description:
//
// Defines global variables for the MD_* libraries
//
//
// Modification History
//
// Who	Date	  Version	Description
//
// PBoy	06/23/02  1.01		Initial version
//
// *******************************************
// Global  Variables
//
// Constants

// Defines for JScript file open iomodes
ForReading	= 1	// Open a file for reading only
ForWriting	= 2	// Open a file for writing
ForAppending	= 8	// Open a file and write to the end of the file.

// Damage type constants. Can be converted to skunkworks API dmty contant flags by
// the following formula:  dmtyflag = 2**(damconstant-1)
damBlade	= 1;
damPierce	= 2;
damBludgeon	= 3;
damCold		= 4;
damFire		= 5;
damAcid		= 6;
damElectric	= 7;
damArmor	= 8;	// Not really a damage type, but used to group the armor/imperl spells

// Damage type names.  Used mainly for debugging.
damName 	= new Array ( "None", "Blade", "Pierce", "Bludgeon", "Cold", "Fire", "Acid",
			      "Electric", "Armor" );

// Setup array to translate name to number
damNum			= new Array();
damNum["None"]		= 0;
damNum["Blade"]		= 1;
damNum["Pierce"]	= 2;
damNum["Bludg"]		= 3;
damNum["Cold"]		= 4;
damNum["Fire"]		= 5;
damNum["Acid"]		= 6;
damNum["Elec"]		= 7;

// Body part translations from numbers to text
damBody		= new Array ( "Head", "Chest", "Abdomen", "UpperArm", "LowerArm",
			      "Hand", "UpperLeg", "LowerLeg", "Foot" );

// The following constant is used to handle the new item buffing.  When an eqm mask
// for an item buff has this bit set, then the item buff is cast on the character
// which applies the spell to all equipment the character is wearing.
eqmPaperDoll	= 0x40000000;	// All equipment slots.

// **************************************************************************************************
//
// Attack Context Constants
attSpellAuto	= 0;	// Use highest spell we have for a particular damage type unless creature is
			// moving in which case we use a bolt spell.
attSpellBolt	= 1;	// Use Bolts only for war spells
attSpellArc	= 2;	// Use Arcs only for war spells

attSpellText = new Array();
attSpellText[attSpellAuto] = "Auto";
attSpellText[attSpellBolt] = "Bolt";
attSpellText[attSpellArc]  = "Arc";



// Spell constants

// castNo		= 0;
// castYes		= 1;

// effectImmediate	= 1;	// Spell has no lasting effect
// effectTimed	= 2;	// Spell lasts for a time interval

// typePos		= 1;	// Spell is positive (buff,protect etc)
// typeNeg		= 2;	// Spell is negative (debuff,vuln etc)

// targetSelf	= 1;	// Spell can only be cast on self
// targetOther	= 2;	// Spell can only be cast on others
// targetItem	= 3;	// Spell can only be cast on items

// schoolWar	= 1;
// schoolLife	= 2;
// schoolItem	= 3;
// schoolCreature= 4;




// Maximum drain distance by spell level for drain mana/health/stamina spells
// MaxDrainDist	= new Array();
// MaxDrainDist[1] = 0.030;
// MaxDrainDist[2] = 0.045;
// MaxDrainDist[3] = 0.060;
// MaxDrainDist[4] = 0.075;
// MaxDrainDist[5] = 0.090;
// MaxDrainDist[6] = 0.105;
// MaxDrainDist[7] = 0.120;

