// WAR_CONFIG.JS
//
// Author:	Poundboy
// Version:	2.08
//
//
// Modification History:
//
// Who	  Date	    Version	Description
//
// PB	  09/13/02  1.01	Initial version.  Mostly based on old acscript drainbot
//
//
// Description:
//
// Contains the default values for configuration variables not contained in the decal panels.
//
// DO NOT CHANGE ANYTHING IN THIS FILE!!!
//
// If you want to set a different value for one or more of these variables, copy the variable
// definitions to your userconfig_'charname'.dat file in C:\WARBOTCFG.  If you place all your
// changes in userconfig.dat then it will be easier for you to see what variables you have
// modified, and your changes will not be wiped out by the next release of the program. 


// Due to a bug in skunkworks, very rarely the slot number of your character is calculated incorrectly.
// This will cause the wrong character to be logged in after stealth mode evasion ends.  If this is
// happening to you, uncomment the following line and replace 'n' with the slot number of the character
// you are macroing with.  Slot numbers start with 0, ie the first character in your login screen is slot 0.
// ForceSlot = n;


// ***************************************************************************************************
//

// Macro Control Flags.  Not settable from decal panels
flagAttackPlayer= false;	// When a PK player casts a beneficial or harmful spell on us, ignore him
				// if this is set to false.  This fixes problem were friendly PK fellowed
				// with us casts a heal spell on us and previously warbot would attack him/her.
flagCheckVitals = true;		// Do we want to check vitals? Might disable during testing
flagAdminTest	= false;	// If true, prefix all character names we detect with the "+" character to
				// test the admin alerting routines
				
flagRepRetreat	= true;		// It true, log to chat area when retreat amount changes

// Flags that control logging of information
logChat		= true;		// If true, log tells/local chat to the event log
logIdle		= true;		// If true, log information related to IDLE state processing
logSelect	= true;		// If true, log all creatures selected to event log
logTarget	= true;		// If true, log information related to targeting creatures
logAttack	= true;		// If true, log attack events (like aborts) to event log
logKills	= true;		// If true, log kills to the event log
logVitals	= true;		// If true, log when stam/mana/health related spells cast
logDebuffs	= true;		// If true, log all debuff spells cast on us
logExpire	= true;		// If true, log when spells on us expire
logDanger	= true;		// If true, log when Danger flag changes state
logMove		= true;		// If true, log info related to movement between attack locations
logFellow	= true;		// If true, log fellowship commands to the event log
logPlayers	= true;		// If true, log players detected in area to event log
logCrits	= true;		// If true, log melee hits that exceed 'critThresh'
logComp		= true;		// If true, log component shortages to event file
logHourly	= true;		// If true, log interesting hourly stats to event log
logLoot		= true;		// If true, log stuff related to corpse looting
logItems	= true;		// If true, log items we spammed to fellow
logRares	= true;		// If true, log any rare messages detected in chat
logSalvage	= true;		// If true, log stuff related to material salvaging
logGifts	= true;		// If true, log stuff people give to us to event log
logBuffs	= true;		// If true, log all buff casts to event file.
logBurden	= true;		// If true, log info related to burden
logCmds		= true;		// If true, log info related to command processing
logDecal	= true;		// If true, log info related to decal control processing
logPlig		= true;		// If true, log when players in game state (skapi.plig) changes
logExcl		= true;		// If true, log when we LOCK/UNLOCK creatures
logScroll	= true;		// If true, log info related to learning unknown scrolls
logRing		= true;		// If true, log info related to ring spell state changes
logCharge	= true;		// If true, log info related to mana charge usage
logSkillExp 	= false;	// If true, log when a skill changes in total experience.  Useful to
				// calculate difficulty of an action, esp magic defense of a creature
logExp 		= true;		// If true, log unassigned experience changes greater than
				// 'expThresh' points to the eventlog file.  Note we use unassigned exp
				// since lvl 126 characters total experience never changes.szSchemaConfignavmaxfile


// Debug flags.  Macro operation can be severely slowed down when using these flags, so be careful.
debug2		= false;	// Will log extended debugging information for non-events
debug3		= false;	// Special debugging information for non-events
debug4		= false;	// Special debugging information for non-events
debug5		= false;	// Special debugging information for non-events
debugAssCre	= false;	// Log debug information for assessing creatures
debugEvent2	= false;	// Will log extended debugging information for events
debugEvent3	= false;	// Special debugging information for events
debugEvent4	= false;	// Special debugging information for events
debugInit	= false;	// Show debug information related to INIT state processing
debugPrev	= false;	// Show debug info related to previous yields/vulns on creatures
debugDone	= false;	// Show info on previously imperled/vulned creatures when in support mode
debugEvade	= false;	// Show debugging information related to evading war spells
debugHide	= false;	// Show debugging information related to stealth mode
debugInvent 	= false;	// If true, show information related to inventory management (selling, giving)
debugAddInv	= false;	// If true, log all items added to inventory
debugSalExt 	= false;	// Extended debug info for salvaging
debugVitals	= false;	// Show debugging information for vitals management (mana, stam, health)
debugDecal	= false;	// If true, show debugging information related to decal control processing
debugCmds	= false;	// Show debugging information for command processing
debugComps  	= false;	// Show debugging information for component management
debugEval	= false;	// Show debugging information for the evaluate command
debugExcl	= false;	// Show debugging information related to exclusion mode
debugRange	= true;		// Show debugging info related to out of range creature processing
debugDanger	= false;	// Show info related to danger and critical condition detection
debugLog	= false;	// Show debugging info related to player logon/logoff
debugStats	= false;	// Show info related to statistics
debugScroll	= false;	// Show debug info related to learning unknown scrolls
debugRing	= false;	// Show debug info related to ring spell casting
debugCharge	= false;	// Show debug info related to using mana charges
debugDeathMsg	= false;	// Show debug information related to death message processing
debugSupport	= false;	// Show debug information related to healing and staming of fellow members


// *******************************************************************************************************
//
// Miscellaneous Settings
genMaxFiles	= 10;		// Maximum # of GENCONFIGxx.DAT files
navMaxFiles	= 10;		// Maximum # of NAVCONFIGxx.DAT files
lootMaxFiles	= 10;		// Maximum # of LOOTCONFIGxx.DAT files
buffMaxFiles	= 10;		// Maximum # of BUFFCONFIGxx.DAT files
creMaxFiles	= 10;		// Maximum # of CRECONFIGxx.DAT files

expThresh  	= 1000;		// Only track exp point changes greater than this, which will filter out
				// the small changes due to casting spells and most vassal passup.  Enables
				// us to determine macro efficiency and exp point values of creatures.
expSkillThresh	= 100;		// Only report skill exp changes above this.  Filters out small changes
				// due to casting, but picks up the large changes that enables us to
				// determine a creatures magic defense or attack skill.
accDefChar	= 3;		// Default char to login when macro started at login screen.  Chars
				// numbered from 0 to 4.  Once AC active, this variable set automatically
critThresh	= 25;		// Threshold for melee damage before we will log event
locRecordThresh	= 0.20;		// Record location changes more than this many mapunits if 'flagRecordLoc' true.
charModeDelay   = 600;		// Time to delay after switching from peace to war mode
logoutTimeout	= 30000;	// # of milliseconds to wait after initiating player logoff for player to
				// go to login screen.  Give up after this value (default 30 seconds)
autoExclDist	= 0.40;		// Distance to look for players for autoExclusion calculations
coMacroerDist	= 0.15;		// Distance to consider player a co-macroer for parameter settings
supportDist	= 0.27;		// Maximum distance to try to heal or stam someone
supportHealth	= 100;		// If healing support enabled, cast heal other when fellow member health this
				// much below his maximum health
supportStamina	= 200;		// If stamina support enabled, cast stamina other when fellow member stamina this
				// much below his maximum stamina
supportHealLvl  = 7;		// Level of spell to cast for heal other
supportStamLvl  = 7;		// Level of spell to cast for stamina other
autoResumeInt	= 11*60*1000;	// Time (ms) after pausing macro to automatically resume macro (if enabled).
buffMaxInt	= 2*60*1000;	// Maximum number of time (milliseconds) we can stay in buff state continuously.
inactTimer	= 0;		// Set to a number greater than 0 to set the client inactivity timer to the
				// specified value (seconds).  0 means don't reset it.  Setting this to a large
				// number will prevent an inactivity logout, but you run the risk of the macro
				// aborting due to an error and your toon not logging out and potentially dying
				// multiple times.
rotateInt	= 600000;	// How often to rotate (ms) to prevent inactivity timeout (default 10 minutes)
deathMax	= 2;		// When number of deaths reaches this, then logoff no matter what the
				// setting of the 'flagDeathLog' variable.  Prevents unattended macro that
				// does not log at death from dying over and over.
deathLogWait	= 15*60*1000;	// Time after dying that we will logoff
deathWait	= 25000;	// Amount of time to wait after death before resuming macro. Ensures we receive
				// all spell expiration event messages and we exit portal space
scrollTimeout	= 7000;		// Time to wait to learn a scroll
busyWait	= 4000;		// Amount of time to wait when pointer is busy before initiating reset attempt
lowSafetyInt	= 75*1000;	// Wait 75 seconds before forcing mana charge regardless of state
potionSafety	= 20;		// Potions that put spells on your will be reused when the remaining time is less
				// then this many seconds.

// ********************************************************************************************************
//
// Component management parameters
//
// Note actual components to check defined in CompInit() function below
compInterval	= 60*1000;	// How often to check comps (ms).  Default is 60 seconds
compCheckMax	= 3*60*1000;	// Max amount of time (ms) we can stay in the CompCheck state, def 3 minutes
compSpamInt	= 3*60*1000;	// How often to sound an alert for a comp that is low

// ********************************************************************************************************
//
// Command & Fellowship parameters

enableCommands	= true;		// Enable processing of commands from people on the authList defined below
authAllegiance	= false;	// Allow anybody in allegiance to use LEADER, FELLOW, MEMBERS, LOC commands
fellowName	= "Vitae"	// Fellowship name if creFellow set to 'true'
fellowPassword	= "boygary";	// Default password for fellow
autoFellow	= false;	// Enables/Disables Auto Fellow at macro startup.  Old feature from drain
				// macro, need to remove.

// Set response to @tells for people not on authorized list
tellResponse	= "I am currently away from the keyboard";

// Macro will attempt to fellow people in this list upon macro startup if they are nearby
autoFellowList = new Array();

// These players can give commands to us.  Functions include adding requestor to fellowship
// (if we are leader), dissolving fellowship, and querying for leader of current fellowship
authList = new Array();

// ********************************************************************************************************
//
// Health, Mana, and Stamina Management
//
// The following set of variable control when we heal ourselves
threshHealOffset    = 70;	// When health this much below current maximum, then heal self. Note
				// that if we are attacking a creature a drainhealth is a possibility
				// so this should not be set lower than 'threshDrainHealthOffset'.
threshBigHeal	    = 140;	// If health falls below this level (absolute), then do stam-to-health.
threshBigHealStam   = 150;	// Stamina must be at least this level (absolute) before a big heal will
				// be done, otherwise heal self would return more.
threshHealKillOffset=  30;	// When killing a creature, then reduce threshHealOffset by this so
		    		// that we kill the creature a little faster.   Set to 0 to disable


// The next set of variable control when we cast stam to mana
threshManaOffset    = 150;	// When mana this much below maximum, then do stam-to-mana (unless stam low)
threshStaminaMin    = 120;	// If stamina is below this level (absolute) then don't do stam-to-manas
				// since the mana received at this low stam level won't be much more than
				// cost of spell.
threshManaEmer	    = 100;	// When mana below this much (absolute), then do a stam-to-mana regardless
				// of stamina levels
threshManaKillOffset=  50;	// When killing a creature, then reduce threshManaOffset by this so
				// that we kill the creature a little faster. Set to 0 to disable

// These variable control when a self revitalize occurs
threshStaminaOffset =  90;	// When stamina this much below maximum, then cast revitalize self.
threshStaminaEmer   = 100;	// When stamina below this much (absolute), then do a revit self regardless
				// of health or mana levels
threshStamKillOffset=  40;	// When killing a creature, then reduce threshStaminaOffset by this so
				// that we kill the creature a little faster. Set to 0 to disable

// Miscellaneous control variables related to stats
threshBuffMana	    = 100;	// Only try to buff if mana at least this level

// When a vital is threshDrain'xxx'Offset below its current maximum (includes buffs/debuffs) and
// we are attacking a creature within drain range, then drain that stat.  Set to large value (like 1000)
// to disable for that stat.
threshDrainHealthOffset  =  50;
threshDrainManaOffset	 =  60;
threshDrainStaminaOffset =  60;

// Drain health/stamina/mana from creatures until a drain returns below the following lower limits.
// Drains are also limited by the 'minDrain*' constants
usefulDrainHealth  = 75;    // When Drain Health returns below this, then don't do anymore for replenishment
usefulDrainMana    = 75;    // When Drain Mana returns below this, then don't do anymore for replenishment
usefulDrainStamina = 75;    // When Drain Stamina returns below this, then don't do anymore for replenishment

// Don't even try to drain a creatures vital unless the creatures vital stat is above the following. Since
// mana and stamina are hard to figure out (need to do an assess creature), just use the creatures
// initial values from the creature database.  Since we receive the creatures current health through
// the OnTargetHealth event, we use this instead of initial value.
// values to a very high number to disable this feature.
minDrainHealth	  = 250;   // Only drain health if creatures current health is above this
minDrainMana	  = 350;   // Only drain mana if creatures initial mana is above this
minDrainStamina	  = 350;   // Only drain stamina if creatures initial stamina is above this

// Next set of variables control when we use a gem of stillness.  In addition to these criteria
// we must have life vulns on us and a creatures within our danger radius
gemTimeInt	= 60*1000;	// Minimum time between gem uses (millieconds).  1 sec = 1000ms
gemHealthThresh	= 120		// Health must be below this level before a gem will be used
gemManaThresh	= 999;		// Mana must be below this level before a gem will be used
gemStaminaThresh= 150;		// Stamina must be below this level before a gem will be used
gemCritThresh	= 50;		// When a single damage value inflicted upon you through a melee attack
				// exceeds this and your health is below 'gemHealthThresh', then use a gem	

// ********************************************************************************************************
//
// Selecting Creatures
selRangeOut	= 0.30;	  	// Select creatures within this range when outdoors
selRangeDung	= 0.10;	  	// Select creatures within this range when in a dungeon
selRealClose 	= 0.09;	  	// Creatures within this range will be processed first.  0.09 units
				// is the distance where most creatures will recognize you and attack
				
selSecMaxDist	= 0.04;		// Secondary creature must be within this many map units of primary target
selSecMinRange	= 0.06;		// Primary and secondary targets must be further away then this

// Creatures in this list will be selected first for killing, in order listed here.
// If no match found in the priority list, then we will select the creature worth the highest
// experience points within 'selRange' units.  Creatures within 'selRealClose' map units are
// selected first in priority order.  Examples of creatures to put in here are creatures that
// attack in groups and can be dangerous, such as tuskers and shadows.   We would want to kill
// those creatures at soon as possible so they don't have a chance to build up in numbers. The
// following list is based on creatures currently on obsidian plains as of March 2003 patch.
selPrioList = new Array();
// selPrioList	= new Array("Shadow Wraith", "Shadow Phantom", "Shadow Spectre",
//			    "Abyssal Shadow", "Tenebrous Shadow", "Sinister Shadow",
//			    "Maelstrom Shadow", "Paroxysm Shadow", "Pandemonium Shadow",
//			    "Olthoi Swarm Mutilator", "Olthoi Swarm Warrior", "Lacerator",
//			    "Olthoi Mutilator", "Olthoi Warrior",  "Assailer", "Rampager",
//			    "Telumiat Hollow Minion", "Terebrous Hollow Minion",
//			    "Platinum Golem", "Pyreal Golem", "Plasma Golem", "Vapor Golem" );


// If the following variable is set, then we will not attack creatures whose magic defense
// is 'selMaxSkillDiff' above our CURRENT (includes debuffs/buffs) life or war skills.  If
// the creatures magic defense is unknown, then skip the check.  This check will even
// exclude creatures that are wacking on us, so make sure you are far enough away from
// creatures that are far above your level so that that will not continuously wack on you
// if someone drags them over.  Negative values are valid.  Comment out this variable if
// you don't want to do this check.
selMaxSkillDiff	= 40;

// # of entries to keep on lock list.  Used when macroing in a group so we don't select a
// creature someone else is killing.
selLockListSize	= 100;
selLockLimit	= 120*1000;	// Lock only valid for this many milliseconds.

// Define variables that deal with corrupted creatures in object table.  Sometimes the object
// tables show a creature that is close to us, but in reality it is far away so we get into
// an infinite loop trying to select the creature and casting a spell which gets an out of range
// error and a creature abort, then it repeats forever.
SelOutRangeMax	= 5;		// Add creature to do not attack list after 5 out of range errors within...
SelOutRangeExp	= 10*60*1000;	// Remove entries from out of range list if no updates within this
				// many milliseconds. Otherwise table would get really big

// ********************************************************************************************************
//
// Creature Attack Parameters

// if 'attSpell' = attSpellAuto, then always use arcs if creature within this range.
attArcRadius	= 0.10;

// When 'Restrict selections by Z' is checked, creatures too far below or above you will not be selected.
attMaxHighZDiff	= 10;	// If creature is above you, don't select if Z difference greater than this
attMaxLowZDiff	= 10;	// If creature is below you, don't select if Z difference greater than this

// To avoid flooding the servers with assess requests, the following variables restrict assess attempts.
// We assess creatures while attacking when certain decal panel options are selected. 
attAssessInt	= 5000;	// there must be this many millseconds between assess attempts. 
attAssessDist	= 0.06;	// Don't assess the current creature if it is beyond this distance and the
			// the creature is further away then the last attempt.  Once it gets within
			// this distance then we don't do the distance check.

// The next two variables controls how to estimate the amount of damage a war spell will do.  A
// value of 0 will use the minimum damage for the war spell, a value of 1 will use the maximum
// value, and anything in between will use a percentage.  For example a value of 0.5 will use an
// estimated war damage value for a lvl 7 spell as 145, 110+((180-110)*0.5)=145.  Lower values will
// make it more likely a creature will be killed quickly but at the expense of components (ie will
// use higher level spells).  Higher values will save higher priced components (ie platinum scarabs),
// but may take more spells to kill the creature
attOneWarWeight	= 0;	// Weight to use then deciding if creature can be killed with one war spell
attVulnWeight	= 0.40;	// Weight to use then deciding if vuln spell can be stepped down
attWarWeight	= 0.20;	// Weight to use when deciding what level of war spell to cast after vuln done

// Our current war,life, or creature skill must be greater than the level in this array before a spell at
// that level will be cast.  First entry is spell level 0 which doesn't exist of course.
attWarThresh	= new Array(0,  0,  75, 125, 175, 225, 275, 325);	// for bolt and arc war spells
attDebuffThresh	= new Array(0, 50, 100, 150, 200, 250, 300, 350);	// for vulns and yields

// Only try to yield a creature whose magic defense is at least 'attYieldThresh' above our life or war
// skill.  In otherwords if (CreaturesMagicD-OurLifeorWarSkill) > attYieldThresh then a yield is required.
// Negative values are valid.  To complete disable yielding set the variable 'flagYieldDisable' (defined
// above) to 'true'.  Some example settings:
//   10 means yield if creature's magic d above either our life or war skill + 10
//    0 means yield if creature's magic d equal or greater then either our life or war skill
//  -10 means yield if creatures magic d equal or greater then either our life or war skill - 10
attYieldThresh = -10;

// Always try to yield the creatures in this list before trying to vuln/war them.
attYieldList	= new Array();

// Always try to vuln the creatures on this list.  Only comes into play when using a render wand
// and you want to make sure difficult creatures are vulned
attVulnList	= new Array();
// attVulnList	= new Array("Olthoi Swarm Matron");

// Never stepdown life or war spells for creatures on this list.  Useful for creatures that
// regain health quickly.
attNoStepDown	= new Array();
// attNoStepDown = new Array("Olthoi Swarm Matron", "Assailer");

// Creatures listed in the 'attDangerList' array will be killed as fast as possible. Drain stam/mana
// spells will be disabled, and the threshold for stam to mana will be reduced.  If creature moves
// within our danger radius, then stepup maximum war spell to 7s, ie use highest we can reliable cast
// and are in our spellbook.  Order in this list is unimportant.
attDangerList	= new Array();
// attDangerList = new Array("Assailer", "Rampager", "Sotiris Hollow Minion", "Tumideon Hollow Minion",
//			    "Telumiat Hollow Minion", "Terebrous Hollow Minion",
//			    "Virindi Profatrix", "Virindi Inquisitor", "Drudge Bloodletter",
//			    "Shadow Wraith", "Shadow Phantom", "Shadow Spectre", "Abyssal Shadow",
//			    "Platinum Golem", "Tempest Wisp", "Entropy Wisp", "Olthoi Swarm Matron",
//			    "Olthoi Swarm Warrior", "Lacerator", "Olthoi Mutilator", "Olthoi Warrior" );

// Never try to kill the creatures in this list even if they are wacking at us.  Examples
// of creatures you may put in here are hollow minions (since they run away quickly when
// not attacked), and creatures in our macroing area which are beyond our skill level or
// are a pain in the ass to kill
attSkipList	= new Array();

// Never try to drain mana, stamina, or health from creatures on these lists.  For creatures that
// start out with a high vital value but quickly deplete due to spell casting, or creatures that
// are drain resistant like the armored tuskers

attNoHealthList = new Array();
// attNoHealthList	= new Array( "Chaos Wisp", "Entropy Wisp", "Armored Tusker", "Olthoi Swarm Matron",
//			     "Olthoi Swarm Mutilator", "Narrow Rift", "Shallow Rift", "Ethereal Rift", 
//			     "Unstable Rift", "Quiddity Rift", "Plated Tusker" );

attNoManaList	= new Array();		     
// attNoManaList	= new Array( "Bane Grievver", "Destroyer Grievver", "Chaos Wisp", "Entropy Wisp",
//			     "Olthoi Mutilator", "Olthoi Warrior", "Armored Tusker", "Plated Tusker",
//			     "Olthoi Swarm Matron", "Olthoi Swarm Mutilator", "Narrow Rift", 
//			     "Shallow Rift", "Ethereal Rift", "Unstable Rift", "Quiddity Rift" );

attNoStaminaList= new Array();			     
// attNoStaminaList= new Array( "Bane Grievver", "Destroyer Grievver", "Chaos Wisp", "Entropy Wisp",
//			     "Olthoi Mutilator", "Olthoi Warrior", "Armored Tusker", "Plated Tusker",
//			     "Olthoi Swarm Matron", "Olthoi Swarm Mutilator", "Narrow Rift",
//			     "Shallow Rift", "Ethereal Rift", "Unstable Rift", "Quiddity Rift" );

// Always uses Bolt spells (instead of arcs) on the creatures in the following list.  This is used
// for creatures that run quickly towards us which means arcs almost always miss.
attBoltList	= new Array();

attMaxYields	= 6;	  // Max # of attempts to yield creature before giving up
attMaxImperls	= 4;	  // Max # of attempts to imperl creature before giving up
attMaxVulns	= 6;	  // Max # of attempts to vuln creature before giving up
attMaxTime	= 120000; // # of milliseconds after which we will give up attacking a creature and
			  // add that creature to the Do Not Attack List (DNAL).  60000 = 1 minute.
attMaxTimeCrit	= 150000; // When creature is close to us, then wait a little longer before aborting.
			  // Sometimes when swamped by creatures it may take a little longer to kill
			  // a creature.
			  
attMaxDone	= 6*60000; // After creature on done list for this many minutes then remove as debuffs
			   // will have expired anyway. 60000 = 1 minute. 

attMaxHealthFails = 2;	  // Don't anymore drain healths after we fail this many times to drain
attMaxManaFails   = 2;	  // Don't anymore drain manas after we fail this many times to drain
attMaxStaminaFails= 2;	  // Don't anymore drain staminas after we fail this many times to drain
attDrainFailHold  = 4000; // If a drain fails with an out of range error, don't do another one for
			  // at least this many milliseconds

attDNAL		= true;	// If set, then we will maintain a Do Not Attack List (DNAL).  This is useful when
			// we cannot kill a creature (due to terrain or level). If we did not have this
			// feature then the creature would be selected over and over again and never killed.
			// Note that creatures that are attacking us will be selected even if on this list

attExclPrio	= 5;	// Default exclusion mode priority.  When we LOCK a creature for killing, we
			// generate an attempt priority composed of this value and a randomly
			// generated value.  AttemptPriority = (attExclPrio*1000)+(random # from 0-999).
			// When two people try to attack a creature at the exact same time, then
			// whoever has the lower priority will abort the kill attempt.  By setting this
			// value manually you can ensure one character is always the winner.  If
			// everyone has the same value, then the random value determines the winner.

// The following variables define how we determine if a creature is moving or not.  If we think the creature
// is moving then we cast bolt spells instead of arc spells if attSpell is set to attSpellAuto
attMoveHoldDown	= 1000;		// Once creature is detected moving, don't consider not moving until
				// location hasn't changed for this many millseconds.
attMoveThresh	= 0.01;		// Consider a creature moving if it has moved this many map units from
				// previous location last check.

// Only use last attacker if attack was recent
attMaxLastAttInt = 15*1000;	// Last attack must be within this many milliseconds of current time
				// before we use the last attacker aco as our target

// Don't select previous attacker within a holddown period.  Prevents a just killed creature
// from being reselected since it sometimes takes a few seconds for a creature to be removed
// from the object table.
attPrevHoldDown	= 5000;		// Don't re-select previous creature for at least this many milliseconds.

attFailMax	= 2;		// After this many failure events, put creature on DNAL

attAlwaysDrain	= false;	// If set to true, drain stam and mana regardless of number of creatures
				// near us

attRingThresh	= 2;		// When this many or more creatures are very close to us, then use ring
				// spells if the 'Use ring spells' options is checked on the spell 1 tab.
attRingDist	= 0.01;		// Creatures must be this close before rings used.

// ********************************************************************************************************
//
// War Avoidance Info
avoidDangerThresh = 0.005;	// If war spell is calculated to come this close to us, then take
				// steps to avoid.

avoidMinDist	= 0.04;		// Minimum distance away from us war bolt must be detected before we
				// attempt to move out of the way.  Any closer than 0.05 and we will
				// have trouble moving out of the way quick enough.  Do not set to really
				// low value or we will attempt to avoid our own war spells!

avoidTime	= 600;		// How much time we should sidestep in milliseconds.  600 means move
				// for 0.6 seconds

avoidTimeSlide	= 750;		// How much time we should slide cast.  Raise from 650 for ToD

avoidSlideHold	= 400;		// Don't attempt 2 slide casts within this many milliseconds of each other.
				// Needed because the slidecast routine fires every time a war spell comes at
				// us and if several come at the same time we would slide cast more then needed.

avoidHoldDown	= 2000;		// Number of millseconds before evading back in the opposite direction
				// Needed when two war spells come in close succession that we don't
				// end up in the original location where the 1st spell will hit us.

avoidMaxAngle	= 45;		// If the difference between the war spell's heading to its target and
				// to us is more than this, then there is no way it can hit us so abort
				// the processing of this spell.  We need this to prevent false positives
				// when the war spell is heading ~180 degrees away from us.


// ********************************************************************************************************
//
// Danger Info
dangerRadius	= 0.09;		// If a creature is within this distance of us, then set 'Danger' flag.
				// This will cause maintenance functions to abort.  0.09 is the distance
				// where creatures will recognize you and attack.

dangerCreThresh	= 1;		// Nearby creature count must be greater or equal to this variable before
				// the macro declares a dangerous condition and aborts non-killing functions.

criticalRadius	= 0.05;		// Radius to consider for critical danger test.  If the # of creatures
baseCriticalAmt	= 2;		// in this radius equals or exceeds 'CriticalAmount', then try to kill
				// the creatures as quickly as possible (disable drain mana/stamina spells).
				// Also, if the current creature we are killing is outside our danger radius
				// then abort kill attempt and try to kill closer creature.
				// 'CriticalAmount is computed from 'baseCritAmount' plus the number of
				// people macroing with us.

baseUrgentAmt	= 3;		// If amount of creatures in our criticalRadius exceeds 'UrgentAmount', then
				// don't do any spell stepdowns.  'UrgentAmount' is computed from 'baseUrgentAmt'
				// plus the number of people macroing with us.

// ********************************************************************************************************
//
// Navigation Info.  Set parameters for character movement
navMaxLoc	= 100;		// Maximum # of attack locations
navMaxGroups	= 6;		// Maximum # of move groups.  Characters in same movegroup will move together
navMaxRetreat	= 15;		// Maximum value of retreat count settable through movement panel
navHoldDown	= 2500;		// Must be this many milliseconds between movements to next attack location
navPrecision 	= 0.015;	// Must be within this many map units of homeloc before stopping
navAutoMin	= 0.04;		// If we have wandered this many units away from our kill location, then move to it...
navAutoMax  	= 0.80;		// but can't be more than this map units away.
navNextMax	= 2.00;		// If more than this distance away from next attack location, then don't go to it.
				// Needed because after we die or load nav info far from kill location we don't want
				// to head to attack location from the other side of the world.
navWait		= 1200;		// Milliseconds to pause after arrival at attack location.  Needed to
				// prevent spell cast failures on PK characters
navTimeOut	= 45*1000;	// If we don't receive a navstop event in this many milliseconds, then assume
				// something is wrong and abort the movement attempt
navWarnDist	= 0.15		// When navigation information is restored or macro resumed after pause, warn
				// if the current attack location is not within this distance of us.
navSpawnDist	= 0.09;		// If a creature spawns within this distance to us and close creature advancing
				// is enabled from the decal panel, then we move to the next attack location

// ********************************************************************************************************
//
// Retreat Info.  If retreating enabled, the # of creatures in 'retreatRadius' equals or exceeds
// 'RetreatAmount', and the current attack location has a retreat location defined, then move to
// then retreat loc.  Note that the variable 'RetreatAmount' is dependant on the number of people
// in our fellow who are near us.  'retreatAmtOne' is used if we are solo, 'retreatAmtTwo' is used
// if two people are at the same location, and 'retreatAmtThreePlus' is used if 3 or more people
// are at the same location (these variables are set through the decal panels).  'RetreatAmount' is
// updated every idle period. We will also retreat if we are taking heavy damage, ie any one blow
// exceed 'retreatDamThresh' define below.
retreatRadius		= 0.08;	 // Radius to count creatures for retreat purposes.
retreatMaxDist		= 1.50;	 // If we are too far away from the retreat location then don't go there.
retreatMinInt		= 10000; // Attempt a retreat at most every this many milliseconds
retreatHoldDown		= 2000;	 // Stay at retreat location at least this many milliseconds
retreatNoMoveDist	= 0.02	 // If we don't move this many map units within retreatNoMoveTimeOut milliseconds,
retreatBigHeal		= 200;	 // Cast stam-2-health before retreating if health below this at start of retreat
retreatNoMoveCheckTime	= 3500;	 // then give up the retreat attempt.  We are probably surrounded by creatures
				 // if this happens.

// The following two variables determine the retreat timeout value.
retreatTimeoutConst    = 4000;	// Constant portion of retreat nav timeout.  Allows for character to turn
				// towards target and/or escape a crowd
retreatTimeoutVar      = 4000;	// # of milliseconds to wait per 0.1 map units to retreat loc before assuming
				// navigation to/from retreat location failed.  Outdoor radar radius is 0.3 map
				// units. May need to be adjusted for slow characters.


// ********************************************************************************************************
//
// Alert and Evasion Settings

// Fellowship notification parameters
spamAdmin	= true;		// If admin detected, spam warning over fellow channel
spamPlayer	= true;		// When player not on friends list detected, spam on fellow channel
adminChatBox	= true;		// Check chat box for admin messages
supportChars	= new Array();
				// Any characters in this list will receive @tells when important events
				// happen in the macro, for example low comps, deaths, admin detected
				// For example: supportChars = new Array("Boy Gary","Crackhead Bob");

// Sounds
adminAbort	  = true;	// If admin detected, abort macro after alert routine done
alertAdminInt     = 45*1000;	// How long to play alert (milliseconds).  45*1000 = 45000ms = 45 seconds.
fellowAdminAbort  = true;	// Log when admin detection message received on fellowship channel
fellowAdminDelay  = 6000;	// # of millseconds to wait after receiving admin fellow message before
				// logging.  This is needed because if two players are near each other
				// then the other player may detect the admin before us and send us the
				// the fellowchat warning before we get the admin object creation.  This
				// would be bad if the admin was standing right next to us

alertAbortCount = 5;		// # of times to play abort alert
alertAbortInt	= 2000;		// milliseconds between abort alerts

alertDeathWav	= skapi.WavNew(macroDir + "dead.wav");		// Sound to play when we die
alertPlayerWav	= skapi.WavNew(macroDir + "peekay.wav");  	// Played when another player detected
alertStealthWav	= skapi.WavNew(macroDir + "peekay.wav");  	// Played when stealth mode activated
alertCompsWav	= skapi.WavNew(macroDir + "portal.wav");	// Played when comps low
alertTellWav	= skapi.WavNew(macroDir + "broadcast.wav");	// Played when @tell message detected
alertAllegWav	= skapi.WavNew(macroDir + "broadcast.wav");	// Played when @m, @c, @v, @p message detected
alertAbortWav	= skapi.WavNew(macroDir + "vassel.wav");	// Played when macro unexpectedly stops
alertAdminWav	= skapi.WavNew(macroDir + "alert1.wav");	// Played when admin detected
alertItemWav	= skapi.WavNew(macroDir + "value.wav");		// Played when item found 
alertRareWav	= skapi.WavNew(macroDir + "value.wav");		// Played when rare detected

chatRespondMsg	= "Hi there";
chatRespondInt	= 13000;	// After detecting chat from admin, wait this many milliseconds before
				// replying with stock answer.

// Interval to hide (ms) when unrecognized player detected. This feature enabled by setting Stealth to true.
hideInt		= 30*60*1000;		// Default hide interval is 30 minutes.

// Interval (milliseconds) to logoff when resetting landblock
landblockInt	= 14*60*1000;		// Default logoff interval of 13 minutes

// These players on friends list. Will not log when these players approach.
// For example: friendsList = new Array("Faile Bashere");
friendsList	= new Array();

// Hack to enable warbot to detect items when they appear in world
itemAudAlert	= false;
itemAudList	= new Array();

// Following variables not implemented yet
tellList	= new Array();
enhancedTell	= false;


// ********************************************************************************************************
//
// Loot constants/variables
//
// *******************************************************************************************************
//
// Inventory, loot, and salvage management

salvageUstWait	= 4000;		// Time to wait for USTing to complete before assuming the operation failed.
salvageMoveWait	= 4000;		// Time to wait for move side pack to complete before assuming the operation failed.
salvageMaxFails	= 10;		// If UST operation fails this many times in a row, then disable USTing.
salvageMaxAtt	= 5;		// Maximum times to attempt to salvage an item
salvageDelay	= 100;		// Delay between each salvage operation
salvageMaxTime	= 60*1000;	// Maximum time we can spend in salvage state (60 seconds)
ustMultItems	= false;	// If set true, UST multiple items of the same material type.  You don't want
				// to do this if you have a salvagin bonus due to aug gems or high salvage skill.

// Re-assess routine will skip all items on the following two lists.  For the first list,
// an exact match is required.  For the second list a substring match is used so a partial
// match is all that is needed
noassessItems	= new Array();
noassessPartial = new Array();

// Loot routines will not process any items in this list or any inscribed
// items.   Names listed here are compared used substring match, so exact
// match not required.
protectedItems	= new Array();

giveMaxDist	= 0.02;		// Must be this close to target to give loot

lootMoveAttempts= 3;		// Try to move the loot this many times before giving up
lootMoveTimeOut	= 3000;		// Number of milliseconds to wait for OnInventoryAdd event before
				// assuming move failed

lootGiveAttempts  = 3;		// Try to give the loot this many times before giving up
lootGivePause	  = 100;	// Time to wait between give attempts
lootGiveTimeOut	  = 2000;	// Number of milliseconds to wait for OnInventoryRemove event before
				// assuming give failed
lootPrevCorpseMax = 50;		// Keep track of last 50 corpses looted so we don't reloot a corpse if
				// we leave an area and then come back which could regenerate the corpse
				// object create

lootForceUst	  = 12;		// Force an UST after every corpse looted when free pack space below this.
lootMaxUstPend	  = 12;		// When the number of items on the salvage list exceeds this, then an
				// UST operation is forced.

lootCheckOwner	  = true;	// If enabled, macro will check killer of a creature before trying to loot
				// it.  For corpses we did not kill, we wait 'corpseLockout' millseconds
				// (default 90) before trying to open.  If you always macro solo or in a
				// fellow that permits the gives looting rights, then turning this off
				// will give you a slight performance boost.
lootMaxConsec	  = 5;		// Maximum # of corpses to loot in a row without a salvage operation.  
lootForceUst	  = 6;		// If pack space below this, then force UST after every loot

lootRadius	  = 0.05;	// Corpse must be within this distance of home location to loot it.
lootMaxInt	  = 90*1000;	// Maximum amount of time we can stay in the loot state (ms)
lootAssessWait	  = 200;	// # of milliseconds to wait between consecutive assesses
corpseLockout	  = 90*1000;	// Time (milliseconds) unable to open corpse killed by someone else
corpseMoveThresh  = 0.015;	// If corpse further away then this, then move towards it before trying to open
corpseMovePrec	  = 0.01;	// Corpse move precision.
corpseMoveTimeout = 5000;	// Timeout corpse move if we don't arrive by this many milliseconds
lootDisableThresh = 0;		// When the amount of space in your main pack is equal to or below
				// this many slots, then turn off looting

// Define mask for the aco.mcm property to identify items we do not need to assess
lootNoAssessMask  = mcmSalvageBag | mcmFood | mcmPyreal | mcmGems | mcmSpellComponents | mcmBooksPaper |
		    mcmKeysTools | mcmTradeNotes | mcmManaStones | mcmCookingItems1 | mcmAlchemicalItems1 |
		    mcmFletchingItems1 | mcmCookingItems2 | mcmAlchemicalItems2 | mcmFletchingItems2;

// Constants related to opening corpse
openMoveThresh	= 8000;		// Maximum amount of time we can walk towards corpse.  It may take several
				// seconds to walk to corpse and open it if we are far away.
openFailThresh	= 4000;		// If unable to open corpse within this many milliseconds, then give up attempt
openFailMax	= 2;		// Try to open the corpse up to this many times.  If unsuccessful then mark
				// this corpse as bad and reject.
openMoveInt	= 250;		// When opening corpse, check to see if we are moving every this many milliseconds.
openMoveUnits	= 0.002		// If we have moved this many map units since last check, then consider us moving
openMoveHoldDown= 2500;		// Don't do first check for this many milliseconds.  Gives time for char to rotate
				// towards corpse and start moving


// Constants related to processing items on corpse after opening it
pickupDelay	= 250;		// Milliseconds to wait after opening corpse before we try to pick up items
corpseTimeout	= 45*1000;	// If we don't finish picking up all items on corpse in this many
				// milliseconds, then abort processing on this corpse
pickupFailInt	= 4500;		// If don't finish picking up a single item in this many
				// milliseconds, then abort pickup attempt and try next item
objcreTimeout	= 1200;		// If OnObjectCreate event for an item is not received in this many
				// milliseconds, then just issue assess for item
assessTimeout	= 2000;		// If assess not received in this many milliseconds, then reassess item
assessLimit	= 3;		// Assess up to this many times
addInventDelay	= 300;		// There is a slight period after we receive the AddToInventory event
				// that we are still processing the item which will potentially
				// cause spell casting or the next item pickup to fail, so we pause this
				// amount of milliseconds after receiving this event.

splitFailInt	= 3000;		// Time to wait after splitting stack before assuming we failed

// Don't look at any corpses of these creatures.  Note test is a substring search so
// putting Tusker in this list would exclude every tusker.
corpseSkipList	= new Array();