// WAR_CONSTANTS.JS
//
// Author:	Poundboy
// Version:	2.13
//
//
// Modification History:
//
// Who	  Date	    Version	Description
//
// PB	  10/01/02  1.01	Initial version.  Mostly based on old acscript drainbot
//
//
// Description:
//
//	Defines constants for WarBot
//
// Modification History:
//
// Version Date		Who	Description
// 1.01	   09/01/02	PB	Initial version
//
//

// **************************************************************************************************
// Global Macro Context
//

// Version information
macroVersion = "V2.13"

// *******************************************************************************************************
//
// Locations for log and config files.  Note \\ is required to create one \ character in the strings.
// Also note the macroDir constants already has the backslashes in the name, while configDir does not.


// Directory of macro files.  Needed so we can locate configuration files.  Note \\ translates to
// a single \ in Jscript code
macroDir  = "C:\\WarBot213\\"
configDir = "C:\\WarBotCfg"		// Don't add the \\ at the end of this one

fileRaces	= macroDir + "race.csv";
fileCreatures	= macroDir + "creature.csv";
fileBuffs	= macroDir + "buffs.csv";
fileRunLog	= macroDir + "wb_runlog.txt";
fileCreLog	= macroDir + "wb_crelog.txt";

fileOldNavCfgPre   = configDir + "\\navconfig";		// Navigation files have file number embedded in name so
fileOldNavCfgPost  = ".dat";				// break down constant portion into pre and post sections

fileOldGenCfgPre   = configDir + "\\genconfig_";	// General config files have character name or number
fileOldGenCfgPost  = ".dat"				// embedded in name so break down into pre and post parts.

fileOldBuffCfgPre  = configDir + "\\buffconfig_";	// Buff config files have character name or number
fileOldBuffCfgPost = ".dat"				// embedded in name so break down into pre and post parts.

fileOldLootCfgPre  = configDir + "\\lootconfig_";	// Loot config files have character name or number
fileOldLootCfgPost = ".dat"				// embedded in name so break down into pre and post parts.

fileOldCreCfgPre   = configDir + "\\creconfig_";	// Creature config files have character name or number
fileOldCreCfgPost  = ".dat"				// embedded in name so break down into pre and post parts.

fileOldUserCfgPre  = configDir + "\\userconfig_";	// User config files have character name embedded in name
fileOldUserCfgPost = ".dat"				// so break down into pre and post parts.

fileOldUserCfgPre  = configDir + "\\userconfig_";	// User config files have character name embedded in name
fileOldUserCfgPost = ".dat"				// so break down into pre and post parts.

fileNavCfg	= "navconfig_";
fileGenCfg	= "genconfig_";
fileBuffCfg	= "buffconfig_";
fileEquipCfg	= "equipconfig_";
fileLootCfg	= "lootconfig_";
fileCreCfg	= "creconfig_";
fileUserCfg	= "userconfig";
fileCfgExt	= ".dat"

fileItemBuffLog	= "itembuffs.log";			// Log of item buffs
fileScrollList	= "scrolls.txt";			// List of scrolls

// Set current version of config files.  Version information placed at the beginning of every config file
// in case we need to change the structure in the future.
verGenCfg	= 1;		// Current version of general configuration file
verLootCfg	= 1;		// Current version of loot configuration file
verBuffCfg	= 1;		// Current version of buff configuration file

// Possible macro states
Count = 1;
stateInit		= Count++;
stateIdleInit		= Count++;
stateIdle		= Count++;
stateSelect		= Count++;
stateTarget		= Count++;
stateKill		= Count++;
stateCheckComps		= Count++;
stateGotoCurrent	= Count++;
stateGotoNext		= Count++;
stateLoot		= Count++;
stateSalvage		= Count++;
stateScroll		= Count++;
stateHide		= Count++;
statePaused		= Count++;
stateReset		= Count++;
stateStormed		= Count++;
stateDied		= Count++;
stateLog		= Count++;
stateExit		= Count++;
stateAdmin		= Count++;

textState = new Array();
textState[stateInit] 		= "Init";
textState[stateIdleInit] 	= "IdleInit";
textState[stateIdle] 		= "Idle";
textState[stateSelect] 		= "Select";
textState[stateTarget]		= "Target";
textState[stateKill] 		= "Kill";
textState[stateCheckComps] 	= "CheckComps";
textState[stateGotoCurrent] 	= "GotoCurrent";
textState[stateGotoNext] 	= "GotoNext";
textState[stateLoot] 		= "Loot";
textState[stateSalvage] 	= "Salvage";
textState[stateScroll] 		= "Scroll";
textState[stateHide] 		= "Hide";
textState[statePaused]		= "Paused";
textState[stateReset] 		= "Reset";
textState[stateStormed] 	= "Stormed";
textState[stateDied] 		= "Died";
textState[stateLog] 		= "Log";
textState[stateExit] 		= "Exit";
textState[stateAdmin] 		= "Admin";

// Macro substates
substateNone	= 0;

// Kill Substates
stateKillYield	= 1;
stateKillImperl	= 2;
stateKillVuln	= 3;
stateKillWar	= 4;

textSubKill = new Array();
textSubKill[stateKillYield]	= "Yield";
textSubKill[stateKillImperl]	= "Imperl";
textSubKill[stateKillVuln]	= "Vuln";
textSubKill[stateKillWar]	= "War";

// Loot Substates
stateLootFindCorpse	= 1;		// Find a corpse to loot
stateLootOpenCorpse	= 2;		// Open corpse
stateLootWaitOpen	= 3;		// Wait for corpse to open
stateLootAssessItems	= 4;		// Assess all items on corpse
stateLootPickup		= 5;		// Pickup any items that match criteria
stateLootDone		= 6;		// All done, go to next state

textSubLoot		= new Array();
textSubLoot[stateLootFindCorpse]	= "FindCorpse";
textSubLoot[stateLootOpenCorpse]	= "OpenCorpse";
textSubLoot[stateLootWaitOpen]		= "WaitOpen";
textSubLoot[stateLootAssessItems]	= "AssessItems";
textSubLoot[stateLootPickup]		= "Pickup";
textSubLoot[stateLootDone]		= "Done";

// NSC codes
textNscCode = new Array();
textNscCode[0]		= "Arrived";
textNscCode[1]		= "Timeout";
textNscCode[2]		= "Cancelled";

// **************************************************************************************************
//
// Idle Context Constants

// Constants
idleMin		= 10*60*1000	// Force Idle state after this many milliseconds


// **************************************************************************************************
//
// Spell Context Constants
spellMaxLvl	= 7;	// Maximum spell level possible

// Spell ids for critical spells (all levels)
spellListDrainHealth	= new Array(0, 1237, 1238, 1239, 1240, 1241, 1242, 2328);
spellListDrainStamina	= new Array(0, 1249, 1250, 1251, 1252, 1253, 1254, 2330);
spellListDrainMana	= new Array(0, 1260, 1261, 1262, 1263, 1264, 1265, 2329);
spellListStamHealth	= new Array(0, 1664, 1665, 1666, 1667, 1668, 1669, 2343);
spellListStamMana	= new Array(0, 1676, 1677, 1678, 1679, 1680, 1681, 2345);
spellListHeal		= new Array(0,    6, 1157, 1158, 1159, 1160, 1161, 2073);
spellListRevitalize	= new Array(0, 1177, 1178, 1179, 1180, 1181, 1182, 2083);
spellListStrength	= new Array(0,    2, 1328, 1329, 1330, 1331, 1332, 2087);
spellListHealOther	= new Array(0,    5, 1162, 1163, 1164, 1165, 1166, 2072);
spellListStamOther	= new Array(0, 1183, 1184, 1185, 1186, 1187, 1188, 2082);

spellKetnanEye = 3530;
spellBrighteye = 3533;
spellBoboQuick = 3531;

// **************************************************************************************************
//
// Looting/Salvaging Context Constants
salvageMaxMaterial = 100;	  // Maximum numeric value of material types.
salvageMaxWork	   = 10;	  // Highest material workmanship.
rawRareKey	   = 0x00010011;  // Dictionary key value for rare #

noteName = new Array(    "MMD",      "MM",      "MD",       "M",      "D",      "C",     "L",     "X",   "V",  "I" );
noteVal  = new Array(   250000,    200000,    150000,    100000,    50000,    10000,    5000,    1000,   500,  100 );
notePost = new Array("250,000", "200,000", "150,000", "100,000", "50,000", "10,000", "5,000", "1,000", "500", "100");
noteCnt  = noteName.length;

manaName = new Array( "Massive", "Titan", "Superb", "Great", "High", "Moderate", "Small", "Tiny" );
manaVal  = new Array(     10000,    5000,     2000,    1000,    500,        350,     175,    100 );
manaCnt  = manaName.length;

peaName  = new Array("Lead", "Iron", "Copper", "Silver", "Gold", "Pyreal" );
peaVal   = new Array(   500,   2500,     5000,    12500,  25000,    50000 );

rareDetectExp = new RegExp ( "^.*has discovered.*$", "g" );	// detect rare item found

// **************************************************************************************************
//
// Navigation Context Constants
navFlagSpawnAdv	   = 1;


// **************************************************************************************************
//
// Miscellaneous Constants
NoCheck = true;		// Define symbolic name for true boolean value
ToChat	= true;		// Define another symbolic name for true boolean value