// WAR_DECALCONTROL.JS
//
// Author:	Poundboy
// Version:	2.08
//
//
// Modification History:
//
// Who	  Date	    Version	Description
//
// PB	  11/01/02  1.01	Initial version.
//
//
// Description:
//
//	This module contains all the routines related to decal controls
//

// Define decal-like interface
function DefineSchemas() {

    // Miscellaneous schemas, used in multiple places below.
    szSchemaSpellLevels = "";
    for (var x=7; x>0; x--) szSchemaSpellLevels = szSchemaSpellLevels + " <option text='" + x + "'/>\n";

    szSchemaSpellLevel2 = "";
    for (var x=7; x>=0; x--) szSchemaSpellLevel2 = szSchemaSpellLevel2 + " <option text='" + x + "'/>\n";

    szSchemaWork = "";
    for (var x=1; x<11; x++) szSchemaWork +=  " <option text='" + x + "'/>\n";

    szSchemaManaC = "";
    for (var x=0; x<11; x++) szSchemaManaC +=  " <option text='" + x + "'/>\n";

    szSchemaMeleeD = "";
    for (var x=0; x<16; x++) szSchemaMeleeD +=  " <option text='" + x + "'/>\n";

    szSchemaSpellCnt = "";
    for (var x=0; x<6; x++) szSchemaSpellCnt +=  " <option text='" + x + "'/>\n";
    
    szSchemaHealLvl = "";
    for (var x=0; x<251; x+=10) szSchemaHealLvl +=  " <option text='" + x + "'/>\n";

    // Define control panel schema
    szSchemaControl =
	"<view title='" + szPanelControl + "' iconlibrary='Inject.dll' icon='128' \n" +
	"  width='140' height='345'>\n" +
	"  <control progid='DecalControls.FixedLayout'>\n" +
	"    <control name='controlTab' progid='DecalControls.Notebook' " +
	"     left='0' top='0' width='140' height='345'>\n" +
	"	<page label='C1'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='btnPause'         progid='DecalControls.PushButton'  text='Pause' \n" +
	"	   left='15' top='10'  width='110' height='18' />\n" +
	"         <control name='btnAttackMode'    progid='DecalControls.PushButton'  text='Enable Attack' \n" +
	"	   left='15' top='30'  width='110' height='18' />\n" +
	"         <control name='btnStealth'       progid='DecalControls.PushButton'  text='Enable Stealth' \n" +
	"	   left='15' top='50'  width='110' height='18' />\n" +
	"         <control name='btnAutoMove'      progid='DecalControls.PushButton'  text='Enable AutoMove' \n" +
	"	   left='15' top='70'  width='110' height='18' />\n" +
	"         <control name='btnSafeMode'      progid='DecalControls.PushButton'  text='Enable SafeMode' \n" +
	"	   left='15' top='90'  width='110' height='18' />\n" +
	"         <control name='btnPeaceMode'     progid='DecalControls.PushButton'  text='Enable PeaceMode' \n" +
	"	   left='15' top='110' width='110' height='18' />\n" +
	"         <control name='btnBuffMode'      progid='DecalControls.PushButton'  text='Enable Buffing' \n" +
	"	   left='15' top='130' width='110' height='18' />\n" +
	"         <control name='btnForceAll'      progid='DecalControls.PushButton'  text='Force All Buffs' \n" +
	"	   left='15' top='150' width='110' height='18' />\n" +
	"         <control name='btnAddDNAL'       progid='DecalControls.PushButton'  text='Add Sel DNAL' \n" +
	"	   left='15' top='180' width='110' height='18' />\n" +
	"         <control name='btnAttSel'        progid='DecalControls.PushButton'  text='Attack Selected' \n" +
	"	   left='15' top='200' width='110' height='18' />\n" +

	"         <control name='text1'            progid='DecalControls.StaticText'  text='Movement' \n" +
	"	   left='40' top='234' width='60'  height='18' />\n" +
	"         <control name='btnGotoNext'      progid='DecalControls.PushButton'  text='GotoNext' \n" +
	"	   left='15' top='248' width='50'  height='18' />\n" +
	"         <control name='btnGotoCurr'      progid='DecalControls.PushButton'  text='GotoCurr' \n" +
	"	   left='75' top='248' width='50'  height='18' />\n" +
	"         <control name='btnCancelNav'     progid='DecalControls.PushButton'  text='Cancel Nav' \n" +
	"	   left='15' top='268' width='110' height='25' />\n" +
	"	</control>\n" +
	"       </page>\n" +

	"	<page label='C2'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='btnExclusion'     progid='DecalControls.PushButton'  text='Enable ExclMode' \n" +
	"	   left='15' top='10'  width='110' height='18' />\n" +
	"         <control name='btnReqFellow'     progid='DecalControls.PushButton'  text='Request Fellow' \n" +
	"	   left='15' top='30'  width='110' height='18' />\n" +
	"         <control name='btnJoinGroup'     progid='DecalControls.PushButton'  text='Join MoveGroup' \n" +
	"	   left='15' top='50'  width='110' height='18' />\n" +

	"         <control name='btnForce7'        progid='DecalControls.PushButton'  text='Force 7s' \n" +
	"	   left='15' top='90'  width='50'  height='18' />\n" +
	"         <control name='lvl7Over'         progid='DecalControls.Choice' \n" +
	"          left='75' top='90'  width='50'  height='20' droplines='6' selected='2'>\n" +
	"           <option text='0'/>\n" +
	"           <option text='15'/>\n" +
	"           <option text='30'/>\n" +
	"           <option text='45'/>\n" +
	"           <option text='60'/>\n" +
	"           <option text='75'/>\n" +
	"           <option text='90'/>\n" +
	"           <option text='120'/>\n" +
	"           <option text='150'/>\n" +
	"           <option text='180'/>\n" +
	"           <option text='210'/>\n" +
	"           <option text='240'/>\n" +
	"         </control>\n" +

	"         <control name='btnResetLB'     progid='DecalControls.PushButton'  text='Reset LB (Log)' \n" +
	"	   left='15' top='140' width='110' height='18' />\n" +
	"         <control name='btnLogOff'      progid='DecalControls.PushButton'  text='Log Off' \n" +
	"	   left='15' top='160' width='110' height='18' />\n" +
	"	</control>\n" +
	"       </page>\n" +

	"	<page label='I'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='btnPlayers'     progid='DecalControls.PushButton'  text='Show Players' \n" +
	"          left='15' top='10'  width='110' height='18' />\n" +
	"         <control name='btnChat'        progid='DecalControls.PushButton'  text='Show Chat' \n" +
	"          left='15' top='30'  width='110' height='18' />\n" +
	"         <control name='btnStats'       progid='DecalControls.PushButton'  text='Show Stats' \n" +
	"          left='15' top='50'  width='110' height='18' />\n" +
	"         <control name='btnMoveStats'   progid='DecalControls.PushButton'  text='Show Move Stats' \n" +
	"          left='15' top='70'  width='110' height='18' />\n" +
	"         <control name='btnShowComps'   progid='DecalControls.PushButton'  text='Show Comps' \n" +
	"          left='15' top='90'  width='110' height='18' />\n" +
	"         <control name='btnVersion'     progid='DecalControls.PushButton'  text='Show Version' \n" +
	"          left='15' top='110' width='110' height='18' />\n" +
	"         <control name='btnShowSpells'  progid='DecalControls.PushButton'  text='Show Spell Levels' \n" +
	"          left='15' top='130' width='110' height='18' />\n" +
	"         <control name='btnClearChat'   progid='DecalControls.PushButton'  text='Clear Chat' \n" +
	"          left='15' top='150' width='110' height='18' />\n" +
	"         <control name='btnResetStats'  progid='DecalControls.PushButton'  text='Clear Stats' \n" +
	"          left='15' top='170' width='110' height='18' />\n" +
	"	</control>\n" +
	"       </page>\n" +

	"	<page label='L1'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='btnShowLoot'       progid='DecalControls.PushButton'  text='Show Loot' \n" +
	"	   left='15'  top='10'  width='110' height='18' />\n" +
	"         <control name='btnShowDetail'     progid='DecalControls.PushButton'  text='Show Detail' \n" +
	"	   left='15'  top='30'  width='110' height='18' />\n" +
	"         <control name='btnShowValSal'     progid='DecalControls.PushButton'  text='Show ValSalv' \n" +
	"	   left='15'  top='50'  width='110' height='18' />\n" +
	
	"         <control name='textL1a' progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='62'  width='114' height='18' />\n" +

	"         <control name='btnAssessLoot'     progid='DecalControls.PushButton'  text='ReAssess Loot' \n" +
	"	   left='15'  top='80'  width='110' height='18' />\n" +
	"         <control name='btnResetLoot'      progid='DecalControls.PushButton'  text='Clear List' \n" +
	"	   left='15'  top='100' width='110' height='18' />\n" +

	"         <control name='textL1b'           progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='112' width='114' height='18' />\n" +

	"         <control name='btnUstSalvage'     progid='DecalControls.PushButton' text='UST Salvage' \n" +
	"	   left='15'  top='130' width='110' height='18' />\n" +

	"         <control name='textL1c'           progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='142' width='114' height='18' />\n" +

	"         <control name='btnLootSelCorpse'  progid='DecalControls.PushButton' text='Loot Selected Corpse' \n" +
	"	   left='15'  top='160' width='110' height='18' />\n" +
	
	"         <control name='btnLootAllCorpse'  progid='DecalControls.PushButton' text='Loot All Corpses' \n" +
	"	   left='15'  top='180' width='110' height='18' />\n" +


	"         <control name='textL1e'           progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='192' width='114' height='18' />\n" +

	"         <control name='btnSellLoot'       progid='DecalControls.PushButton' text='Sell Loot' \n" +
	"	   left='15'  top='210' width='110' height='25' />\n" +

	"         <control name='textL1d'           progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='229' width='114' height='18' />\n" +

	"         <control name='btnAbortLoot'      progid='DecalControls.PushButton' text='Abort Action' \n" +
	"	   left='15'  top='255' width='110' height='36' />\n" +	

	"	</control>\n" +
	"       </page>\n" +

	"	<page label='L2'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +

	"         <control name='btnGiveSell'       progid='DecalControls.PushButton'  text='Give Sellable' \n" +
	"	   left='15'  top='10'  width='110' height='18' />\n" +
	"         <control name='btnGiveSalvage'    progid='DecalControls.PushButton'  text='Give Salvage' \n" +
	"	   left='15'  top='30'  width='110' height='18' />\n" +
	"         <control name='btnGiveBags'       progid='DecalControls.PushButton'  text='Give Full Bags' \n" +
	"	   left='15'  top='50'  width='110' height='18' />\n" +

	"         <control name='textL2b' progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='62'  width='114' height='18' />\n" +

	"         <control name='btnSortGood'       progid='DecalControls.PushButton'  text='Sort Keepers' \n" +
	"	   left='15'  top='80'  width='110' height='18' />\n" +
	"         <control name='btnSortAll'        progid='DecalControls.PushButton'  text='Sort All' \n" +
	"	   left='15'  top='100' width='110' height='18' />\n" +
	"         <control name='btnSortFullBag'    progid='DecalControls.PushButton'  text='Sort Full Bags' \n" +
	"	   left='15'  top='120' width='110' height='18' />\n" +
	"         <control name='btnSortPartBag'    progid='DecalControls.PushButton'  text='Sort Partial Bags' \n" +
	"	   left='15'  top='140' width='110' height='18' />\n" +
	
	"         <control name='textL2c'           progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='152' width='114' height='18' />\n" +

	"         <control name='btnMoveToSide'     progid='DecalControls.PushButton'  text='Move Bags to Side' \n" +
	"	   left='15'  top='170' width='110' height='18' />\n" +

	"         <control name='textL2d' progid='DecalControls.StaticText' text='__________________' \n" +
	"	   left='13'  top='182' width='114' height='18' />\n" +

	// "         <control name='btnAutoSell'    progid='DecalControls.PushButton'  text='Auto Sell' \n" +
	// "	   left='15'  top='200' width='110' height='18' />\n" +

	// "         <control name='textL2d' progid='DecalControls.StaticText' text='__________________' \n" +
	// "	   left='13'  top='212' width='114' height='18' />\n" +

	"         <control name='btnAbortLoot2'     progid='DecalControls.PushButton'  text='Abort Action' \n" +
	"	   left='15' top='255'  width='110' height='36' />\n" +

	"	</control>\n" +
	"       </page>\n" +

	"	<page label='S'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='btnFillComps'     progid='DecalControls.PushButton'  text='Fillcomps' \n" +
	"	   left='15' top='10'  width='110' height='18' />\n" +
	"         <control name='btnLifeStone'     progid='DecalControls.PushButton'  text='Lifestone' \n" +
	"	   left='15' top='30'  width='110' height='18' />\n" +
	"         <control name='btnHouse'         progid='DecalControls.PushButton'  text='House Recall' \n" +
	"	   left='15' top='50'  width='110' height='18' />\n" +
	"         <control name='btnMansion'       progid='DecalControls.PushButton'  text='Mansion Recall' \n" +
	"	   left='15' top='70'  width='110' height='18' />\n" +
	"         <control name='btnAllegiance'    progid='DecalControls.PushButton'  text='Allegiance Hometown' \n" +
	"	   left='15' top='90'  width='110' height='18' />\n" +
	"         <control name='btnMarket'        progid='DecalControls.PushButton'  text='Marketplace' \n" +
	"	   left='15' top='110' width='110' height='18' />\n" +
	"         <control name='btnStoneRecall'   progid='DecalControls.PushButton'  text='Life Stone Recall' \n" +
	"	   left='15' top='130' width='110' height='18' />\n" +
	"         <control name='btnPortal1Recall' progid='DecalControls.PushButton'  text='Portal 1 Recall' \n" +
	"	   left='15' top='150' width='110' height='18' />\n" +
	"         <control name='btnPortal2Recall' progid='DecalControls.PushButton'  text='Portal 2 Recall' \n" +
	"	   left='15' top='170' width='110' height='18' />\n" +
	"         <control name='btnPortalRecall'  progid='DecalControls.PushButton'  text='Portal Recall' \n" +
	"	   left='15' top='190' width='110' height='18' />\n" +
	"         <control name='btnRecallSanct'   progid='DecalControls.PushButton'  text='Recall Sanctuary' \n" +
	"	   left='15' top='210' width='110' height='18' />\n" +
	"         <control name='btnUlgrimRecall'  progid='DecalControls.PushButton'  text='Ulgrims Recall' \n" +
	"	   left='15' top='230' width='110' height='18' />\n" +
	"         <control name='btnCaulRecall'    progid='DecalControls.PushButton'  text='Caul Recall' \n" +
	"	   left='15' top='250' width='110' height='18' />\n" +
	"         <control name='btnAphusRecall'   progid='DecalControls.PushButton'  text='Recall Aphus Lassel' \n" +
	"	   left='15' top='270' width='110' height='18' />\n" +
	"	</control>\n" +
	"       </page>\n" +

	"	<page label='D'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='btnLootList' progid='DecalControls.PushButton'      text='Show Loot List' \n" +
	"	   left='15' top='10'  width='110' height='18' />\n" +
	"         <control name='btnCorpseList'  progid='DecalControls.PushButton'   text='Show Corpse List' \n" +
	"	   left='15' top='30'  width='110' height='18' />\n" +
	"         <control name='btnCorpseClear' progid='DecalControls.PushButton'   text='Clear Corpse List' \n" +
	"	   left='15' top='50'  width='110' height='18' />\n" +
	"         <control name='btnShowDNAL' progid='DecalControls.PushButton'      text='Show DNAL' \n" +
	"	   left='15' top='70'  width='110' height='18' />\n" +
	"         <control name='btnDNAL'  progid='DecalControls.PushButton'         text='Clear DNAL' \n" +
	"	   left='15' top='90'  width='110' height='18' />\n" +
	"         <control name='btnShowOORL' progid='DecalControls.PushButton'      text='Show OORL' \n" +
	"	   left='15' top='110' width='110' height='18' />\n" +
	"         <control name='btnOORL'  progid='DecalControls.PushButton'         text='Clear OORL' \n" +
	"	   left='15' top='130' width='110' height='18' />\n" +
	"         <control name='btnShowDone' progid='DecalControls.PushButton'      text='Show Done List' \n" +
	"	   left='15' top='150' width='110' height='18' />\n" +
	"         <control name='btnDone'  progid='DecalControls.PushButton'         text='Clear Done List' \n" +
	"	   left='15' top='170' width='110' height='18' />\n" +
	"         <control name='btnShowBuffs' progid='DecalControls.PushButton'     text='Show Buffs' \n" +
	"	   left='15' top='190' width='110' height='18' />\n" +
	"         <control name='btnShowParams' progid='DecalControls.PushButton'    text='Show Params' \n" +
	"          left='15' top='210' width='110' height='18' />\n" +
	"         <control name='btnAnalSel'    progid='DecalControls.PushButton'    text='Analyze Selected' \n" +
	"          left='15' top='230' width='110' height='18' />\n" +
	
	"         <control name='textCmd'       progid='DecalControls.StaticText'    text='Eval Command' \n" +
	"	   left='25' top='255' width='115' height='16' />\n" +
	"         <control name='editCmd'       progid='DecalControls.Edit' \n" +
	"	   left='10' top='272' width='120' height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +
	"	</control>\n" +
	"       </page>\n" +

	"    </control>\n" +
	"  </control>\n" +
	"</view>";

    // Build config schema.  We break it down into several section due to the size of each piece
    szSchemaConfigBegin =
	"<view title='" + szPanelConfig + "' iconlibrary='Inject.dll' icon='128' \n" +
	"  width='230' height='335'>\n" +
	"  <control progid='DecalControls.FixedLayout'>\n" +
	"    <control name='spellTab' progid='DecalControls.Notebook' " +
	"     left='0' top='0' width='230' height='335'>\n";


    // Build list of restore file locations
    szSchemaConfig1a = "";
    for (var x=1; x<=genMaxFiles; x++) szSchemaConfig1a = szSchemaConfig1a + "<option text='" + x + "'/>\n";

    szSchemaConfig1 =
	"	<page label='G1'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textGen'      progid='DecalControls.StaticText' text='Configuration Management' \n" +
	"	   left='10' top='8' width='140' height='18' />\n" +
	"         <control name='btnGenLoad'   progid='DecalControls.PushButton' text='Load' \n" +
	"	   left='10' top='25' width='60' height='18' />\n" +
	"         <control name='loadGen'      progid='DecalControls.Choice' \n" +
	"	   left='80' top='27' width='55' height='18' selected='0' >\n" +
	"	     <option data='0' text='Def'/>\n" + szSchemaConfig1a +
	"         </control>\n" +
	"         <control name='btnGenSave'   progid='DecalControls.PushButton' text='Save' \n" +
	"	   left='10'  top='47' width='60' height='18' />\n" +
	"         <control name='saveGen'      progid='DecalControls.Choice' \n" +
	"	   left='80'  top='49' width='55' height='18' selected='0'>\n" +
	"	     <option data='0' text='Def'/>\n" + szSchemaConfig1a +
	"	  </control>\n" +
	"         <control name='btnGenReset'       progid='DecalControls.PushButton' text='Reset' \n" +
	"	   left='10' top='69' width='60'    height='18' />\n" +

	"         <control name='textMisc'          progid='DecalControls.StaticText' text='General 1' \n" +
	"	   left='10'  top='97'  width='160' height='16' />\n" +

	"         <control name='chkLogItemBuffs'   progid='DecalControls.CheckBox'   text='Log Item Buffs' \n" +
	"          left='5'   top='115' width='95 ' height='16' checked='false'/>\n" +
	"         <control name='chkReduceBurden'   progid='DecalControls.CheckBox'   text='Reduce burden' \n" +
	"          left='105' top='115' width='95'  height='16' checked='false'/>\n" +

	"         <control name='chkDeathLog'       progid='DecalControls.CheckBox'   text='Log on death' \n" +
	"	   left='5'   top='133' width='95'  height='16'  checked='false'/>\n" +
	"         <control name='chkDeathBuff'      progid='DecalControls.CheckBox'   text='Rebuff on death' \n" +
	"	   left='105' top='133' width='100' height='16'  checked='false'/>\n" +

	"         <control name='chkAutoExcl'       progid='DecalControls.CheckBox'   text='Auto exclusion' \n" +
	"	   left='5'   top='151' width='95'  height='16'  checked='false'/>\n" +
	"         <control name='chkWarAvoid'       progid='DecalControls.CheckBox'   text='Avoid war' \n" +
	"          left='105' top='151' width='95'  height='16' checked='false'/>\n" +

	"         <control name='chkFellowStealth'  progid='DecalControls.CheckBox'   text='Fellow stealth' \n" +
	"	   left='5'   top='169' width='95'  height='16'  checked='false'/>\n" +
	"         <control name='chkAllegStealth'   progid='DecalControls.CheckBox'   text='Alleg stealth' \n" +
	"	   left='105' top='169' width='95'  height='16'  checked='false'/>\n" +

	"         <control name='chkAutoResp'       progid='DecalControls.CheckBox'   text='Auto reply' \n" +
	"	   left='5'   top='187' width='95'  height='16'  checked='false'/>\n" +
	"         <control name='chkDisband'        progid='DecalControls.CheckBox'   text='Allow disband' \n" +
	"	   left='105' top='187' width='95'  height='16'  checked='false'/>\n" +

	"         <control name='chkAutoResume'     progid='DecalControls.CheckBox'   text='Auto resume' \n" +
	"	   left='5'   top='205' width='95'  height='16'  checked='false'/>\n" +
	"         <control name='chkAcceptFellow'   progid='DecalControls.CheckBox'   text='Accept Fellow' \n" +
	"	   left='105' top='205' width='95'  height='16'  checked='false'/>\n" +

	"         <control name='chkGem'            progid='DecalControls.CheckBox'   text='Use still gems' \n" +
	"          left='5'   top='223' width='95'  height='16' checked='false'/>\n" +

	"         <control name='chkSlideCast'      progid='DecalControls.CheckBox'   text='Slide cast' \n" +
	"          left='105' top='223' width='95'  height='16' checked='false'/>\n" +

	"         <control name='textFellow'        progid='DecalControls.StaticText' text='Fellow Permission' \n" +
	"	   left='10'  top='247' width='95'  height='16' />\n" +
	"         <control name='fellowOptions'     progid='DecalControls.Choice' \n" +
	"          left='105' top='247' width='90'   height='18' >\n" +
	"            <option text='Authorized'/>\n" +
	"            <option text='Password'/>\n" +
	"            <option text='Anybody'/>\n" +
	"         </control>\n" +
	"	</control>\n" +
	"       </page>\n";

    // Build list mana stone choices
    szSchemaConfig2a = "";
    for (var x=0; x<manaCnt; x++)
	szSchemaConfig2a = szSchemaConfig2a + "<option data='" + x + "' text='" + manaName[x] + "'/> \n";
    szSchemaConfig2a = szSchemaConfig2a + "<option data='" + x + "' text='None'/> \n"; 

    // Build 0 to 5 choice list for spell aug gem usage
    szSchemaConfig2b = "";
    for (var x=0; x<=5; x++) szSchemaConfig2b += "<option text='" + x + "'/>\n";

    szSchemaConfig2 =
	"	<page label='G2'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textGen2'          progid='DecalControls.StaticText' text='General 2' \n" +
	"	   left='10'  top='8'   width='160' height='16' />\n" +
	
	"         <control name='chkSelCheckZ'      progid='DecalControls.CheckBox'  text='Restrict selections by Z' \n" +
	"          left='10'  top='28'  width='160' height='16' checked='false'/>\n" +
	"         <control name='chkAssessKnown'    progid='DecalControls.CheckBox'  text='Assess Known Creatures' \n" +
	"          left='10'  top='46'  width='160' height='16' checked='false'/>\n" +
	"         <control name='chkAssessUnknown'  progid='DecalControls.CheckBox'  text='Reassess Unknown Creatures' \n" +
	"          left='10'  top='64'  width='160' height='16' checked='false'/>\n" +
	"         <control name='chkIgnoreAtt'      progid='DecalControls.CheckBox'  text='Ignore Attacks' \n" +
	"          left='10'  top='82'  width='95 ' height='16' checked='false'/>\n" +

	"         <control name='mtext1'            progid='DecalControls.StaticText' text='Mana Stone Usage' \n" +
	"	   left='10'  top='105' width='90'  height='18' />\n" +
	"         <control name='choiceManaStone'   progid='DecalControls.Choice' \n" +
	"	   left='105' top='104' width='100' height='18' droplines='9' >\n" + szSchemaConfig2a +
	"         </control>\n" +

	"         <control name='mtext2'             progid='DecalControls.StaticText' text='Spell Aug Gems' \n" +
	"	   left='10'  top='130' width='90'   height='18' />\n" +
	"         <control name='choiceSpellAugGems' progid='DecalControls.Choice' \n" +
	"	   left='105' top='129' width='50'   height='18' droplines='6' >\n" + szSchemaConfig2b +
	"         </control>\n" +

	"         <control name='chkSupportOnly'    progid='DecalControls.CheckBox'  text='Support Only' \n" +
	"          left='5'   top='160' width='95'  height='16' checked='false'/>\n" +

	"         <control name='chkAlwaysImperl'   progid='DecalControls.CheckBox'  text='Always Imperl' \n" +
	"          left='5'   top='180' width='95'  height='16' checked='false'/>\n" +

	"         <control name='chkAlwaysVuln'     progid='DecalControls.CheckBox'  text='Always Vuln' \n" +
	"          left='105' top='180' width='95'  height='16' checked='false'/>\n" +

	"         <control name='chkHealFellow'     progid='DecalControls.CheckBox'  text='Heal Fellow' \n" +
	"          left='5'   top='200' width='95'  height='16' checked='false'/>\n" +
	
	"         <control name='chkStamFellow'     progid='DecalControls.CheckBox'  text='Stam Fellow' \n" +
	"          left='105' top='200' width='95'  height='16' checked='false'/>\n" +

	"         <control name='chkBuffDanger'     progid='DecalControls.CheckBox'  text='Buff while danger' \n" +
	"          left='5'   top='220' width='160' height='16' checked='false'/>\n" +

	"         <control name='chkSelByDist'      progid='DecalControls.CheckBox'  text='Select by distance' \n" +
	"          left='5'   top='240' width='160' height='16' checked='false'/>\n" +

	"	</control>\n" +
	"       </page>\n";

    // Build list of retreat counts
    szSchemaConfig3a = "";
    for (var x=1; x<=navMaxRetreat; x++) szSchemaConfig3a += "<option text='" + x + "'/>\n";

    szSchemaConfig3b = "";
    for (var x=1; x<=navMaxGroups; x++) szSchemaConfig3b += "<option text='" + x + "'/>\n";

    szSchemaConfig3c = "";
    for (var x=100; x>0; x--) szSchemaConfig3c += "<option text='" + x + "'/>\n";

    szSchemaConfig3 =
	"	<page label='M'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +

	"         <control name='textMove1'          progid='DecalControls.StaticText' text='Movement' \n" +
	"	   left='10'  top='8'    width='140' height='18' />\n" +
	"         <control name='chkAutoHome'        progid='DecalControls.CheckBox'   text='Auto home' \n" +
	"	   left='10'  top='28'   width='150' height='18' checked='false'/>\n" +
	"         <control name='chkMoveDelay'       progid='DecalControls.CheckBox'   text='Move delay' \n" +
	"	   left='10'  top='46'   width='150' height='18' checked='false'/>\n" +
	"         <control name='chkRetreat'         progid='DecalControls.CheckBox'   text='Enable Retreating' \n" +
	"          left='10'  top='64'   width='150' height='18' checked='false'/>\n" +
	"         <control name='chkMultRetreat'     progid='DecalControls.CheckBox'   text='Enable Multichar Retreat' \n" +
	"          left='10'  top='82'   width='150' height='18' checked='false'/>\n" +
	"         <control name='chkHealthRetreat'   progid='DecalControls.CheckBox'   text='Enable Low Health Retreat' \n" +
	"          left='10'  top='100'  width='150' height='18' checked='false'/>\n" +
	"         <control name='chkRecordLoc'       progid='DecalControls.CheckBox'   text='Record Location' \n" +
	"          left='10'  top='118'  width='150' height='18' checked='false'/>\n" +

	"         <control name='rtext1'            progid='DecalControls.StaticText' text='Retreat 1 Count' \n" +
	"	   left='10'  top='143'  width='80' height='18' />\n" +
	"         <control name='retreatCnt1'       progid='DecalControls.Choice' \n" +
	"	   left='100' top='142'  width='65' height='18' droplines='5' >\n" + szSchemaConfig3a +
	"         </control>\n" +

	"         <control name='rtext2'            progid='DecalControls.StaticText' text='Retreat 2 Count' \n" +
	"	   left='10'  top='163' width='80'  height='18' />\n" +
	"         <control name='retreatCnt2'       progid='DecalControls.Choice' \n" +
	"	   left='100' top='162' width='65'  height='18' droplines='5' >\n" + szSchemaConfig3a +
	"         </control>\n" +

	"         <control name='rtext3'            progid='DecalControls.StaticText' text='Retreat 3+ Count' \n" +
	"	   left='10'  top='183' width='80'  height='18' />\n" +
	"         <control name='retreatCnt3'       progid='DecalControls.Choice' \n" +
	"	   left='100' top='182' width='65'  height='18' droplines='5' >\n" +  szSchemaConfig3a +
	"         </control>\n" +

	"         <control name='rtext4'            progid='DecalControls.StaticText' text='Retreat Damage' \n" +
	"	   left='10'  top='203' width='80'  height='18' />\n" +
	"         <control name='retreatDam'        progid='DecalControls.Choice' \n" +
	"	   left='100' top='202' width='65'  height='18' droplines='5' >\n" + szSchemaConfig3c +
	"         </control>\n" +

	"         <control name='text7b'            progid='DecalControls.StaticText' text='Move Group' \n" +
	"	   left='10'  top='223' width='75'  height='18' />\n" +
	"         <control name='moveGroup'         progid='DecalControls.Choice' \n" +
	"	   left='100' top='222' width='65'  height='18' droplines='5' >\n" +
	"	        <option text='None'/>\n" + szSchemaConfig3b +
	"         </control>\n" +

	"	</control>\n" +
	"       </page>\n";

   szSchemaConfig4 =
	"	<page label='I'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textInfo1'        progid='DecalControls.StaticText' text='Info' \n" +
	"	   left='10' top='8'   width='170' height='16' />\n" +
	"         <control name='chkRepPlayer'     progid='DecalControls.CheckBox'  text='Announce Players' \n" +
	"          left='10' top='28'  width='170' height='16' checked='false'/>\n" +
	"         <control name='chkRepLoot'       progid='DecalControls.CheckBox'  text='Show Loot Pickups' \n" +
	"          left='10' top='46'  width='170' height='16' checked='false'/>\n" +
	"         <control name='chkRepAbort'      progid='DecalControls.CheckBox'  text='Display Aborts' \n" +
	"          left='10' top='64'  width='170' height='16' checked='false'/>\n" +
	"         <control name='chkDispUnspent'   progid='DecalControls.CheckBox'  text='Report Unspent Exp' \n" +
	"          left='10' top='82'  width='170' height='16' checked='false'/>\n" +
	"         <control name='chkDispSkill'     progid='DecalControls.CheckBox'  text='Report Skill Exp' \n" +
	"          left='10' top='100' width='170' height='16' checked='false'/>\n" +
	"         <control name='chkItemFellow'    progid='DecalControls.CheckBox'  text='Broadcast good items' \n" +
	"          left='10' top='118' width='170' height='16' checked='false'/>\n" +
	"         <control name='chkFellowSupport' progid='DecalControls.CheckBox'  text='Support via @fellow' \n" +
	"          left='10' top='136' width='170' height='16' checked='false'/>\n" +
	"         <control name='chkFriendSupport' progid='DecalControls.CheckBox'  text='Support via @tell' \n" +
	"          left='10' top='154' width='170' height='16' checked='false'/>\n" +
	"         <control name='chkVerbose'       progid='DecalControls.CheckBox'  text='Verbose' \n" +
	"          left='10' top='172' width='170' height='16' checked='false'/>\n" +
	"	</control>\n" +
	"       </page>\n";


   // szSchemaConfigNotes = "";
   // for (var x=0; x<noteCnt; x++)
   //	szSchemaConfigNotes += "  <option data='" + x + "' text='" + noteName[x] + "'/>\n";

   szSchemaConfig5a =
	"	<page label='LS'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textLoot1'         progid='DecalControls.StaticText' text='Loot/Salvage' \n" +
	"	   left='10'  top='8'   width='140' height='18' />\n" +
	"         <control name='chkLooting'        progid='DecalControls.CheckBox'   text='Loot Corpses' \n" +
	"	   left='10'  top='28'  width='150' height='18' checked='false'/>\n" +
	"         <control name='chkLootAll'        progid='DecalControls.CheckBox'   text='Loot All Corpses' \n" +
	"          left='10'  top='46'  width='150' height='18' checked='false'/>\n" +
	"         <control name='chkLootWait'       progid='DecalControls.CheckBox'   text='Wait on Corpses' \n" +
	"          left='10'  top='64'  width='150' height='18' checked='false'/>\n" +
	"         <control name='chkAutoUst'        progid='DecalControls.CheckBox'   text='Auto Ust Loot' \n" +
	"          left='10'  top='82'  width='150' height='18' checked='false'/>\n" +
	"         <control name='chkMoveFull'       progid='DecalControls.CheckBox'   text='Move Full Bags' \n" +
	"          left='10'  top='100'  width='150' height='18' checked='false'/>\n" +

	// "         <control name='textLoot2'         progid='DecalControls.StaticText'  text='Auto Selling' \n" +
	// "	   left='10'  top='120' width='140' height='18' />\n" +

	// "	  <control name='maxNoteText'       progid='DecalControls.StaticText' text='Max Note' \n" +
	// "	   left='10'  top='140' width='60'  height='16' />\n" +
	// "	  <control name='maxNote'           progid='DecalControls.Choice' \n" +
	// "      	   left='80'  top='121' width='70'  height='16' droplines='5' >\n" + szSchemaConfigNotes +
	// "         </control>\n" +
	// "         <control name='minNoteText'       progid='DecalControls.StaticText' text='Min Note' \n" +
	// "          left='10'  top='160' width='60'  height='16' />\n" +
	// "         <control name='minNote'           progid='DecalControls.Choice' \n" +
	// "          left='80'  top='159' width='70'  height='16' droplines='5' >\n" + szSchemaConfigNotes +
	// "         </control>\n" +	

	"	</control>\n" +
	"       </page>\n";

   szSchemaConfig5b =
	"	<page label='ST'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textStart1'        progid='DecalControls.StaticText' text='Startup' \n" +
	"	   left='10' top='8'    width='170' height='16' />\n" +

	"         <control name='chkStartBuff'      progid='DecalControls.CheckBox' text='Buffing enabled at start' \n" +
	"	   left='10' top='28'   width='170' height='16' checked='false'/>\n" +
	"         <control name='chkStartAttack'    progid='DecalControls.CheckBox' text='Attacking enabled at start' \n" +
	"	   left='10' top='46'   width='170' height='16' checked='false'/>\n" +
	"         <control name='chkStartStealth'   progid='DecalControls.CheckBox' text='Stealth enabled at start' \n" +
	"          left='10' top='64'   width='170' height='16' checked='false'/>\n" +
	"         <control name='chkStartAutoMove'  progid='DecalControls.CheckBox' text='Automove enabled at start' \n" +
	"          left='10' top='82'   width='170' height='16' checked='false'/>\n" +
	"         <control name='chkStartExclMode'  progid='DecalControls.CheckBox' text='Exclusion mode enabled at start' \n" +
	"          left='10' top='100'  width='170' height='16' checked='false'/>\n" +
	"         <control name='chkStartSafeMode'  progid='DecalControls.CheckBox' text='Safemode enabled at start' \n" +
	"          left='10' top='118' width='170'  height='16' checked='false'/>\n" +
	"         <control name='chkStartPeaceMode' progid='DecalControls.CheckBox' text='Peacemode enabled at start' \n" +
	"	   left='10' top='136' width='170'  height='16' checked='false'/>\n" +
	"         <control name='chkStartFellow'    progid='DecalControls.CheckBox' text='Create fellowship at start' \n" +
	"	   left='10' top='154' width='170'  height='16' checked='false'/>\n" +
	"	</control>\n" +
	"       </page>\n";

   szSchemaConfig6 =
	"	<page label='S1'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textSpell1'       progid='DecalControls.StaticText' text='Spellcasting' \n" +
	"	   left='10' top='8'   width='140' height='16' />\n" +
	"         <control name='chkYieldDisable'  progid='DecalControls.CheckBox'   text='Disable yielding' \n" +
	"          left='10' top='28'  width='150' height='16' checked='false'/>\n" +
	"         <control name='chkYieldMagicD'   progid='DecalControls.CheckBox'   text='Yield if magicd unknown' \n" +
	"          left='10' top='46'  width='150' height='16' checked='false'/>\n" +
	"         <control name='chkVulnDown'      progid='DecalControls.CheckBox'   text='Enable vuln step down' \n" +
	"          left='10' top='64'  width='150' height='16' checked='false'/>\n" +
	"         <control name='chkWarDown'       progid='DecalControls.CheckBox'   text='Enable war step down' \n" +
	"          left='10' top='82'  width='150' height='16' checked='false'/>\n" +
	"         <control name='chkWarUp'         progid='DecalControls.CheckBox'   text='Enable war step up' \n" +
	"          left='10' top='100' width='150' height='16' checked='false'/>\n" +

	"         <control name='healStepText'      progid='DecalControls.StaticText' text='Heal step up' \n" +
	"          left='10'  top='121' width='100' height='16' />\n" +
	"         <control name='healStepUp' progid='DecalControls.Choice' \n" +
	"          left='105' top='120' width='60'  height='16' droplines='8' >\n" + szSchemaHealLvl +
	"         </control>\n" +

	"         <control name='chkWandImbue'     progid='DecalControls.CheckBox'   text='Use wand imbue' \n" +
	"          left='10' top='144' width='150' height='16' checked='false'/>\n" +
	"         <control name='chkMatchVuln2'    progid='DecalControls.CheckBox'   text='Match secondary vuln' \n" +
	"          left='10' top='162' width='150' height='16' checked='false'/>\n" +
	"         <control name='chkMatchVuln3'    progid='DecalControls.CheckBox'   text='Match tertiary vuln' \n" +
	"          left='10' top='180' width='150' height='16' checked='false'/>\n" +

	"         <control name='warText' progid='DecalControls.StaticText' text='War Spell Type' \n" +
	"          left='10'  top='205' width='80' height='20' />\n" +
	"         <control name='warChoice' progid='DecalControls.Choice' \n" +
	"          left='100' top='204' width='75' height='20' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Bolt'/>\n" +
	"           <option data='2' text='Arc'/>\n" +
	"         </control>\n" +

	"         <control name='chkUseRingSpl'    progid='DecalControls.CheckBox'   text='Use ring spells' \n" +
	"          left='10' top='230' width='150' height='16' checked='false'/>\n" +

	"	</control>\n" +
	"       </page>\n";

    szSchemaConfig7 =
		"<page label='S2'>\n" +
		"<control progid='DecalControls.FixedLayout'>\n" +
	
		  "<control name='textSpell2'       progid='DecalControls.StaticText' text='Spell Levels' \n" +
		  "left='5' top='8' width='140'     height='16' />\n" +

		  "<control name='maxWarText'       progid='DecalControls.StaticText' text='Max War' \n" +
		   "left='5'   top='28'  width='60' height='16' />\n" +
		  "<control name='maxWar'           progid='DecalControls.Choice' \n" +
		   "left='65'  top='27'  width='45' height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='minWarSpell'      progid='DecalControls.StaticText' text='Min War' \n" +
		   "left='120' top='28'  width='60' height='16' />\n" +
		  "<control name='minWar'           progid='DecalControls.Choice' \n" +
		   "left='180' top='27'  width='45' height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +	

		  "<control name='maxYieldText'      progid='DecalControls.StaticText' text='Max Yield' \n" +
		   "left='5'   top='48'  width='60'  height='16' />\n" +
		  "<control name='maxYield'          progid='DecalControls.Choice' \n" +
		   "left='65'  top='47'  width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='maxImperlText'     progid='DecalControls.StaticText' text='Max Imperl' \n" +
		   "left='120' top='48'  width='60'  height='16' />\n" +
		  "<control name='maxImperl'         progid='DecalControls.Choice' \n" +
		   "left='180' top='47'  width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='maxVulnText'       progid='DecalControls.StaticText' text='Max Vuln' \n" +
		   "left='5'   top='68'  width='60'  height='16' />\n" +
		  "<control name='maxVuln'           progid='DecalControls.Choice' \n" +
		   "left='65'  top='67'  width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='HealSelfText'      progid='DecalControls.StaticText' text='Heal Self' \n" +
		   "left='120' top='68'  width='60'  height='16' />\n" +
		  "<control name='healSelf'          progid='DecalControls.Choice' \n" +
		   "left='180' top='67'  width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='S2HText'           progid='DecalControls.StaticText' text='Stam2Health' \n" +
		   "left='5'   top='88'  width='60'  height='16' />\n" +
		  "<control name='stam2health'       progid='DecalControls.Choice' \n" +
		   "left='65'  top='87'  width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='S2MText'           progid='DecalControls.StaticText' text='Stam2Mana' \n" +
		   "left='120' top='88'  width='60'  height='16' />\n" +
		  "<control name='stam2mana'         progid='DecalControls.Choice' \n" +
		   "left='180' top='87'  width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='RevitText'         progid='DecalControls.StaticText' text='Revitalize' \n" +
		   "left='5'   top='108' width='60'  height='16' />\n" +
		  "<control name='revitSelf'         progid='DecalControls.Choice' \n" +
		   "left='65'  top='107' width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='StrengthText'      progid='DecalControls.StaticText' text='Strength' \n" +
		   "left='120' top='108' width='60'  height='16' />\n" +
		  "<control name='strengthSelf'      progid='DecalControls.Choice' \n" +
		   "left='180' top='107' width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='HealthText'        progid='DecalControls.StaticText' text='Drain Health' \n" +
		   "left='5'   top='128' width='80'  height='16' />\n" +
		  "<control name='drainHealth'       progid='DecalControls.Choice' \n" +
		   "left='85'  top='127' width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='StamText'          progid='DecalControls.StaticText' text='Drain Stamina' \n" +
		   "left='5'   top='148' width='80'  height='16' />\n" +
		  "<control name='drainStamina'      progid='DecalControls.Choice' \n" +
		   "left='85'  top='147' width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

		  "<control name='ManaText'          progid='DecalControls.StaticText' text='Drain Mana' \n" +
		   "left='5'   top='168' width='80'  height='16' />\n" +
		  "<control name='drainMana'         progid='DecalControls.Choice' \n" +
		   "left='85'  top='167' width='45'  height='16' droplines='7' >\n" + szSchemaSpellLevels +
		  "</control>\n" +

	 	  "<control name='chkTuskerSpit'     progid='DecalControls.CheckBox' text='Use Tusker Spit Ale' \n" +
		   "left='10'  top='195' width='130' height='16' checked='false'/>\n" +

		  "<control name='chkAmberApe'       progid='DecalControls.CheckBox' text='Use Amber Ape' \n" +
		   "left='10'  top='215' width='130' height='16' checked='false'/>\n" +
	
		  "<control name='chkBoboStout'      progid='DecalControls.CheckBox' text='Use Bobos Stout' \n" +
		   "left='10'  top='235' width='130' height='16' checked='false'/>\n" +

		"</control>\n" +
		"</page>\n";

    szSchemaConfig8a = "";
    for (var x=0; x<Comp.Count; x++)
	szSchemaConfig8a = szSchemaConfig8a + "<option data='" + x + "' text='" + Comp.Info[x].Name + "'/>\n";

    szSchemaConfig8 =
	"	<page label='C'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textComp1'         progid='DecalControls.StaticText' text='Components' \n" +
	"	   left='10'  top='8'   width='140' height='16' />\n" +
	"         <control name='chkComps'          progid='DecalControls.CheckBox'   text='Comp checking' \n" +
	"	   left='10'  top='28'  width='100' height='16'  checked='false'/>\n" +
	"         <control name='chkCompLog'        progid='DecalControls.CheckBox'   text='Low comp logging' \n" +
	"	   left='115' top='28'  width='105' height='16'  checked='false'/>\n" +
	"         <control name='chkCompAssist'     progid='DecalControls.CheckBox'   text='Comp assist' \n" +
	"	   left='10'  top='46'  width='100' height='16'  checked='false'/>\n" +
	"         <control name='chkCompRetreat'    progid='DecalControls.CheckBox'   text='Low comp retreat' \n" +
	"	   left='115' top='46'  width='105' height='16'  checked='false'/>\n" +
	"         <control name='chkSplitPeas'      progid='DecalControls.CheckBox'   text='Split Peas' \n" +
	"	   left='10'  top='64'  width='100' height='16'  checked='false'/>\n" +


	"         <control name='compChoice'          progid='DecalControls.Choice' \n" +
	"	   left='10'  top='90'  width='170' height='20' >\n" +  szSchemaConfig8a +
	"         </control>\n" +

	"         <control name='chkCompEnabled'    progid='DecalControls.CheckBox'  text='Enabled' \n" +
	"	   left='10'  top='115' width='125' height='18'  checked='false'/>\n" +

	"         <control name='textComp1'         progid='DecalControls.StaticText' text='Warn Lvl:' \n" +
	"	   left='10'  top='135' width='60'  height='16' />\n" +
	"         <control name='textComp1v'        progid='DecalControls.StaticText' text='?' \n" +
	"	   left='75'  top='135' width='30'  height='16' />\n" +
	"         <control name='editComp1'         progid='DecalControls.Edit' \n" +
	"	   left='115' top='134' width='60'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='textComp2'         progid='DecalControls.StaticText' text='Split Lvl:' \n" +
	"	   left='10'  top='155' width='60'  height='16' />\n" +
	"         <control name='textComp2v'         progid='DecalControls.StaticText' text='?' \n" +
	"	   left='75'  top='155' width='30'  height='16' />\n" +
	"         <control name='editComp2'         progid='DecalControls.Edit' \n" +
	"	   left='115' top='154' width='60'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='textComp3'         progid='DecalControls.StaticText' text='Crit Lvl:' \n" +
	"	   left='10'  top='175' width='60'  height='16' />\n" +
	"         <control name='textComp3v'        progid='DecalControls.StaticText' text='?' \n" +
	"	   left='75'  top='175' width='30'  height='16' />\n" +
	"         <control name='editComp3'         progid='DecalControls.Edit' \n" +
	"	   left='115' top='174' width='60'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='textComp4'         progid='DecalControls.StaticText' text='Buy Lvl:' \n" +
	"	   left='10'  top='195' width='60'  height='16' />\n" +
	"         <control name='textComp4v'        progid='DecalControls.StaticText' text='?' \n" +
	"	   left='75'  top='195' width='30'  height='16' />\n" +
	"         <control name='editComp4'         progid='DecalControls.Edit' \n" +
	"	   left='115' top='194' width='60'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='btnCompNext'       progid='DecalControls.PushButton'  text='Next' \n" +
	"	   left='10'  top='220' width='75'  height='18' />\n" +
	"         <control name='btnCompPrev'       progid='DecalControls.PushButton'  text='Prev' \n" +
	"	   left='105' top='220' width='75'  height='18' />\n" +
	"         <control name='btnCompSetAs'      progid='DecalControls.PushButton'  text='Set as Prev' \n" +
	"	   left='10'  top='240' width='75'  height='18' />\n" +
	"         <control name='btnCompReset'      progid='DecalControls.PushButton'  text='Reset All' \n" +
	"	   left='105' top='240' width='75'  height='18' />\n" +
	"         <control name='btnCompShow'       progid='DecalControls.PushButton'  text='Show Enabled' \n" +
	"	   left='10'  top='260' width='75'  height='18' />\n" +
	"	</control>\n" +
	"       </page>\n";

    szSchemaConfig9 =
 	"	<page label='A'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textAlert1'      progid='DecalControls.StaticText' text='Alerting' \n" +
	"	   left='10' top='8'   width='140' height='16' />\n" +
	"         <control name='chkTellAlert'    progid='DecalControls.CheckBox'   text='@Tell Alert' \n" +
	"          left='10' top='30'  width='130' height='16' checked='false'/>\n" +
	"         <control name='chkAllegAlert'   progid='DecalControls.CheckBox'   text='@Alleg Alert' \n" +
	"          left='10' top='50'  width='130' height='16' checked='false'/>\n" +
	"         <control name='chkDeathAlert'   progid='DecalControls.CheckBox'   text='Death Alert' \n" +
	"          left='10' top='70'  width='130' height='16' checked='false'/>\n" +
	"         <control name='chkPlayerAlert'  progid='DecalControls.CheckBox'   text='Player Alert' \n" +
	"          left='10' top='90'  width='130' height='16' checked='false'/>\n" +
	"         <control name='chkStealthAlert' progid='DecalControls.CheckBox'   text='Stealth Alert' \n" +
	"          left='10' top='110' width='130' height='16' checked='false'/>\n" +
	"         <control name='chkCompAlert'    progid='DecalControls.CheckBox'   text='Low Comp Alert' \n" +
	"          left='10' top='130' width='130' height='16' checked='false'/>\n" +
	"         <control name='chkItemAlert'    progid='DecalControls.CheckBox'   text='Item Alert' \n" +
	"          left='10' top='150' width='130' height='16' checked='false'/>\n" +
	"         <control name='chkAbortAlert'   progid='DecalControls.CheckBox'   text='Abort Alert' \n" +
	"          left='10' top='170' width='130' height='16' checked='false'/>\n" +
	"         <control name='chkAdminAlert'   progid='DecalControls.CheckBox'   text='Admin Alert' \n" +
	"          left='10' top='190' width='130' height='16' checked='false'/>\n" +
	"         <control name='btnTestAdmin'    progid='DecalControls.PushButton' text='Test Admin Alert' \n" +
	"          left='10' top='210' width='110' height='20' />\n" +
	"	</control>\n" +
	"       </page>\n";

    szSchemaConfig10 =
	"	<page label='D'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textDebug1'       progid='DecalControls.StaticText' text='Debugging' \n" +
	"	   left='10' top='8'   width='160' height='18' />\n" +
	"         <control name='chkDebug'         progid='DecalControls.CheckBox'   text='Log General Debug Info' \n" +
	"	   left='10' top='30'  width='160' height='18' checked='false'/>\n" +
	"         <control name='chkEvents'        progid='DecalControls.CheckBox'   text='Log Event Debug Info' \n" +
	"	   left='10' top='50'  width='160' height='18' checked='false'/>\n" +
	"         <control name='chkStateDebug'    progid='DecalControls.CheckBox'   text='Log State Debug Info' \n" +
	"	   left='10' top='70'  width='160' height='18' checked='false'/>\n" +
	"         <control name='chkSelDebug'      progid='DecalControls.CheckBox'   text='Log Select Debug Info' \n" +
	"	   left='10' top='90'  width='160' height='18' checked='false'/>\n" +
	"         <control name='chkTarDebug'      progid='DecalControls.CheckBox'   text='Log Target Debug Info' \n" +
	"	   left='10' top='110' width='160' height='18' checked='false'/>\n" +
	"         <control name='chkKillDebug'     progid='DecalControls.CheckBox'   text='Log Kill Debug Info' \n" +
	"	   left='10' top='130' width='160' height='18' checked='false'/>\n" +
	"         <control name='chkMoveDebug'     progid='DecalControls.CheckBox'   text='Log Move Debug Info' \n" +
	"	   left='10' top='150' width='160' height='18' checked='false'/>\n" +
	"         <control name='chkLootDebug'     progid='DecalControls.CheckBox'   text='Log Loot Debug Info' \n" +
	"	   left='10' top='170' width='160' height='18' checked='false'/>\n" +
	"         <control name='chkSalvageDebug'  progid='DecalControls.CheckBox'   text='Log Salvage Debug Info' \n" +
	"	   left='10' top='190' width='160' height='18' checked='false'/>\n" +
	"         <control name='chkIdleDebug'     progid='DecalControls.CheckBox'   text='Log Idle Debug Info' \n" +
	"	   left='10' top='210' width='160' height='18' checked='false'/>\n" +
	"         <control name='chkBuffDebug'     progid='DecalControls.CheckBox'   text='Log Buff Debug Info' \n" +
	"	   left='10' top='230' width='160' height='18' checked='false'/>\n" +
	"         <control name='chkCastDebug'     progid='DecalControls.CheckBox'   text='Log Cast Debug Info' \n" +
	"	   left='10' top='250' width='160' height='18' checked='false'/>\n" +
	"	</control>\n" +
	"       </page>\n";

    szSchemaConfigEnd = 
	"    </control>\n" +
	"  </control>\n" +
	"</view>";

    szSchemaConfig = szSchemaConfigBegin + szSchemaConfig1  + szSchemaConfig2  + szSchemaConfig3 + szSchemaConfig4 +
		     szSchemaConfig5a    + szSchemaConfig5b + szSchemaConfig6  + szSchemaConfig7 + szSchemaConfig8 +
		     szSchemaConfig9     + szSchemaConfig10 + szSchemaConfigEnd;


    // Build list of attack locs
    szSchemaMovement2a = "";
    for (var x=1; x<=navMaxLoc; x++) szSchemaMovement2a = szSchemaMovement2a + " <option text='" + x + "'/>\n";

   // Build list of file locations
    szSchemaMovement1a = "";
    for (var x=1; x<=navMaxFiles; x++) szSchemaMovement1a = szSchemaMovement1a + " <option text='" + x + "'/>\n";

    szSchemaMovementBegin =
	"<view title='" + szPanelMovement + "' iconlibrary='Inject.dll' icon='128' \n" +
	"  width='185' height='355'>\n" +
	"  <control progid='DecalControls.FixedLayout'>\n" +
	"    <control name='controlTab' progid='DecalControls.Notebook' " +
	"     left='0' top='0' width='185' height='355'>\n";

    szSchemaMovement1 =
	"	<page label='M1'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +

	"         <control name='btnNavLoad'        progid='DecalControls.PushButton' text='Load' \n" +
	"	   left='10'  top='13'  width='40'  height='18' />\n" +
	"         <control name='loadFile'          progid='DecalControls.Choice' \n" +
	"	   left='55'  top='14'  width='45'  height='18' selected='0' droplines='5' >\n" + szSchemaMovement1a +
	"         </control>\n" +

	"         <control name='btnNavSave'        progid='DecalControls.PushButton' text='Save' \n" +
	"	   left='10'  top='35'  width='40'  height='18' />\n" +
	"         <control name='saveFile'          progid='DecalControls.Choice' \n" +
	"	   left='55'  top='36'  width='45'  height='18' selected='0' droplines='5' >\n" + szSchemaMovement1a +
	"         </control>\n" +

	"         <control name='btnNavShow'        progid='DecalControls.PushButton' text='Show' \n" +
	"	   left='10'  top='58'  width='75'  height='18' />\n" +
	"         <control name='btnNavReset'       progid='DecalControls.PushButton' text='Reset' \n" +
	"	   left='10'  top='80' width='75'  height='18' />\n" +

	"	</control>\n" +
	"       </page>\n";

    szSchemaMovement2 =
	"	<page label='M2'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='text1a'            progid='DecalControls.StaticText'  text='Location' \n" +
	"	   left='6'   top='2'   width='55'  height='18' />\n" +
	"         <control name='btnEval'           progid='DecalControls.PushButton'  text='Eval' \n" +
	"	   left='65'  top='0'   width='50'  height='18' />\n" +
	"         <control name='btnCheckLoc'       progid='DecalControls.PushButton'  text='Check' \n" +
	"	   left='125' top='0'   width='50'  height='18' />\n" +
	"         <control name='text1b'            progid='DecalControls.StaticText'  text='Cre Info' \n" +
	"	   left='6'   top='24'  width='55'  height='18' />\n" +
	"         <control name='btnCreSum'         progid='DecalControls.PushButton'  text='Summary' \n" +
	"	   left='65'  top='22'  width='50'  height='18' />\n" +
	"         <control name='btnCreDetail'      progid='DecalControls.PushButton'  text='Detail' \n" +
	"	   left='125' top='22'  width='50'  height='18' />\n" +

	"         <control name='text2' progid='DecalControls.StaticText' text='___________________________' \n" +
	"	   left='10'  top='34'  width='165' height='20' />\n" +

	"         <control name='text2a'            progid='DecalControls.StaticText' text='Active AttLoc: ' \n" +
	"	   left='6'   top='50'  width='75'  height='18' />\n" +
	"         <control name='text2av'           progid='DecalControls.StaticText' text='1' \n" +
	"	   left='85'  top='50'  width='20'  height='18' />\n" +

	"         <control name='text3' progid='DecalControls.StaticText' text='___________________________' \n" +
	"	   left='10'  top='57'  width='165' height='20' />\n" +

	"         <control name='text3b'            progid='DecalControls.StaticText' text='AttLoc' \n" +
	"	   left='6'   top='79' width='34'   height='18' />\n" +

	"         <control name='curAttLoc'         progid='DecalControls.Choice' \n" +
	"	   left='45'  top='77' width='45'   height='18' selected='0'>\n" + szSchemaMovement2a +
	"         </control>\n" +
	"         <control name='ShowAttLoc'        progid='DecalControls.PushButton' text='Show' \n" +
	"	   left='95'  top='77' width='40'   height='18' />\n" +
	"         <control name='SetAttLoc'        progid='DecalControls.PushButton' text='SetAct' \n" +
	"	   left='140' top='77' width='40'   height='18' />\n" +

	"         <control name='text4'             progid='DecalControls.StaticText' text='KillLoc' \n" +
	"	   left='6'   top='105' width='55'  height='18' />\n" +
	"         <control name='btnKillSet'        progid='DecalControls.PushButton' text='Set' \n" +
	"	   left='65'  top='103' width='50'  height='18' />\n" +
	"         <control name='btnKillClear'      progid='DecalControls.PushButton' text='Clear' \n" +
	"	   left='125' top='103' width='50'  height='18' />\n" +

	"         <control name='text5'             progid='DecalControls.StaticText' text='Waypoint' \n" +
	"	   left='6'   top='127' width='55'  height='18' />\n" +
	"         <control name='btnWaySet'         progid='DecalControls.PushButton' text='Set' \n" +
	"	   left='65'  top='125' width='50'  height='18' />\n" +
	"         <control name='btnWayClear'       progid='DecalControls.PushButton' text='Clear' \n" +
	"	   left='125' top='125' width='50'  height='18' />\n" +

	"         <control name='text6'             progid='DecalControls.StaticText' text='RetreatLoc' \n" +
	"	   left='6'   top='149' width='55'  height='18' />\n" +
	"         <control name='btnRetreatSet'     progid='DecalControls.PushButton' text='Set' \n" +
	"	   left='65'  top='147' width='50'  height='18' />\n" +
	"         <control name='btnRetreatClear'   progid='DecalControls.PushButton' text='Clear' \n" +
	"	   left='125' top='147' width='50'  height='18' />\n" +

	"         <control name='chkSpawnAdvance'   progid='DecalControls.CheckBox' text='Advance on close spawn' \n" +
	"          left='10'  top='172'             width='150' height='16' checked='false'/>\n" +

	"         <control name='text7' progid='DecalControls.StaticText' text='___________________________' \n" +
	"	   left='10'  top='180' width='165' height='20' />\n" +
	"         <control name='text7a'            progid='DecalControls.StaticText' text='Master' \n" +
	"	   left='11'  top='197' width='55'  height='18' />\n" +
	"         <control name='text7b'            progid='DecalControls.StaticText' text='Waypoint' \n" +
	"	   left='6'   top='207' width='55'  height='18' />\n" +
	"         <control name='btnMasterSet'      progid='DecalControls.PushButton' text='Set' \n" +
	"	   left='65'  top='199' width='50'  height='18' />\n" +
	"         <control name='btnMasterClear'    progid='DecalControls.PushButton' text='Clear' \n" +
	"	   left='125' top='199' width='50'  height='18' />\n" +

	"         <control name='text8' progid='DecalControls.StaticText' text='___________________________' \n" +
	"	   left='10'  top='212' width='165' height='20' />\n" +
	
	"         <control name='text8a'            progid='DecalControls.StaticText' text='Force' \n" +
	"	   left='10'  top='234' width='40'  height='18' />\n" +
	"         <control name='text8b'            progid='DecalControls.StaticText' text='Move' \n" +
	"	   left='10'  top='249' width='40'  height='18' />\n" +
	"         <control name='btnGotoNext'       progid='DecalControls.PushButton' text='Goto Next' \n" +
	"	   left='50'  top='230' width='60'  height='18' />\n" +
	"         <control name='btnGotoCurr'       progid='DecalControls.PushButton' text='Goto Curr' \n" +
	"	   left='50'  top='252' width='60'  height='18' />\n" +
	"         <control name='btnCancelNav'      progid='DecalControls.PushButton' text='Cancel Nav' \n" +
	"	   left='120' top='230' width='60'  height='40' />\n" +

	"         <control name='text9' progid='DecalControls.StaticText' text='___________________________' \n" +
	"	   left='10'  top='265' width='165' height='20' />\n" +

	"         <control name='text9a'            progid='DecalControls.StaticText' text='Nav' \n" +
	"	   left='10'  top='279' width='40'  height='18' />\n" +
	"         <control name='text9b'            progid='DecalControls.StaticText' text='Info' \n" +
	"	   left='10'  top='292' width='40'  height='18' />\n" +
	"         <control name='btnNavSave2'       progid='DecalControls.PushButton' text='Save' \n" +
	"	   left='50'  top='284' width='40'  height='18' />\n" +
	"         <control name='btnNavLoad2'       progid='DecalControls.PushButton' text='Load' \n" +
	"	   left='95'  top='284' width='40'  height='18' />\n" +
	"         <control name='btnNavShow2'       progid='DecalControls.PushButton' text='Show' \n" +
	"	   left='140' top='284' width='40'  height='18' />\n" +

	"	</control>\n" +
	"       </page>\n";

    szSchemaMovementEnd =
	"    </control>\n" +
	"  </control>\n" +
	"</view>";

    szSchemaMovement = szSchemaMovementBegin + szSchemaMovement1 + szSchemaMovement2 + szSchemaMovementEnd;

    // Build list of file locations
    szSchemaBuff1a = "";
    for (var x=1; x<=buffMaxFiles; x++) szSchemaBuff1a += " <option text='" + x + "'/>\n";

    szSchemaBuff1 =
	"<view title='" + szPanelBuffs + "' iconlibrary='Inject.dll' icon='128' \n" +
	"  width='205' height='360'>\n" +
	"  <control progid='DecalControls.FixedLayout'>\n" +
	"    <control name='controlTab' progid='DecalControls.Notebook' " +
	"     left='0' top='0' width='205' height='360'>\n" +

	"	<page label='Gen'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='text1a'      progid='DecalControls.StaticText' text='Buff Configuration' \n" +
	"	   left='10'  top='8' width='140' height='20' />\n" +

	"         <control name='btnBuffLoad'     progid='DecalControls.PushButton' text='Load' \n" +
	"	   left='10'  top='30' width='75' height='18' />\n" +
	"         <control name='loadBuff'        progid='DecalControls.Choice' \n" +
	"	   left='95'  top='32' width='65' height='18' selected='0' >\n" +
	"	     <option data='0' text='Def'/>\n" + szSchemaBuff1a +
	"         </control>\n" +

	"         <control name='btnBuffSave'     progid='DecalControls.PushButton' text='Save' \n" +
	"	   left='10'  top='50' width='75' height='18' />\n" +
	"         <control name='saveBuff'        progid='DecalControls.Choice' \n" +
	"	   left='95'  top='52' width='65' height='18' selected='0' >\n" +
	"	     <option data='0' text='Def'/>\n" + szSchemaBuff1a +
	"	  </control>\n" +

	"         <control name='btnBuffReset'      progid='DecalControls.PushButton' text='Reset' \n" +
	"	   left='10'  top='70'  width='75'  height='18' />\n" +
	"         <control name='btnBuffShow'       progid='DecalControls.PushButton' text='Show Enabled' \n" +
	"	   left='10'  top='90' width='75'   height='18' />\n" +

	"	</control>\n" +
	"       </page>\n";

    szSchemaBuff2 =
	"	<page label='Cre'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='creChoice'         progid='DecalControls.Choice' \n" +
	"	   left='10'  top='10' width='185'  height='20' >\n";

    szSchemaBuff2a = "";
    for (var x=Buff.Range[buffTypeCre].Begin; x<=Buff.Range[buffTypeCre].End; x++)
	    szSchemaBuff2a += "  <option data='" + x + "' text='" + Buff.Info[x].Name + "'/>\n";

    szSchemaBuff2 += szSchemaBuff2a +
	"         </control>\n" +
	"         <control name='chkBuffCreEnab'    progid='DecalControls.CheckBox'  text='Enabled' \n" +
	"	   left='15'  top='38' width='60'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffCreRandom'  progid='DecalControls.CheckBox'  text='Randomize' \n" +
	"	   left='110' top='38' width='70'   height='18'  checked='false'/>\n" +

	"         <control name='text2b'            progid='DecalControls.StaticText' text='Level: ' \n" +
	"	   left='15'  top='58'  width='45'  height='16' />\n" +
	"         <control name='choiceBuff2b'      progid='DecalControls.Choice' \n" +
	"	   left='65'  top='57'  width='50'  height='18' >\n" + szSchemaSpellLevels +
  	"         </control>\n" +
	"         <control name='text2c'            progid='DecalControls.StaticText' text='Safety: ' \n" +
	"	   left='15'  top='78'  width='45'  height='16' />\n" +
	"         <control name='text2cv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='78'  width='45'  height='16' />\n" +
	"         <control name='editBuff2c'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='77'  width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text2d'            progid='DecalControls.StaticText' text='Priority: ' \n" +
	"	   left='15'  top='98'  width='45'  height='16' />\n" +
	"         <control name='text2dv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='98'  width='45'  height='16' />\n" +
	"         <control name='editBuff2d'         progid='DecalControls.Edit' \n" +
	"	   left='110' top='97'  width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='btnBuffCreNext'    progid='DecalControls.PushButton'  text='Next' \n" +
	"	   left='15'  top='120' width='75'  height='18' />\n" +
	"         <control name='btnBuffCrePrev'    progid='DecalControls.PushButton'  text='Prev' \n" +
	"	   left='110' top='120' width='75'  height='18' />\n" +
	"         <control name='btnBuffCreSetPrev' progid='DecalControls.PushButton'  text='Set as Prev' \n" +
	"	   left='15'  top='142' width='75'  height='18' />\n" +
	"         <control name='btnBuffCreSetLast' progid='DecalControls.PushButton'  text='Set as Last' \n" +
	"	   left='110' top='142' width='75'  height='18' />\n" +
	"         <control name='btnBuffCreShow'    progid='DecalControls.PushButton'  text='Show Enabled' \n" +
	"	   left='15'  top='164' width='75'  height='18' />\n" +
	"         <control name='btnBuffCreAll'     progid='DecalControls.PushButton'  text='All Like This' \n" +
	"	   left='110' top='164' width='75'  height='18' />\n" +

	"	</control>\n" +
	"       </page>\n";

   szSchemaBuff3 =
	"	<page label='Life'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='lifeChoice'        progid='DecalControls.Choice' \n" +
	"	   left='10'  top='10' width='185'  height='20' >\n";

    szSchemaBuff3a = "";
    for (var x=Buff.Range[buffTypeLife].Begin; x<=Buff.Range[buffTypeLife].End; x++)
	    szSchemaBuff3a += " <option data='" + x + "' text='" + Buff.Info[x].Name + "'/>\n";

    szSchemaBuff3 += szSchemaBuff3a +
	"         </control>\n" +
	"         <control name='chkBuffLifeEnab'   progid='DecalControls.CheckBox'  text='Enabled' \n" +
	"	   left='15'  top='38' width='60'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffLifeRandom' progid='DecalControls.CheckBox'  text='Randomize' \n" +
	"	   left='110' top='38' width='70'   height='18'  checked='false'/>\n" +

	"         <control name='text3b'            progid='DecalControls.StaticText' text='Level: ' \n" +
	"	   left='15'  top='58'  width='45'  height='16' />\n" +
	"         <control name='choiceBuff3b'      progid='DecalControls.Choice' \n" +
	"	   left='65'  top='57'  width='50'  height='18' >\n" + szSchemaSpellLevels +
  	"         </control>\n" +
	"         <control name='text3c'            progid='DecalControls.StaticText' text='Safety: ' \n" +
	"	   left='15'  top='78'  width='45'  height='16' />\n" +
	"         <control name='text3cv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='78'  width='45'  height='16' />\n" +
	"         <control name='editBuff3c'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='77'  width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text3d'            progid='DecalControls.StaticText' text='Priority: ' \n" +
	"	   left='15'  top='98'  width='45'  height='16' />\n" +
	"         <control name='text3dv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='98'  width='45'  height='16' />\n" +
	"         <control name='editBuff3d'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='97'  width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='btnBuffLifeNext'    progid='DecalControls.PushButton'  text='Next' \n" +
	"	   left='15'  top='120' width='75'   height='18' />\n" +
	"         <control name='btnBuffLifePrev'    progid='DecalControls.PushButton'  text='Prev' \n" +
	"	   left='110' top='120' width='75'   height='18' />\n" +
	"         <control name='btnBuffLifeSetPrev' progid='DecalControls.PushButton'  text='Set as Prev' \n" +
	"	   left='15'  top='142' width='75'   height='18' />\n" +
	"         <control name='btnBuffLifeSetLast' progid='DecalControls.PushButton'  text='Set as Last' \n" +
	"	   left='110' top='142' width='75'   height='18' />\n" +
	"         <control name='btnBuffLifeShow'    progid='DecalControls.PushButton'  text='Show Enabled' \n" +
	"	   left='15'  top='164' width='75'   height='18' />\n" +
	"         <control name='btnBuffLifeAll'     progid='DecalControls.PushButton'  text='All Like This' \n" +
	"	   left='110' top='164' width='75'   height='18' />\n" +
	"	</control>\n" +
	"       </page>\n";

   szSchemaBuff4 =
	"	<page label='Armor'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='armorChoice'       progid='DecalControls.Choice' \n" +
	"	   left='10'  top='10' width='185'  height='20' >\n";

    szSchemaBuff4a = "";
    for (var x=0; x<Buff.InfoCnt; x++)
	if ((Buff.Info[x].Type == buffTypeItem) && (Buff.Info[x].Class == equipClassArmor))
	    szSchemaBuff4a += "  <option data='" + x + "' text='" + Buff.Info[x].Name + "'/>\n";

    szSchemaBuff4 += szSchemaBuff4a +
	"         </control>\n" +
	"         <control name='chkBuffArmorEnab'   progid='DecalControls.CheckBox'  text='Enabled' \n" +
	"	   left='15'  top='38' width='60'    height='18'  checked='false'/>\n" +
	"         <control name='chkBuffArmorRandom' progid='DecalControls.CheckBox'  text='Randomize' \n" +
	"	   left='110' top='38' width='70'    height='18'  checked='false'/>\n" +

	"         <control name='text4b'             progid='DecalControls.StaticText' text='Level: ' \n" +
	"	   left='15'  top='58'  width='45'   height='16' />\n" +
	"         <control name='choiceBuff4b'       progid='DecalControls.Choice' \n" +
	"	   left='65'  top='57'  width='50'   height='18' >\n" + szSchemaSpellLevels +
  	"         </control>\n" +
	"         <control name='text4c'             progid='DecalControls.StaticText' text='Safety: ' \n" +
	"	   left='15'  top='78'  width='45'   height='16' />\n" +
	"         <control name='text4cv'            progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='78'  width='45'   height='16' />\n" +
	"         <control name='editBuff4c'         progid='DecalControls.Edit' \n" +
	"	   left='110' top='77'  width='75'   height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text4d'             progid='DecalControls.StaticText' text='Priority: ' \n" +
	"	   left='15'  top='98'  width='45'   height='16' />\n" +
	"         <control name='text4dv'            progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='98'  width='45'   height='16' />\n" +
	"         <control name='editBuff4d'         progid='DecalControls.Edit' \n" +
	"	   left='110' top='97' width='75'    height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='chkPaperDoll'       progid='DecalControls.CheckBox' \n" +
	"	   text='Paper Doll (suppresses options below)' \n" +
	"	   left='5'   top='122' width='200'  height='18'  checked='false'/>\n" +

	"         <control name='chkBuffHead'        progid='DecalControls.CheckBox'  text='Head' \n" +
	"	   left='5'   top='142' width='50'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffHands'       progid='DecalControls.CheckBox'  text='Hands' \n" +
	"	   left='5'   top='162' width='50'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffFeet'        progid='DecalControls.CheckBox'  text='Feet' \n" +
	"	   left='5'   top='182' width='50'   height='18'  checked='false'/>\n" +

	"         <control name='chkBuffChest'       progid='DecalControls.CheckBox'  text='Chest' \n" +
	"	   left='65'  top='142' width='65'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffUpArms'      progid='DecalControls.CheckBox'  text='UpArms' \n" +
	"	   left='65'  top='162' width='65'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffLowArms'     progid='DecalControls.CheckBox'  text='LowArms' \n" +
	"	   left='65'  top='182' width='65'   height='18'  checked='false'/>\n" +

	"         <control name='chkBuffAbdomen'     progid='DecalControls.CheckBox'  text='Abdomen' \n" +
	"	   left='140' top='142' width='60'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffUpLegs'      progid='DecalControls.CheckBox'  text='UpLegs' \n" +
	"	   left='140' top='162' width='60'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffLowLegs'     progid='DecalControls.CheckBox'  text='LowLegs' \n" +
	"	   left='140' top='182' width='60'   height='18'  checked='false'/>\n" +

	"         <control name='chkBuffShirt'       progid='DecalControls.CheckBox'  text='Shirt' \n" +
	"	   left='5'   top='202' width='50'   height='18'  checked='false'/>\n" +
	"         <control name='chkBuffPants'       progid='DecalControls.CheckBox'  text='Pants' \n" +
	"	   left='65'  top='202' width='55'   height='18'  checked='false'/>\n" +

	"         <control name='btnBuffArmorNext'    progid='DecalControls.PushButton'  text='Next' \n" +
	"	   left='15'  top='225' width='75'    height='18' />\n" +
	"         <control name='btnBuffArmorPrev'    progid='DecalControls.PushButton'  text='Prev' \n" +
	"	   left='110' top='225' width='75'    height='18' />\n" +
	"         <control name='btnBuffArmorSetPrev' progid='DecalControls.PushButton'  text='Set as Prev' \n" +
	"	   left='15'  top='247' width='75'    height='18' />\n" +
	"         <control name='btnBuffArmorSetLast' progid='DecalControls.PushButton'  text='Set as Last' \n" +
	"	   left='110' top='247' width='75'    height='18' />\n" +
	"         <control name='btnBuffArmorShow'    progid='DecalControls.PushButton'  text='Show Enabled' \n" +
	"	   left='15'  top='269' width='75'    height='18' />\n" +
	"         <control name='btnBuffArmorAll'     progid='DecalControls.PushButton'  text='All Like This' \n" +
	"	   left='110' top='269' width='75'    height='18' />\n" +
	"	</control>\n" +
	"       </page>\n";

  szSchemaBuff5 =
	"	<page label='Wands'>\n" +
	"       <control progid='DecalControls.FixedLayout'>\n" +

	"         <control name='text1a2'           progid='DecalControls.StaticText' text='Hermetic Link' \n" +
	"	   left='10'  top='10'  width='140' height='18' />\n" +

	"         <control name='chkBuffHermEnab'   progid='DecalControls.CheckBox'  text='Enabled' \n" +
	"	   left='15'  top='30'  width='60'  height='18'  checked='false'/>\n" +
	"         <control name='chkBuffHermRandom' progid='DecalControls.CheckBox'  text='Randomize' \n" +
	"	   left='110' top='30'  width='70'  height='18'  checked='false'/>\n" +

	"         <control name='text1b'            progid='DecalControls.StaticText' text='Level: ' \n" +
	"	   left='15'  top='50'  width='45'  height='16' />\n" +
	"         <control name='choiceBuff1b'      progid='DecalControls.Choice' \n" +
	"	   left='65'  top='49'  width='50'  height='18' >\n" + szSchemaSpellLevels +
  	"         </control>\n" +

	"         <control name='text1c'            progid='DecalControls.StaticText' text='Safety: ' \n" +
	"	   left='15'  top='70'  width='45'  height='16' />\n" +
	"         <control name='text1cv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='70'  width='45'  height='16' />\n" +
	"         <control name='editBuff1c'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='69'  width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text1d'            progid='DecalControls.StaticText' text='Priority: ' \n" +
	"	   left='15'  top='90' width='45'   height='16' />\n" +
	"         <control name='text1dv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='90' width='45'   height='16' />\n" +
	"         <control name='editBuff1d'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='89' width='75'   height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text5a2'           progid='DecalControls.StaticText' text='Defender' \n" +
	"	   left='10'  top='110' width='140' height='18' />\n" +

	"         <control name='chkBuffDefEnab'    progid='DecalControls.CheckBox'  text='Enabled' \n" +
	"	   left='15'  top='130'  width='60' height='18'  checked='false'/>\n" +
	"         <control name='chkBuffDefRandom'  progid='DecalControls.CheckBox'  text='Randomize' \n" +
	"	   left='110' top='130'  width='70' height='18'  checked='false'/>\n" +

	"         <control name='text5b'            progid='DecalControls.StaticText' text='Level: ' \n" +
	"	   left='15'  top='150' width='45'  height='16' />\n" +
	"         <control name='choiceBuff5b'      progid='DecalControls.Choice' \n" +
	"	   left='65'  top='149' width='50'  height='18' >\n" + szSchemaSpellLevels +
  	"         </control>\n" +

	"         <control name='text5c'            progid='DecalControls.StaticText' text='Safety: ' \n" +
	"	   left='15'  top='170'  width='45' height='16' />\n" +
	"         <control name='text5cv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='170'  width='45' height='16' />\n" +
	"         <control name='editBuff5c'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='169'  width='75' height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text5d'            progid='DecalControls.StaticText' text='Priority: ' \n" +
	"	   left='15'  top='190' width='45'  height='16' />\n" +
	"         <control name='text5dv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='190' width='45'  height='16' />\n" +
	"         <control name='editBuff5d'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='189' width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text5e2'           progid='DecalControls.StaticText' text='Spirit Drinker' \n" +
	"	   left='10'  top='210' width='140' height='18' />\n" +

	"         <control name='chkBuffSpEnab'     progid='DecalControls.CheckBox'  text='Enabled' \n" +
	"	   left='15'  top='230' width='60'  height='18'  checked='false'/>\n" +
	"         <control name='chkBuffSpRandom'   progid='DecalControls.CheckBox'  text='Randomize' \n" +
	"	   left='110' top='230' width='70'  height='18'  checked='false'/>\n" +

	"         <control name='text5f'            progid='DecalControls.StaticText' text='Level: ' \n" +
	"	   left='15'  top='250' width='45'  height='16' />\n" +
	"         <control name='choiceBuff5f'      progid='DecalControls.Choice' \n" +
	"	   left='65'  top='249' width='50'  height='18' >\n" + szSchemaSpellLevels +
  	"         </control>\n" +

	"         <control name='text5g'            progid='DecalControls.StaticText' text='Safety: ' \n" +
	"	   left='15'  top='270' width='45'  height='16' />\n" +
	"         <control name='text5gv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='270' width='45'  height='16' />\n" +
	"         <control name='editBuff5g'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='269' width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"         <control name='text5h'            progid='DecalControls.StaticText' text='Priority: ' \n" +
	"	   left='15'  top='290' width='45'  height='16' />\n" +
	"         <control name='text5hv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='70'  top='290' width='45'  height='16' />\n" +
	"         <control name='editBuff5h'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='289' width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"	</control>\n" +
	"       </page>\n";

    szSchemaBuff6 =
	"    </control>\n" +
	"  </control>\n" +
	"</view>";

    szSchemaBuffs = szSchemaBuff1 + szSchemaBuff2 + szSchemaBuff3 + szSchemaBuff4 + szSchemaBuff5 + szSchemaBuff6;


   // Build list of file locations
    szSchemaLoot1a = "";
    for (var x=1; x<=lootMaxFiles; x++) szSchemaLoot1a += " <option text='" + x + "'/>\n";

    szSchemaLoot1b = "";
    for (var x=1; x<lootTypeTotal; x++)
	szSchemaLoot1b += " <option data='" + x + "' text='" + Loot.TypeInfo[x].Name + "'/>\n";

    szSchemaLoot1c = "";
    for (var x=0; x<101; x++) szSchemaLoot1c += " <option text='" + x + "'/>\n";

    szSchemaLoot1d = "";
    for (var x=0; x<51; x++) szSchemaLoot1d += " <option text='" + x + "'/>\n"

    szSchemaLoot1 =
	"<view title='" + szPanelLoot + "' iconlibrary='Inject.dll' icon='128' \n" +
	  "width='215' height='355'>\n" +
	  "<control progid='DecalControls.FixedLayout'>\n" +
	    "<control name='controlTab' progid='DecalControls.Notebook' " +
	     "left='0' top='0' width='215' height='360'>\n" +

	       "<page label='Gen'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +
	         "<control name='text1a'      progid='DecalControls.StaticText' text='Loot Configuration' \n" +
	          "left='10' top='6' width='140' height='20' />\n" +

	         "<control name='btnLootLoad' progid='DecalControls.PushButton' text='Load' \n" +
	          "left='20' top='26' width='75' height='18' />\n" +
	         "<control name='loadLoot' progid='DecalControls.Choice' \n" +
	          "left='105' top='27' width='65' height='18' selected='0' >\n" +
			"<option data='0' text='Def'/>\n" + szSchemaLoot1a +
		 "</control>\n" +

	         "<control name='btnLootSave' progid='DecalControls.PushButton' text='Save' \n" +
	          "left='20' top='48' width='75' height='18' />\n" +
	         "<control name='saveLoot' progid='DecalControls.Choice' \n" +
	          "left='105' top='49' width='65' height='18' selected='0' >\n" +
			"<option data='0' text='Def'/>\n" + szSchemaLoot1a +
		 "</control>\n" +

		 "<control name='btnLootReset' progid='DecalControls.PushButton' text='Reset' \n" +
		  "left='20' top='70' width='75' height='18' />\n" +

		 "<control name='text1a2' progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10' top='90' width='200' height='20' />\n" +
		 "<control name='text1b' progid='DecalControls.StaticText' text='Loot Type Settings' \n" +
		  "left='10' top='105' width='140' height='18' />\n" +
		 "<control name='typeChoice' progid='DecalControls.Choice' \n" +
		  "left='20' top='125' width='100' height='18' selected='0' >\n" + szSchemaLoot1b +
		 "</control>\n" +

		 "<control name='chkTypeEnab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='20' top='153' width='60' height='18' checked='false'/>\n" +

		 "<control name='text1c' progid='DecalControls.StaticText' text='Max Pickup: ' \n" +
		  "left='20' top='174' width='80' height='16' />\n" +
		 "<control name='lootMaxPick' progid='DecalControls.Choice' \n" +
		  "left='100' top='173' width='65' height='18' droplines='6' selected='0' >\n" + szSchemaLoot1c +
		 "</control>\n" +

	         "<control name='text1d' progid='DecalControls.StaticText' text='Min Slots: ' \n" +
	          "left='20' top='194' width='80' height='16' />\n" +
		 "<control name='lootMinSlot' progid='DecalControls.Choice' \n" +
		  "left='100' top='193' width='65' height='18' droplines='6' selected='0' >\n" + szSchemaLoot1d +
		 "</control>\n" +

		 "<control name='btnTypeNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='218' width='80' height='18' />\n" +
		 "<control name='btnTypePrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='218' width='80' height='18' />\n" +
		 "<control name='btnTypeSetPrev' progid='DecalControls.PushButton' text='Set as Prev' \n" +
		  "left='20' top='238' width='80' height='18' />\n" +
		 "<control name='btnTypeSetLast' progid='DecalControls.PushButton' text='Set as Last' \n" +
		  "left='115' top='238' width='80' height='18' />\n" +
		 "<control name='btnTypeShow' progid='DecalControls.PushButton' text='Show All' \n" +
		  "left='20' top='258' width='80' height='18' />\n" +
		 "<control name='btnTypeReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='258' width='80' height='18' />\n" +
		 "<control name='btnTypeAll' progid='DecalControls.PushButton' text='All Like This' \n" +
		  "left='115' top='278' width='80'  height='18' />\n" +

	       "</control>\n" +
	       "</page>\n";


    szSchemaLoot2 =
	       "<page label='MM'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

		 "<control name='majorChoice' progid='DecalControls.Choice' \n" +
		  "left='10' top='10' width='195' height='20' selected='0' >\n" + Loot.MajorOpts +
		 "</control>\n" +
		 "<control name='chkMajorEnab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='20' top='37' width='60' height='18' checked='false'/>\n" +
		 "<control name='btnMajorNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='57' width='80' height='18' />\n" +
		 "<control name='btnMajorPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='57' width='80' height='18' />\n" +
		 "<control name='btnMajorShow' progid='DecalControls.PushButton' text='Show All' \n" +
		  "left='20' top='77' width='80' height='18' />\n" +
		 "<control name='btnMajorReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='77' width='80' height='18' />\n" +

		 "<control name='text2a' progid='DecalControls.StaticText' text='_______________________________' \n" +
		  "left='15' top='95' width='190' height='20' />\n" +

		 "<control name='minorChoice'        progid='DecalControls.Choice' \n" +
		  "left='10'  top='118'  width='195' height='20' selected='0' >\n" + Loot.MinorOpts +
		 "</control>\n" +

		 "<control name='chkMinorEnab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='10' top='143' width='60' height='16' checked='false'/>\n" +

		 "<control name='chkMinorHead' progid='DecalControls.CheckBox' text='Head' \n" +
		 "left='10' top='168' width='50' height='16' checked='false'/>\n" +
		 "<control name='chkMinorHands' progid='DecalControls.CheckBox' text='Hands' \n" +
		  "left='10' top='186' width='50' height='16' checked='false'/>\n" +
		 "<control name='chkMinorFeet' progid='DecalControls.CheckBox' text='Feet' \n" +
		  "left='10' top='204' width='50' height='16' checked='false'/>\n" +

		 "<control name='chkMinorChest' progid='DecalControls.CheckBox' text='Chest' \n" +
		  "left='70' top='168' width='65' height='16' checked='false'/>\n" +
		 "<control name='chkMinorUpArms'  progid='DecalControls.CheckBox' text='UpArms' \n" +
		  "left='70' top='186' width='65' height='16' checked='false'/>\n" +
		 "<control name='chkMinorLowArms' progid='DecalControls.CheckBox' text='LowArms' \n" +
		  "left='70' top='204' width='65' height='16' checked='false'/>\n" +

		 "<control name='chkMinorAbdomen' progid='DecalControls.CheckBox' text='Abdomen' \n" +
		  "left='145' top='168' width='60' height='16'  checked='false'/>\n" +
		 "<control name='chkMinorUpLegs'  progid='DecalControls.CheckBox' text='UpLegs' \n" +
		  "left='145' top='186' width='60' height='16'  checked='false'/>\n" +
		 "<control name='chkMinorLowLegs' progid='DecalControls.CheckBox' text='LowLegs' \n" +
		  "left='145' top='204' width='60' height='16'  checked='false'/>\n" +

		 "<control name='btnMinorNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='224' width='80' height='18' />\n" +
		 "<control name='btnMinorPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='224' width='80' height='18' />\n" +
		 "<control name='btnMinorSetPrev' progid='DecalControls.PushButton' text='Set as Prev' \n" +
		  "left='20' top='244' width='80' height='18' />\n" +
		 "<control name='btnMinorSetLast' progid='DecalControls.PushButton' text='Set as Last' \n" +
		  "left='115' top='244' width='80' height='18' />\n" +
		 "<control name='btnMinorShow' progid='DecalControls.PushButton' text='Show Enabled' \n" +
		  "left='20' top='264' width='80' height='18' />\n" +
		 "<control name='btnMinorReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='264' width='80' height='18' />\n" +
		 "<control name='btnMinorAll' progid='DecalControls.PushButton' text='All Like This' \n" +
		  "left='115' top='284' width='80' height='18' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaLoot3 =
	       "<page label='A'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

		 "<control name='equipChoice' progid='DecalControls.Choice' \n" +
		  "left='20' top='10' width='175' height='20' selected='0' >\n" + Loot.ArmorOpts +
		 "</control>\n" +

		 "<control name='chkArmorEnab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='15' top='35' width='60' height='18' checked='false'/>\n" +

		 "<control name='text3a' progid='DecalControls.StaticText' text='Min AL: ' \n" +
		  "left='15' top='60' width='55' height='16' />\n" +
		 "<control name='text3av' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='60' width='45' height='16' />\n" +
		 "<control name='editLoot3a' progid='DecalControls.Edit' \n" +
		  "left='125' top='59' width='60' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text3b' progid='DecalControls.StaticText' text='Max BU: ' \n" +
		  "left='15' top='80' width='55' height='16' />\n" +
		 "<control name='text3bv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='80' width='45' height='16' />\n" +
		 "<control name='editLoot3b' progid='DecalControls.Edit' \n" +
		  "left='125' top='79' width='60' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text3c' progid='DecalControls.StaticText' text='Max Val: ' \n" +
		  "left='15' top='100' width='55' height='16' />\n" +
		 "<control name='text3cv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='100' width='45' height='16' />\n" +
		 "<control name='editLoot3c' progid='DecalControls.Edit' \n" +
		  "left='125' top='99' width='60' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text3d' progid='DecalControls.StaticText' text='Max Work: ' \n" +
		  "left='15' top='120' width='60' height='16' />\n" +
		 "<control name='choiceLoot3d' progid='DecalControls.Choice' \n" +
		  "left='75' top='119' width='55' height='18' selected='0' >\n" + szSchemaWork +
  		 "</control>\n" +

		 "<control name='text3e' progid='DecalControls.StaticText' text='Min Spells: ' \n" +
		  "left='15' top='140' width='60' height='16' />\n" +
		 "<control name='choiceLoot3e' progid='DecalControls.Choice' \n" +
		  "left='75' top='139' width='55' height='18' selected='0' >\n" + szSchemaSpellCnt +
  		 "</control>\n" +

		 "<control name='text3f' progid='DecalControls.StaticText' text='Min Spl Lvl: ' \n" +
		  "left='15' top='160' width='60' height='16' />\n" +
		 "<control name='choiceLoot3f' progid='DecalControls.Choice' \n" +
		  "left='75' top='159' width='55' height='18' selected='0' >\n" + szSchemaSpellLevels +
  		 "</control>\n" +

		 "<control name='btnArmorNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='185' width='80' height='18' />\n" +
		 "<control name='btnArmorPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='185' width='80' height='18' />\n" +
		 "<control name='btnArmorSetPrev' progid='DecalControls.PushButton' text='Set as Prev' \n" +
		  "left='20' top='205' width='80' height='18' />\n" +
		 "<control name='btnArmorSetLast' progid='DecalControls.PushButton' text='Set as Last' \n" +
		  "left='115' top='205' width='80' height='18' />\n" +

		 "<control name='btnArmorShow' progid='DecalControls.PushButton' text='Show All' \n" +
		  "left='20' top='225' width='80' height='18' />\n" +
		 "<control name='btnArmorReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='225' width='80' height='18' />\n" +
		 "<control name='btnArmorAll' progid='DecalControls.PushButton' text='Grp Like This' \n" +
		  "left='115' top='245' width='80' height='18' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaLootMWdam = "";
    for (var x=55; x>0; x--) szSchemaLootMWdam += " <option text='" + x + "'/>\n";

    szSchemaLootMWatt = "";
    for (var x=0; x<16; x++) szSchemaLootMWatt += " <option text='" + x + "'/>\n";

    szSchemaLootMWdef = "";
    for (var x=0; x<21; x++) szSchemaLootMWdef += " <option text='" + x + "'/>\n";

    szSchemaLootMW =
	       "<page label='M'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

	         "<control name='weaponChoice' progid='DecalControls.Choice' \n" +
	          "left='20' top='10' width='175' height='20' selected='0' >\n" + Loot.WeaponMOpts +
	         "</control>\n" +

	         "<control name='textMWhead1' progid='DecalControls.StaticText' text='Max Dam:' \n" +
	          "left='25' top='35' width='50' height='16' />\n" +
		 "<control name='textMWhead1v' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='35' width='20' height='16' />\n" +
		 "<control name='textMWhead2' progid='DecalControls.StaticText' text='Att:' \n" +
		  "left='105' top='35' width='20' height='16' />\n" +
		 "<control name='textMWhead2v' progid='DecalControls.StaticText' text='?' \n" +
		  "left='130' top='35' width='20' height='16' />\n" +
		 "<control name='textMWhead3' progid='DecalControls.StaticText' text='Def:' \n" +
		  "left='155' top='35' width='20' height='16' />\n" +
		 "<control name='textMWhead3v' progid='DecalControls.StaticText' text='?' \n" +
		  "left='180' top='35' width='20' height='16' />\n" +

		 "<control name='chkMWenab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='20' top='60' width='60' height='18' checked='false'/>\n" +

		 "<control name='textMWwork' progid='DecalControls.StaticText' text='Max Work' \n" +
		  "left='20' top='85' width='60' height='16' />\n" +
		 "<control name='choiceLootMWwork' progid='DecalControls.Choice' \n" +
		  "left='85' top='83' width='50' height='18' droplines='6' selected='0' >\n" +  szSchemaWork +
  		 "</control>\n" +

	         "<control name='textMWdam' progid='DecalControls.StaticText' text='Min Dam' \n" +
		  "left='20' top='110' width='60' height='16' />\n" +
		 "<control name='choiceLootMWdam' progid='DecalControls.Choice' \n" +
		  "left='85' top='108' width='50' height='18' droplines='6' selected='0' >\n" + szSchemaLootMWdam +
  		 "</control>\n" +

		 "<control name='textMWatt' progid='DecalControls.StaticText' text='Min Att' \n" +
		  "left='20' top='135' width='60' height='16' />\n" +
		 "<control name='choiceLootMWatt' progid='DecalControls.Choice' \n" +
		  "left='85' top='133' width='50' height='18' droplines='6' selected='0' >\n" + szSchemaLootMWatt +
  		 "</control>\n" +

		 "<control name='textMWdef' progid='DecalControls.StaticText' text='Min Def' \n" +
		  "left='20' top='160' width='60' height='16' />\n" +
		 "<control name='choiceLootMWdef' progid='DecalControls.Choice' \n" +
		  "left='85' top='158' width='50' height='18' droplines='6' selected='0' >\n" +  szSchemaLootMWdef +
  		 "</control>\n" +

		 "<control name='choiceLootMWand' progid='DecalControls.Choice' \n" +
		  "left='140' top='147' width='60' height='18' selected='0' >\n" +
			"<option data='0' text='AND' />\n" +
			"<option data='1' text='OR' />\n" +
  		 "</control>\n" +

		 "<control name='btnWeaponNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='190' width='80' height='18' />\n" +
		 "<control name='btnWeaponPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='190' width='80' height='18' />\n" +
		 "<control name='btnWeaponSetPrev' progid='DecalControls.PushButton' text='Set as Prev' \n" +
		  "left='20' top='210' width='80' height='18' />\n" +
		 "<control name='btnWeaponSetLast' progid='DecalControls.PushButton' text='Set as Last' \n" +
		  "left='115' top='210' width='80' height='18' />\n" +

		 "<control name='btnWeaponShow' progid='DecalControls.PushButton' text='Show Enabled' \n" +
		  "left='20' top='230' width='80' height='18' />\n" +
		 "<control name='btnWeaponReset' progid='DecalControls.PushButton' text='Reset Group' \n" +
		  "left='115' top='230' width='80' height='18' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaLootRWdam = "";
    for (var x=155; x>99; x--) szSchemaLootRWdam += " <option text='" + x + "'/>\n";

    szSchemaLootRWdef = "";
    for (var x=0; x<16; x++) szSchemaLootRWdef += " <option text='" + x + "'/>\n";

    szSchemaLootRWelem = "";
    for (var x=0; x<13; x++) szSchemaLootRWelem += " <option text='" + x + "'/>\n";

    szSchemaLootRW =
	       "<page label='R'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

		 "<control name='rangedChoice'      progid='DecalControls.Choice' \n" +
		  "left='20'  top='10'  width='175' height='20' selected='0' >\n" + Loot.WeaponROpts +
		 "</control>\n" +

		 "<control name='textRWhead1'       progid='DecalControls.StaticText' text='Max Dam:' \n" +
		  "left='25'  top='35'   width='50' height='16' />\n" +
		 "<control name='textRWhead1v'      progid='DecalControls.StaticText' text='?' \n" +
		  "left='80'  top='35'   width='20' height='16' />\n" +
		 "<control name='textRWhead2'       progid='DecalControls.StaticText' text='Def:' \n" +
		  "left='105' top='35'   width='20' height='16' />\n" +
		 "<control name='textRWhead2v'      progid='DecalControls.StaticText' text='?' \n" +
		  "left='130' top='35'   width='20' height='16' />\n" +
		 "<control name='textRWhead3'       progid='DecalControls.StaticText' text='Bon:' \n" +
		  "left='155' top='35'   width='25' height='16' />\n" +
		 "<control name='textRWhead3v'      progid='DecalControls.StaticText' text='?' \n" +
		  "left='180' top='35'   width='20' height='16' />\n" +

		 "<control name='chkRWenab'         progid='DecalControls.CheckBox'   text='Enabled' \n" +
		  "left='20'  top='60'  width='60'  height='18'  checked='false'/>\n" +

		 "<control name='textRWwork'        progid='DecalControls.StaticText' text='Max Work' \n" +
		  "left='20'  top='85'  width='60'  height='16' />\n" +
		 "<control name='choiceLootRWwork'  progid='DecalControls.Choice' \n" +
		  "left='85'  top='83'  width='50'  height='18' droplines='6' selected='0' >\n" +  szSchemaWork +
  		 "</control>\n" +

		 "<control name='textRWdam'         progid='DecalControls.StaticText' text='Min Dam' \n" +
		  "left='20'  top='110' width='60'  height='16' />\n" +
		 "<control name='choiceLootRWdam'   progid='DecalControls.Choice' \n" +
		  "left='85'  top='108' width='50'  height='18' droplines='6' selected='0' >\n" + szSchemaLootRWdam +
  		 "</control>\n" +

		 "<control name='textRWdef'         progid='DecalControls.StaticText' text='Min Def' \n" +
		  "left='20'  top='135' width='60'  height='16' />\n" +
		 "<control name='choiceLootRWdef'   progid='DecalControls.Choice' \n" +
		  "left='85'  top='133' width='50'  height='18' droplines='6' selected='0' >\n" + szSchemaLootRWdef +
  		 "</control>\n" +

		 "<control name='textRWelem'        progid='DecalControls.StaticText' text='Min Bon' \n" +
		  "left='20'  top='160' width='60'  height='16' />\n" +
		 "<control name='choiceLootRWelem'  progid='DecalControls.Choice' \n" +
		  "left='85'  top='158' width='50'  height='18' droplines='6' selected='0' >\n" + szSchemaLootRWelem +
  		 "</control>\n" +

		 "<control name='choiceLootRWand'   progid='DecalControls.Choice' \n" +
		 "left='140' top='147' width='60'  height='18' selected='0' >\n" +
			"<option data='0' text='AND' />\n" +
			"<option data='1' text='OR' />\n" +
  		 "</control>\n" +

		 "<control name='btnRangedNext'      progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20'  top='190' width='80'   height='18' />\n" +
		 "<control name='btnRangedPrev'      progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='190' width='80'   height='18' />\n" +
		 "<control name='btnRangedSetPrev'   progid='DecalControls.PushButton' text='Set as Prev' \n" +
		  "left='20'  top='210' width='80'   height='18' />\n" +
		 "<control name='btnRangedSetLast'   progid='DecalControls.PushButton' text='Set as Last' \n" +
		  "left='115' top='210' width='80'   height='18' />\n" +

		 "<control name='btnRangedShow'      progid='DecalControls.PushButton' text='Show Enabled' \n" +
		  "left='20'  top='230' width='80'   height='18' />\n" +
		 "<control name='btnRangedReset'     progid='DecalControls.PushButton' text='Reset Group' \n" +
		  "left='115' top='230' width='80'   height='18' />\n" +

	       "</control>\n" +
	       "</page>\n";


    szSchemaLoot5 =
	       "<page label='S'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

		 "<control name='salvageChoice' progid='DecalControls.Choice' \n" +
		  "left='20' top='10' width='160' height='20' selected='0' >\n" + Loot.SalvageOpts +
		 "</control>\n" +

		 "<control name='chkSalvEnab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='20' top='35' width='60' height='18' checked='false'/>\n" +

		 "<control name='chkExcludeVal' progid='DecalControls.CheckBox' text='Exclude as ValSalv' \n" +
		  "left='95' top='35' width='105' height='18'  checked='false'/>\n" +

		 "<control name='text5a' progid='DecalControls.StaticText' text='Min Work: ' \n" +
		  "left='15' top='60' width='60' height='16' />\n" +
		 "<control name='choiceLoot5a' progid='DecalControls.Choice' \n" +
		  "left='75' top='59' width='55' height='18' selected='0' >\n" + szSchemaWork +
		 "</control>\n" +

		 "<control name='text5b' progid='DecalControls.StaticText' text='Max BU:' \n" +
		  "left='15' top='80' width='55' height='16' />\n" +
		 "<control name='text5bv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='80' width='45' height='16' />\n" +
		 "<control name='editLoot5b' progid='DecalControls.Edit' \n" +
		  "left='125' top='79' width='60' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text5c' progid='DecalControls.StaticText' text='Sort Prio:' \n" +
		  "left='15' top='100' width='55' height='16' />\n" +
		 "<control name='text5cv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='100' width='45' height='16' />\n" +
		 "<control name='editLoot5c' progid='DecalControls.Edit' \n" +
		  "left='125' top='99' width='60' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='chkSal1' progid='DecalControls.CheckBox' text='1'  \n" +
		  "left='10' top='122' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal2' progid='DecalControls.CheckBox' text='2'  \n" +
		  "left='49' top='122' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal3' progid='DecalControls.CheckBox' text='3'  \n" +
		  "left='88' top='122' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal4' progid='DecalControls.CheckBox' text='4'  \n" +
		  "left='127' top='122' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal5' progid='DecalControls.CheckBox' text='5'  \n" +
		  "left='166' top='122' width='26' height='16' checked='false'/>\n" +

		 "<control name='chkSal6' progid='DecalControls.CheckBox' text='6'  \n" +
		  "left='10' top='142' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal7' progid='DecalControls.CheckBox' text='7'  \n" +
		  "left='49' top='142' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal8' progid='DecalControls.CheckBox' text='8'  \n" +
		  "left='88' top='142' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal9' progid='DecalControls.CheckBox' text='9'  \n" +
		  "left='127' top='142' width='26' height='16' checked='false'/>\n" +
		 "<control name='chkSal10' progid='DecalControls.CheckBox' text='10' \n" +
		  "left='166' top='142' width='30' height='16' checked='false'/>\n" +

		 "<control name='text5d' progid='DecalControls.StaticText' text='Type:' \n" +
		  "left='15' top='165' width='40' height='16' />\n" +
		 "<control name='text5dv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='55' top='165' width='100' height='16' />\n" +

		 "<control name='text5e' progid='DecalControls.StaticText' text='Desc:' \n" +
		  "left='15' top='183' width='40' height='16' />\n" +
		 "<control name='text5ev' progid='DecalControls.StaticText' text='?' \n" +
		  "left='55' top='183' width='145' height='16' />\n" +

		 "<control name='btnSalvNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='205' width='80' height='18' />\n" +
		 "<control name='btnSalvPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='205' width='80' height='18' />\n" +
		 "<control name='btnSalvSetPrev' progid='DecalControls.PushButton' text='Set as Prev' \n" +
		  "left='20' top='225' width='80' height='18' />\n" +
		 "<control name='btnSalvSetLast' progid='DecalControls.PushButton' text='Set as Last' \n" +
		  "left='115' top='225' width='80' height='18' />\n" +

		 "<control name='btnSalvShowEnab' progid='DecalControls.PushButton' text='Show Enabled' \n" +
		  "left='20' top='245' width='80' height='18' />\n" +
		 "<control name='btnSalvReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='245' width='80' height='18' />\n" +

		 "<control name='btnSalvShowAll' progid='DecalControls.PushButton' text='Show All' \n" +
		  "left='20' top='265' width='80' height='18' />\n" +
		 "<control name='btnSalvLikeThis' progid='DecalControls.PushButton' text='Type Like This' \n" +
		  "left='115' top='265' width='80' height='18' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaWandElemBonus = "";
    for (var x=0; x<11; x++) szSchemaWandElemBonus += " <option text='" + x + "'/>\n";

    szSchemaLoot6 =
	       "<page label='W'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

		 "<control name='wandChoice' progid='DecalControls.Choice' \n" +
		  "left='20' top='10' width='130' height='20' selected='0' >\n" + Loot.WandOpts +
		 "</control>\n" +

		 "<control name='chkWandEnab' progid='DecalControls.CheckBox'   text='Enabled' \n" +
		  "left='20' top='35' width='60' height='18' checked='false'/>\n" +

		 "<control name='text6a' progid='DecalControls.StaticText' text='Min ManaC:' \n" +
		  "left='10' top='58' width='65' height='16' />\n" +
		 "<control name='choiceLoot6a' progid='DecalControls.Choice' \n" +
		  "left='80' top='57' width='50' height='18' selected='0' >\n" + szSchemaManaC +
  		 "</control>\n" +

		 "<control name='text6b' progid='DecalControls.StaticText' text='Min MeleeD:' \n" +
		  "left='10' top='78' width='65' height='16' />\n" +
		 "<control name='choiceLoot6b' progid='DecalControls.Choice' \n" +
		  "left='80' top='77' width='50' height='18' selected='0' >\n" + szSchemaMeleeD +
  		 "</control>\n" +

		 "<control name='choiceLoot6c' progid='DecalControls.Choice' \n" +
		  "left='140' top='67' width='60' height='18' selected='0' >\n" +
			"<option data='0' text='AND' />\n" +
			"<option data='1' text='OR' />\n" +
  		 "</control>\n" +

		 "<control name='text6d' progid='DecalControls.StaticText' text='Min ElemBon:' \n" +
		  "left='10' top='98' width='70' height='16' />\n" +
		 "<control name='choiceLoot6d' progid='DecalControls.Choice' \n" +
		  "left='80' top='97' width='50' height='18' selected='0' >\n" + szSchemaWandElemBonus +
  		 "</control>\n" +

		 "<control name='choiceLoot6e' progid='DecalControls.Choice' \n" +
		  "left='140' top='98' width='60' height='18' selected='0' >\n" +
			"<option data='0' text='AND' />\n" +
			"<option data='1' text='OR' />\n" +
  		 "</control>\n" +

		 "<control name='btnWandNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='136' width='80' height='18' />\n" +
		 "<control name='btnWandPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='136' width='80' height='18' />\n" +
		 "<control name='btnWandShow' progid='DecalControls.PushButton' text='Show All' \n" +
		  "left='20' top='156' width='80' height='18' />\n" +
		 "<control name='btnWandReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='156' width='80' height='18' />\n" +

		 "<control name='text6m' progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10' top='170' width='200' height='20' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaLoot7 =
	       "<page label='JC'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

	         "<control name='text7a' progid='DecalControls.StaticText' text='Jewelry Settings' \n" +
		  "left='10' top='10' width='140' height='20' />\n" +
		 "<control name='text7b' progid='DecalControls.StaticText' text='Min Spl1' \n" +
		  "left='10' top='32' width='45' height='16' />\n" +
		 "<control name='choiceLoot7b' progid='DecalControls.Choice' \n" +
		  "left='55' top='32' width='50' height='18' selected='0' >\n" + szSchemaSpellLevels +
  		 "</control>\n" +

		 "<control name='text7c' progid='DecalControls.StaticText' text='Min Spl2' \n" +
		  "left='110' top='32' width='45' height='16' />\n" +
		 "<control name='choiceLoot7c' progid='DecalControls.Choice' \n" +
		  "left='155' top='32' width='50' height='18' selected='0' >\n" + szSchemaSpellLevels +
  		 "</control>\n" +

		 "<control name='text7d' progid='DecalControls.StaticText' text='Min Spl3' \n" +
		  "left='10' top='52' width='45' height='16' />\n" +
		 "<control name='choiceLoot7d' progid='DecalControls.Choice' \n" +
		  "left='55' top='52' width='50' height='18' selected='0' >\n" + szSchemaSpellLevel2 +
  		 "</control>\n" +

		 "<control name='text7e' progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10' top='66' width='200' height='20' />\n" +
		 "<control name='text7f' progid='DecalControls.StaticText' text='Clothing Settings' \n" +
		 "left='10' top='84' width='140' height='20' />\n" +
	
		 "<control name='text7g' progid='DecalControls.StaticText' text='Min Spl1' \n" +
		  "left='10' top='106' width='45' height='16' />\n" +
		 "<control name='choiceLoot7g' progid='DecalControls.Choice' \n" +
		  "left='55' top='106' width='50' height='18' droplines='5' selected='0' >\n" + szSchemaSpellLevels +
  		 "</control>\n" +

		 "<control name='text7h' progid='DecalControls.StaticText' text='Min Spl2' \n" +
		  "left='110' top='106' width='45' height='16' />\n" +
		 "<control name='choiceLoot7h' progid='DecalControls.Choice' \n" +
		  "left='155' top='106' width='50' height='18' droplines='5' selected='0' >\n" + szSchemaSpellLevel2 +
  		 "</control>\n" +

		 "<control name='text7i' progid='DecalControls.StaticText' text='Min Spl3' \n" +
		  "left='10' top='126' width='45' height='16' />\n" +
		 "<control name='choiceLoot7i' progid='DecalControls.Choice' \n" +
		  "left='55' top='126' width='50' height='18' droplines='5' selected='0' >\n" + szSchemaSpellLevel2 +
  		 "</control>\n" +

		 "<control name='text7j' progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10'  top='140' width='200' height='20' />\n" +
		 "<control name='text7k' progid='DecalControls.StaticText' text='Valuable Salvage Settings' \n" +
		  "left='10'  top='158' width='140' height='20' />\n" +
	
		 "<control name='text7l' progid='DecalControls.StaticText' text='Min Ratio:' \n" +
		  "left='15' top='177' width='65' height='16' />\n" +
		 "<control name='text7lv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='177' width='50' height='16' />\n" +
		 "<control name='editLoot7l' progid='DecalControls.Edit' \n" +
		  "left='130' top='176' width='65' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text7m' progid='DecalControls.StaticText' text='Max Bag Val:' \n" +
		  "left='15' top='197' width='65' height='16' />\n" +
		 "<control name='text7mv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='197' width='50' height='16' />\n" +
		 "<control name='editLoot7m' progid='DecalControls.Edit' \n" +
		  "left='130' top='196' width='65' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +
	
		 "<control name='text7n'  progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10'  top='210' width='200' height='20' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaLoot8 =
	       "<page label='ISV'>\n" +
	       "<control progid='DecalControls.FixedLayout'>\n" +

		 "<control name='itemChoice' progid='DecalControls.Choice' \n" +
		  "left='10' top='10' width='195' height='20' selected='0' >\n" + Loot.ItemOpts +
		 "</control>\n" +

		 "<control name='chkItemEnab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='20' top='35' width='60' height='18' checked='false'/>\n" +
		 "<control name='chkItemAlert' progid='DecalControls.CheckBox' text='Alert' \n" +
		  "left='115' top='35' width='60' height='18' checked='false'/>\n" +

		 "<control name='btnItemNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='60' width='80' height='18' />\n" +
		 "<control name='btnItemPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='60' width='80' height='18' />\n" +

		 "<control name='btnItemShow' progid='DecalControls.PushButton' text='Show Active' \n" +
		  "left='20' top='80' width='80' height='18' />\n" +
		 "<control name='btnItemReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='80' width='80' height='18' />\n" +

		 "<control name='text8a' progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10' top='100' width='200' height='20' />\n" +
		 "<control name='text8b' progid='DecalControls.StaticText' text='Scroll Settings' \n" +
		  "left='10' top='118' width='140' height='20' />\n" +
		 "<control name='text8c' progid='DecalControls.StaticText' text='Min Lvl' \n" +
		  "left='10' top='138' width='45' height='16' />\n" +
		 "<control name='choiceLoot8c' progid='DecalControls.Choice' \n" +
		  "left='55' top='138' width='50' height='18' selected='0' >\n" + szSchemaSpellLevels +
  		 "</control>\n" +

		 "<control name='text8d' progid='DecalControls.StaticText' text='Max Lvl' \n" +
		  "left='110' top='138' width='45' height='16' />\n" +
		 "<control name='choiceLoot8d' progid='DecalControls.Choice' \n" +
		 "left='155' top='138' width='50' height='18' selected='0' >\n" + szSchemaSpellLevels +
 		 "</control>\n" +

		 "<control name='chkScrollUnk' progid='DecalControls.CheckBox' text='Unknown only' \n" +
		  "left='15' top='158' width='100' height='18' checked='false'/>\n" +
		 "<control name='chkLearnUnk' progid='DecalControls.CheckBox'   text='Learn Unknown' \n" +
		  "left='15' top='178' width='100' height='18' checked='false'/>\n" +

		 "<control name='text8e' progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10' top='199' width='200' height='20' />\n" +
		 "<control name='text8f' progid='DecalControls.StaticText' text='Valuables Settings' \n" +
		  "left='10' top='217' width='140' height='20' />\n" +

		 "<control name='text8g' progid='DecalControls.StaticText' text='Min Val:' \n" +
		  "left='15' top='237' width='65' height='16' />\n" +
		 "<control name='text8gv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='237' width='50' height='16' />\n" +
		 "<control name='editLoot8g' progid='DecalControls.Edit' \n" +
		  "left='130' top='236' width='65' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text8h' progid='DecalControls.StaticText' text='Max BU:' \n" +
		  "left='15' top='257' width='65' height='16' />\n" +
		 "<control name='text8hv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='257' width='50' height='16' />\n" +
		 "<control name='editLoot8h' progid='DecalControls.Edit' \n" +
		  "left='130' top='256' width='65' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text8i' progid='DecalControls.StaticText' text='Total Val:' \n" +
		  "left='15' top='277' width='65' height='16' />\n" +
		 "<control name='text8iv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='80' top='277' width='50' height='16' />\n" +
		 "<control name='editLoot8i' progid='DecalControls.Edit' \n" +
		  "left='130' top='276' width='65' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaLoot9 =
	        "<page label='D'>\n" +
	        "<control progid='DecalControls.FixedLayout'>\n" +

		 "<control name='text9' progid='DecalControls.StaticText' text='Death Item Settings' \n" +
		  "left='10' top='10' width='140' height='20' />\n" +

		 "<control name='deathChoice' progid='DecalControls.Choice' \n" +
		  "left='20' top='32' width='130' height='20' selected='0' >\n" + Loot.DeathItemOpts +
		 "</control>\n" +

		 "<control name='chkDeathEnab' progid='DecalControls.CheckBox' text='Enabled' \n" +
		  "left='20' top='57' width='60' height='18' checked='false'/>\n" +

		 "<control name='text9a' progid='DecalControls.StaticText' text='Min Val:' \n" +
		  "left='15' top='80' width='55' height='16' />\n" +
		 "<control name='text9av' progid='DecalControls.StaticText' text='?' \n" +
		  "left='85' top='80' width='45' height='16' />\n" +
		 "<control name='editLoot9a' progid='DecalControls.Edit' \n" +
		  "left='130' top='79'  width='70' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +
	
		 "<control name='text9b' progid='DecalControls.StaticText' text='Max BU:' \n" +
		  "left='15'  top='107' width='55' height='16' />\n" +
		 "<control name='text9bv' progid='DecalControls.StaticText' text='?' \n" +
		  "left='85'  top='107' width='45' height='16' />\n" +
		 "<control name='editLoot9b' progid='DecalControls.Edit' \n" +
		  "left='130' top='106' width='70' height='18' \n" +
		  "marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

		 "<control name='text9c' progid='DecalControls.StaticText' text='Max Work:' \n" +
		  "left='15' top='132' width='60' height='16' />\n" +
		 "<control name='choiceLoot9c' progid='DecalControls.Choice' \n" +
		  "left='80' top='131' width='50' height='18' selected='0' >\n" +  szSchemaWork +
  		 "</control>\n" +

		 "<control name='btnDeathNext' progid='DecalControls.PushButton' text='Next' \n" +
		  "left='20' top='157' width='80' height='18' />\n" +
		 "<control name='btnDeathPrev' progid='DecalControls.PushButton' text='Prev' \n" +
		  "left='115' top='157' width='80' height='18' />\n" +
		 "<control name='btnDeathShow' progid='DecalControls.PushButton' text='Show All' \n" +
		  "left='20' top='177' width='80' height='18' />\n" +
		 "<control name='btnDeathReset' progid='DecalControls.PushButton' text='Reset All' \n" +
		  "left='115' top='177' width='80' height='18' />\n" +

	         "<control name='text6m' progid='DecalControls.StaticText' text='________________________________' \n" +
		  "left='10'  top='191' width='200' height='20' />\n" +

	       "</control>\n" +
	       "</page>\n";

    szSchemaLootEnd =
	    "</control>\n" +
	  "</control>\n" +
	"</view>";

    szSchemaLoot = szSchemaLoot1  + szSchemaLoot2 + szSchemaLoot3 + szSchemaLootMW +
		   szSchemaLootRW + szSchemaLoot5 + szSchemaLoot6 + szSchemaLoot7 +
		   szSchemaLoot8  + szSchemaLoot9 + szSchemaLootEnd;

    // Chat.Screen("szSchemaLoot size = " + szSchemaLoot.length);

    // Build config schema.  We break it down into several sections due to the size of each piece
    szSchemaCreatureBegin =
	"<view title='" + szPanelCreature + "' iconlibrary='Inject.dll' icon='128' \n" +
	"  width='340' height='350'>\n" +
	"  <control progid='DecalControls.FixedLayout'>\n" +
	"    <control name='spellTab' progid='DecalControls.Notebook' " +
	"     left='0' top='0' width='340' height='350'>\n";

    // Build list of save and restore file locations
    szSchemaCreature1a = "";
    for (var x=1; x<=creMaxFiles; x++) szSchemaCreature1a = szSchemaCreature1a + " <option text='" + x + "'/>\n";

    szSchemaCreature1 =
	"	<page label='G'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +
	"         <control name='textGen'      progid='DecalControls.StaticText' text='Creature Configuration' \n" +
	"	   left='10' top='8' width='140' height='18' />\n" +
	"         <control name='btnCreLoad'   progid='DecalControls.PushButton' text='Load' \n" +
	"	   left='10' top='25' width='60' height='18' />\n" +
	"         <control name='loadCre'      progid='DecalControls.Choice' \n" +
	"	   left='80' top='27' width='55' height='18' selected='0' >\n" +
	"	     <option data='0' text='Def'/>\n" + szSchemaCreature1a +
	"         </control>\n" +
	"         <control name='btnCreSave'   progid='DecalControls.PushButton' text='Save' \n" +
	"	   left='10'  top='47' width='60' height='18' />\n" +
	"         <control name='saveCre'      progid='DecalControls.Choice' \n" +
	"	   left='80'  top='49' width='55' height='18' selected='0'>\n" +
	"	     <option data='0' text='Def'/>\n" + szSchemaCreature1a +
	"	  </control>\n" +
	"         <control name='btnCreReset'       progid='DecalControls.PushButton' text='Reset' \n" +
	"	   left='10' top='69' width='60'    height='18' />\n" +

	"         <control name='textExp1'  progid='DecalControls.StaticText' text='Creature Selection Minimum Exp' \n" +
	"	   left='10'  top='135' width='170' height='16' />\n" +
	"         <control name='textExp2'  progid='DecalControls.StaticText' text='Cur: " + selMinExp + "' \n" +
	"	   left='10'  top='156' width='70'  height='16' />\n" +
	"         <control name='textExp3'     progid='DecalControls.StaticText' text='New: ' \n" +
	"	   left='80'  top='156' width='30'  height='16' />\n" +
	"         <control name='editMinExp'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='155' width='60'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +

	"	</control>\n" +
	"       </page>\n";

    // Build race list
    szSchemaRaceList = "";
    for (var x=0; x<Creature.RaceDecalCnt; x++) {
    	var Index = Creature.RaceDecal[x];
	with (Creature.RaceInfo[Index]) {
	    szSchemaRaceList = szSchemaRaceList + " <option data='" + x + "' text=\"" + RaceName + "\"/>\n";
	} // endwith
    } // end for

   szSchemaCreature2 =
 	"	<page label='R'>\n" +
	"	<control progid='DecalControls.FixedLayout'>\n" +

	"         <control name='text2a' progid='DecalControls.StaticText' text='Race Group' \n" +
	"	   left='10'  top='12'  width='55'  height='20' />\n" +
	"         <control name='raceList2'         progid='DecalControls.Choice' \n" +
	"	   left='10'  top='30'  width='150' height='20' selected='1'>\n" + szSchemaRaceList +
	"         </control>\n" +

	"         <control name='btnRace2Next'      progid='DecalControls.PushButton' text='Next' \n" +
	"	   left='10'  top='60'  width='70'  height='18' />\n" +
	"         <control name='btnRace2Prev'      progid='DecalControls.PushButton' text='Prev' \n" +
	"	   left='95'  top='60'  width='70'  height='18' />\n" +
	"         <control name='btnResetRace2'     progid='DecalControls.PushButton' text='Reset Race' \n" +
	"	   left='180' top='60'  width='70'  height='18' />\n" +
	"         <control name='btnResetRaceAll'   progid='DecalControls.PushButton' text='Reset All' \n" +
	"	   left='265' top='60'  width='70'  height='18' />\n" +

	"         <control name='btnShowRace2'      progid='DecalControls.PushButton' text='Show All' \n" +
	"	   left='10'  top='85'  width='70'  height='18' />\n" +
	"         <control name='btnShowRaceDis'    progid='DecalControls.PushButton' text='Show Disabled' \n" +
	"	   left='95'  top='85'  width='70'  height='18' />\n" +


	// DefVuln	Choicelist
	"         <control name='text2i'            progid='DecalControls.StaticText' text='Def Vuln' \n" +
	"          left='10'  top='121' width='50'  height='20' />\n" +
	"         <control name='vulnDefChoice'     progid='DecalControls.Choice' \n" +
	"          left='60'  top='120' width='70'  height='20' droplines='5' >\n" +
	"           <option data='1' text='Blade'/>\n" +
	"           <option data='2' text='Pierce'/>\n" +
	"           <option data='3' text='Bludg'/>\n" +
	"           <option data='4' text='Cold'/>\n" +
	"           <option data='5' text='Fire'/>\n" +
	"           <option data='6' text='Acid'/>\n" +
	"           <option data='7' text='Elec'/>\n" +
	"         </control>\n" +

	// SelFlag	Choicelist
	"         <control name='text2m'           progid='DecalControls.StaticText' text='Select' \n" +
	"          left='10'  top='146' width='50' height='20' />\n" +
	"         <control name='selRChoice'      progid='DecalControls.Choice' \n" +
	"          left='60'  top='145' width='70' height='20' droplines='3' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Always'/>\n" +
	"           <option data='2' text='Never'/>\n" +
	"         </control>\n" +

	// AttFlag	Choicelist
	"         <control name='text2n'           progid='DecalControls.StaticText' text='Attack' \n" +
	"          left='10'  top='171' width='50' height='20' />\n" +
	"         <control name='attRChoice'      progid='DecalControls.Choice' \n" +
	"          left='60'  top='170' width='70' height='20' droplines='3' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Always'/>\n" +
	"           <option data='2' text='Never'/>\n" +
	"         </control>\n" +

	"	</control>\n" +
	"       </page>\n";
    
    szSchemaCreature3 =
 	"	<page label='C'>\n" +
 	"	<control progid='DecalControls.FixedLayout'>\n" +

 	"         <control name='text3a' progid='DecalControls.StaticText' text='Race Group' \n" +
	"	   left='10'  top='12'  width='55'  height='20' />\n" +
	"         <control name='raceList3'         progid='DecalControls.Choice' \n" +
	"	   left='10'  top='30'  width='150' height='20' selected='0'>\n" + szSchemaRaceList +
	"         </control>\n" +

	"         <control name='text3b' progid='DecalControls.StaticText' text='Creature Name' \n" +
	"	   left='180' top='12'  width='55'  height='20' />\n" +
	"         <control name='creList'           progid='DecalControls.Choice' \n" +
	"	   left='180' top='30'  width='150' height='20'>\n" +
	"         </control>\n" +

	"         <control name='btnRace3Next'      progid='DecalControls.PushButton' text='Next' \n" +
	"	   left='10'  top='60'  width='70'  height='18' />\n" +
	"         <control name='btnRace3Prev'      progid='DecalControls.PushButton' text='Prev' \n" +
	"	   left='95'  top='60'  width='70'  height='18' />\n" +
	"         <control name='btnCreNext'        progid='DecalControls.PushButton' text='Next' \n" +
	"	   left='180' top='60'  width='70'  height='18' />\n" +
	"         <control name='btnCrePrev'        progid='DecalControls.PushButton' text='Prev' \n" +
	"	   left='265' top='60'  width='70'  height='18' />\n" +
	
	"         <control name='btnResetRace'      progid='DecalControls.PushButton' text='Reset Race' \n" +
	"	   left='10'  top='85'  width='70'  height='18' />\n" +
	"         <control name='btnResetCre'       progid='DecalControls.PushButton' text='Reset Cre' \n" +
	"	   left='95'  top='85'  width='70'  height='18' />\n" +
	"         <control name='btnRaceLikeThis'   progid='DecalControls.PushButton' text='Race like this' \n" +
	"	   left='180' top='85'  width='70'  height='18' />\n" +

	// Health
	"         <control name='text3c'            progid='DecalControls.StaticText' text='Health:' \n" +
	"	   left='10'  top='115' width='40'  height='16' />\n" +
	"         <control name='text3cv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='55'  top='115' width='45'  height='16' />\n" +

	// Mana
	"         <control name='text3d'            progid='DecalControls.StaticText' text='Mana:' \n" +
	"	   left='110' top='115' width='40'  height='16' />\n" +
	"         <control name='text3dv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='155' top='115' width='45'  height='16' />\n" +

	// Stamina
	"         <control name='text3e'            progid='DecalControls.StaticText' text='Stam:' \n" +
	"	   left='210' top='115' width='40'  height='16' />\n" +
	"         <control name='text3ev'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='255' top='115' width='45'  height='16' />\n" +

	// Level
	"         <control name='text3f'            progid='DecalControls.StaticText' text='Level:' \n" +
	"	   left='10'  top='131' width='40'  height='16' />\n" +
	"         <control name='text3fv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='55'  top='131' width='45'  height='16' />\n" +

	// Exp
	"         <control name='text3g'            progid='DecalControls.StaticText' text='Exp:' \n" +
	"	   left='110' top='131' width='40'  height='16' />\n" +
	"         <control name='text3gv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='155' top='131' width='45'  height='16' />\n" +

	// MagicD
	"         <control name='text3h'            progid='DecalControls.StaticText' text='MagicD:' \n" +
	"	   left='210' top='131' width='40'  height='16' />\n" +
	"         <control name='text3hv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='255' top='131' width='45'  height='16' />\n" +

	// Changable fields

	// Vuln1	Choicelist
	"         <control name='text3i'           progid='DecalControls.StaticText' text='Vuln1' \n" +
	"          left='10'  top='156' width='30' height='20' />\n" +
	"         <control name='vuln1Choice'      progid='DecalControls.Choice' \n" +
	"          left='40'  top='155' width='65' height='20' droplines='5' >\n" +
	"           <option data='1' text='Blade'/>\n" +
	"           <option data='2' text='Pierce'/>\n" +
	"           <option data='3' text='Bludg'/>\n" +
	"           <option data='4' text='Cold'/>\n" +
	"           <option data='5' text='Fire'/>\n" +
	"           <option data='6' text='Acid'/>\n" +
	"           <option data='7' text='Elec'/>\n" +
	"         </control>\n" +

	// Vuln2	Choicelist
	"         <control name='text3j'           progid='DecalControls.StaticText' text='Vuln2' \n" +
	"          left='115' top='156' width='30' height='20' />\n" +
	"         <control name='vuln2Choice'      progid='DecalControls.Choice' \n" +
	"          left='145' top='155' width='65' height='20' droplines='5' >\n" +
	"           <option data='0' text='None'/>\n" +
	"           <option data='1' text='Blade'/>\n" +
	"           <option data='2' text='Pierce'/>\n" +
	"           <option data='3' text='Bludg'/>\n" +
	"           <option data='4' text='Cold'/>\n" +
	"           <option data='5' text='Fire'/>\n" +
	"           <option data='6' text='Acid'/>\n" +
	"           <option data='7' text='Elec'/>\n" +
	"         </control>\n" +

	// Vuln3	Choicelist
	"         <control name='text3k'           progid='DecalControls.StaticText' text='Vuln3' \n" +
	"          left='220' top='156' width='30' height='20' />\n" +
	"         <control name='vuln3Choice'      progid='DecalControls.Choice' \n" +
	"          left='250' top='155' width='70' height='20' droplines='5' >\n" +
	"           <option data='0' text='None'/>\n" +
	"           <option data='1' text='Blade'/>\n" +
	"           <option data='2' text='Pierce'/>\n" +
	"           <option data='3' text='Bludg'/>\n" +
	"           <option data='4' text='Cold'/>\n" +
	"           <option data='5' text='Fire'/>\n" +
	"           <option data='6' text='Acid'/>\n" +
	"           <option data='7' text='Elec'/>\n" +
	"         </control>\n" +
	
	// Priority	Edit box
	"         <control name='text3l'            progid='DecalControls.StaticText' text='Prio:' \n" +
	"	   left='10'  top='180' width='35'  height='16' />\n" +
	"         <control name='text3lv'           progid='DecalControls.StaticText' text='?' \n" +
	"	   left='50'  top='180' width='55'  height='16' />\n" +
	"         <control name='editCre3l'        progid='DecalControls.Edit' \n" +
	"	   left='110' top='179' width='75'  height='18' \n" +
	"	   marginx='12' marginy='2' imageportalsrc='4726' text='' />\n" +	
	
	// SelFlag	Choicelist
	"         <control name='text3m'           progid='DecalControls.StaticText' text='Select' \n" +
	"          left='12'  top='206' width='33' height='20' />\n" +
	"         <control name='selChoice'      progid='DecalControls.Choice' \n" +
	"          left='45'  top='205' width='70' height='20' droplines='3' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Always'/>\n" +
	"           <option data='2' text='Never'/>\n" +
	"         </control>\n" +

	// AttFlag	Choicelist
	"         <control name='text3n'           progid='DecalControls.StaticText' text='Attack' \n" +
	"          left='120' top='206' width='35' height='20' />\n" +
	"         <control name='attChoice'      progid='DecalControls.Choice' \n" +
	"          left='155' top='205' width='70' height='20' droplines='3' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Always'/>\n" +
	"           <option data='2' text='Never'/>\n" +
	"         </control>\n" +

	// YieldFlag	Choicelist
	"         <control name='text3o'           progid='DecalControls.StaticText' text='Yield' \n" +
	"          left='235' top='206' width='30' height='20' />\n" +
	"         <control name='yieldChoice'      progid='DecalControls.Choice' \n" +
	"          left='265' top='205' width='70' height='20' droplines='3' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Always'/>\n" +
	"           <option data='2' text='Never'/>\n" +
	"         </control>\n" +

	// VulnFlag	Choicelist
	"         <control name='text3p'           progid='DecalControls.StaticText' text='Vuln' \n" +
	"          left='10'  top='231' width='35' height='20' />\n" +
	"         <control name='vulnChoice'      progid='DecalControls.Choice' \n" +
	"          left='45'  top='230' width='70' height='20' droplines='3' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Always'/>\n" +
	"           <option data='2' text='Never'/>\n" +
	"         </control>\n" +

	// WarSpell	Choicelist
	"         <control name='text3q'           progid='DecalControls.StaticText' text='WarSpl' \n" +
	"          left='120' top='231' width='35' height='20' />\n" +
	"         <control name='warChoice'      progid='DecalControls.Choice' \n" +
	"          left='155' top='230' width='70' height='20' droplines='3' >\n" +
	"           <option data='0' text='Auto'/>\n" +
	"           <option data='1' text='Bolt'/>\n" +
	"           <option data='2' text='Arc'/>\n" +
	"         </control>\n" +
 
	"         <control name='chkNoDrainH'       progid='DecalControls.CheckBox'   text='No Health Drain' \n" +
	"	   left='10'  top='255' width='100' height='18'  checked='false'/>\n" +
	"         <control name='chkNoDrainS'       progid='DecalControls.CheckBox'   text='No Stamina Drain' \n" +
	"	   left='120' top='255' width='100' height='18'  checked='false'/>\n" +
	"         <control name='chkNoDrainM'       progid='DecalControls.CheckBox'   text='No Mana Drain' \n" +
	"	   left='230' top='255' width='100' height='18'  checked='false'/>\n" +
	
	"         <control name='chkNoStepDown'     progid='DecalControls.CheckBox'   text='No Stepdown' \n" +
	"	   left='10'  top='275' width='100'  height='18'  checked='false'/>\n" +
	"         <control name='chkDangerFlag'     progid='DecalControls.CheckBox'   text='Dangerous' \n" +
	"	   left='120' top='275' width='100'  height='18'  checked='false'/>\n" +

	"	</control>\n" +
	"       </page>\n";

    szSchemaCreatureEnd =
	"    </control>\n" +
	"  </control>\n" +
	"</view>";

    szSchemaCreature = szSchemaCreatureBegin + szSchemaCreature1 + szSchemaCreature2 +
		       szSchemaCreature3 + szSchemaCreatureEnd;
} // end function

// Display interface
function DisplayInterface() {

    //	Put up the control panels in a minimized state
    skapi.ShowControls(szSchemaControl,  false);
    skapi.ShowControls(szSchemaConfig,   false);
    skapi.ShowControls(szSchemaMovement, false);
    skapi.ShowControls(szSchemaBuffs,    false);
    skapi.ShowControls(szSchemaLoot,     false);
    skapi.ShowControls(szSchemaCreature, false);

    // Now set the text values on some of the buttons and checkboxes based on user defined configuration variables
    SetGenControls();
    SetNavControls();
    SetBuffControls();
    SetLootControls();
    SetCreatureControls();

    // Process events so that any updates to the decal panels are processed immediately
    skapi.WaitEvent(100, wemFullTimeout);

    return;
} // end function

// Remove decal-like interface
function RemoveInterface() {
    // Take down the panels
    skapi.RemoveControls(szPanelControl);
    skapi.RemoveControls(szPanelConfig);
    skapi.RemoveControls(szPanelMovement);
    skapi.RemoveControls(szPanelBuffs);
    skapi.RemoveControls(szPanelLoot);
    skapi.RemoveControls(szPanelCreature);
    return;
} // end function

function SetCreatureControls() {
    // Race and creature control initialization.  Main tab first
    skapi.SetControlProperty(szPanelCreature, "textExp2", "text", "Cur: " + selMinExp);

    // Now reset race tab
    skapi.SetControlProperty(szPanelCreature, "raceList2", "selected", 1);
    DisplayRace(Creature.RaceDecal[1]);
    
    // When resetting creature tab, we have to first select another race to ensure the
    // race we want is triggered (and thus displayed) when we do the 2nd setcontrol call.
    skapi.SetControlProperty(szPanelCreature, "raceList3", "selected", 0);
    skapi.SetControlProperty(szPanelCreature, "raceList3", "selected", 1);
    return;
} // end func

function SetLootControls() {
    skapi.SetControlProperty(szPanelLoot, "typeChoice",    "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "majorChoice",   "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "minorChoice",   "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "equipChoice",   "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "weaponChoice",  "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "rangedChoice",  "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "wandChoice",    "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "salvageChoice", "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "itemChoice",    "selected", 0);
    skapi.SetControlProperty(szPanelLoot, "deathChoice",   "selected", 0);

    DisplayLootType(1);
    DisplayLootMajor(0);
    DisplayLootMinor(0);
    DisplayLootArmor(0);
    DisplayLootWeaponM(0);
    DisplayLootWeaponR(0);
    DisplayLootWand(1);
    DisplayLootSalvage(0);
    DisplayLootItem(0);
    DisplayLootDI(Loot.FirstDI);

    DisplayLootJewelry();
    DisplayLootClothing();
    DisplayLootValSalv();
    DisplayLootScroll();
    DisplayLootValuable();


} // end func

function RefreshLootControls() {
    LootIndex = parseInt(dictSzValue("typeChoice"));
    DisplayLootType(LootIndex);
    LootIndex = parseInt(dictSzValue("majorChoice"));
    DisplayLootMajor(LootIndex);
    LootIndex = parseInt(dictSzValue("minorChoice"));
    DisplayLootMinor(LootIndex);
    LootIndex = parseInt(dictSzValue("equipChoice"));
    DisplayLootArmor(LootIndex);
    LootIndex = parseInt(dictSzValue("weaponChoice"));
    DisplayLootWeaponM(LootIndex);
    LootIndex = parseInt(dictSzValue("rangedChoice"));
    DisplayLootWeaponR(LootIndex);
    LootIndex = parseInt(dictSzValue("wandChoice"));
    DisplayLootWand(LootIndex);
    LootIndex = parseInt(dictSzValue("salvageChoice"));
    DisplayLootSalvage(LootIndex);
    LootIndex = parseInt(dictSzValue("itemChoice"));
    DisplayLootItem(LootIndex);
    DisplayLootJewelry();
    DisplayLootClothing();
    DisplayLootValSalv();
    DisplayLootScroll();
    DisplayLootValuable();
    LootIndex = parseInt(dictSzValue("deathChoice"));
    DisplayLootDI(LootIndex);
} // end func

function SetNavControls() {
    skapi.SetControlProperty(szPanelMovement, "text2av", "text", AttLocCur);
} // end func

function SetBuffControls() {
    BuffHermIndex   = Buff.Lookup("Hermetic Link");
    DisplayBuffHerm();
    BuffDefIndex    = Buff.Lookup("Defender");
    DisplayBuffDef();
    BuffSpiritIndex = Buff.Lookup("Spirit Drinker");
    DisplayBuffSpirit();
    
    skapi.SetControlProperty(szPanelBuffs, "creChoice", "selected", 0);
    DisplayBuffCre(Buff.Range[buffTypeCre].Begin);
    skapi.SetControlProperty(szPanelBuffs, "lifeChoice", "selected", 0);
    DisplayBuffLife(Buff.Range[buffTypeLife].Begin);
    skapi.SetControlProperty(szPanelBuffs, "armorChoice", "selected", 0);
    DisplayBuffArmor(Buff.Range[buffTypeItem].Begin);
} // end func

// Set general controls based on macro control variables
function SetGenControls() {
    if (Stealth)	skapi.SetControlProperty(szPanelControl, "btnStealth",    "Text", "Disable Stealth"  );
    if (AttackMode)	skapi.SetControlProperty(szPanelControl, "btnAttackMode", "Text", "Disable Attack"   );
    if (SafeMode)	skapi.SetControlProperty(szPanelControl, "btnSafeMode",   "Text", "Disable SafeMode" );
    if (AutoMove)	skapi.SetControlProperty(szPanelControl, "btnAutoMove",   "Text", "Disable AutoMove" );
    if (ExclMode)	skapi.SetControlProperty(szPanelControl, "btnExclusion",  "Text", "Disable ExclMode" );
    if (PeaceMode)	skapi.SetControlProperty(szPanelControl, "btnPeaceMode",  "Text", "Disable PeaceMode");
    if (BuffMode)	skapi.SetControlProperty(szPanelControl, "btnBuffMode",   "Text", "Disable Buffing"  );

    // General 1 tab
    skapi.SetControlProperty(szPanelConfig, "chkLogItemBuffs",	"checked", flagLogBuffs);
    skapi.SetControlProperty(szPanelConfig, "chkWarAvoid",	"checked", flagWarAvoid);
    skapi.SetControlProperty(szPanelConfig, "chkReduceBurden",	"checked", flagReduceBurden);
    skapi.SetControlProperty(szPanelConfig, "chkAutoResp",	"checked", flagAutoRespond);
    skapi.SetControlProperty(szPanelConfig, "chkAutoExcl",	"checked", flagAutoExcl);
    skapi.SetControlProperty(szPanelConfig, "chkDeathLog",	"checked", flagDeathLog);
    skapi.SetControlProperty(szPanelConfig, "chkDeathBuff",	"checked", flagDeathRebuff);
    skapi.SetControlProperty(szPanelConfig, "chkFellowStealth", "checked", flagFellowStealth);
    skapi.SetControlProperty(szPanelConfig, "chkAcceptFellow",	"checked", flagAcceptFellow);
    skapi.SetControlProperty(szPanelConfig, "chkDisband",	"checked", flagAllowDisband);
    skapi.SetControlProperty(szPanelConfig, "chkAllegStealth",	"checked", flagAllegStealth);
    skapi.SetControlProperty(szPanelConfig, "chkAutoResume",	"checked", flagAutoResume);
    skapi.SetControlProperty(szPanelConfig, "chkGem",		"checked", flagGem);
    skapi.SetControlProperty(szPanelConfig, "chkSlideCast",	"checked", flagSlideCast);

    if (anybodyFellow) {
	opt = "2";		// 'Anybody' choice
    } else {
	if (passwordFellow) {
	    opt = "1";	// 'Password' choice
	} else {
	    opt = "0";	// 'Authorized' choice
	} // endif
    } // endif
    skapi.SetControlProperty(szPanelConfig, "fellowOptions",      "selected",  opt);

    // General 2 tab
    skapi.SetControlProperty(szPanelConfig, "chkSelCheckZ",	  "checked",   flagSelCheckZ	 );
    skapi.SetControlProperty(szPanelConfig, "chkAssessKnown",	  "checked",   flagAssessKnown	 );
    skapi.SetControlProperty(szPanelConfig, "chkAssessUnknown",   "checked",   flagAssessUnknown );
    skapi.SetControlProperty(szPanelConfig, "chkIgnoreAtt",	  "checked",   flagIgnoreAtt     );
    skapi.SetControlProperty(szPanelConfig, "choiceManaStone",    "selected",  manaStoneLimit	 );
    skapi.SetControlProperty(szPanelConfig, "choiceSpellAugGems", "selected",  spellAugGems	 );
    skapi.SetControlProperty(szPanelConfig, "chkSupportOnly",     "checked",   attSupportOnly    );
    skapi.SetControlProperty(szPanelConfig, "chkAlwaysImperl",    "checked",   attAlwaysImperl   );
    skapi.SetControlProperty(szPanelConfig, "chkAlwaysVuln",      "checked",   attAlwaysVuln     );
    skapi.SetControlProperty(szPanelConfig, "chkHealFellow",      "checked",   attHealFellow     );
    skapi.SetControlProperty(szPanelConfig, "chkStamFellow",      "checked",   attStamFellow     );
    skapi.SetControlProperty(szPanelConfig, "chkBuffDanger",      "checked",   flagBuffDanger    );
    skapi.SetControlProperty(szPanelConfig, "chkSelByDist",       "checked",   flagSelByDist     );

    // Movement
    skapi.SetControlProperty(szPanelConfig, "chkAutoHome",	 "checked",  flagAutoHome	);
    skapi.SetControlProperty(szPanelConfig, "chkMoveDelay",	 "checked",  flagMoveDelay	);
    skapi.SetControlProperty(szPanelConfig, "chkRetreat",	 "checked",  flagRetreatCrit	);
    skapi.SetControlProperty(szPanelConfig, "chkMultRetreat",	 "checked",  flagMultRetreat	);
    skapi.SetControlProperty(szPanelConfig, "chkHealthRetreat",	 "checked",  flagHealthRetreat	);
    skapi.SetControlProperty(szPanelConfig, "chkRecordLoc",	 "checked",  flagRecordLoc	);
    skapi.SetControlProperty(szPanelConfig, "retreatCnt1",	 "selected", retreatAmtOne-1);
    skapi.SetControlProperty(szPanelConfig, "retreatCnt2",	 "selected", retreatAmtTwo-1);
    skapi.SetControlProperty(szPanelConfig, "retreatCnt3",	 "selected", retreatAmtThreePlus-1);
    skapi.SetControlProperty(szPanelConfig, "retreatDam",	 "selected", 100-retreatDamThresh);
    skapi.SetControlProperty(szPanelConfig, "moveGroup",	 "selected", MoveGroup);

    // Info
    skapi.SetControlProperty(szPanelConfig, "chkRepPlayer",	 "checked",  flagReportPlayer);
    skapi.SetControlProperty(szPanelConfig, "chkRepLoot",	 "checked",  flagReportLoot);
    skapi.SetControlProperty(szPanelConfig, "chkRepAbort",	 "checked",  flagReportAbort);
    skapi.SetControlProperty(szPanelConfig, "chkDispUnspent",	 "checked",  flagDispExp);
    skapi.SetControlProperty(szPanelConfig, "chkDispSkill",	 "checked",  flagDispSkillExp);
    skapi.SetControlProperty(szPanelConfig, "chkItemFellow",	 "checked",  flagItemSpam);
    skapi.SetControlProperty(szPanelConfig, "chkFellowSupport",	 "checked",  flagFellowSup);
    skapi.SetControlProperty(szPanelConfig, "chkFriendSupport",	 "checked",  flagFriendSup);
    skapi.SetControlProperty(szPanelConfig, "chkVerbose",	 "checked",  flagVerbose);

    // Looting
    skapi.SetControlProperty(szPanelConfig, "chkLooting",	 "checked",  flagLootCheck	);
    skapi.SetControlProperty(szPanelConfig, "chkLootAll",	 "checked",  flagLootAll	);
    skapi.SetControlProperty(szPanelConfig, "chkLootWait",	 "checked",  flagLootWait	);
    skapi.SetControlProperty(szPanelConfig, "chkAutoUst",	 "checked",  flagAutoUst	);
    skapi.SetControlProperty(szPanelConfig, "chkMoveFull",	 "checked",  flagMoveFull	);
    skapi.SetControlProperty(szPanelConfig, "maxNote",      	 "selected", maxBuyNote		);
    skapi.SetControlProperty(szPanelConfig, "minNote",      	 "selected", minBuyNote		);

    // Start
    skapi.SetControlProperty(szPanelConfig, "chkStartBuff",	 "checked",  startBuffMode);
    skapi.SetControlProperty(szPanelConfig, "chkStartAttack",	 "checked",  startAttackMode);
    skapi.SetControlProperty(szPanelConfig, "chkStartStealth",	 "checked",  startStealth);
    skapi.SetControlProperty(szPanelConfig, "chkStartAutoMove",	 "checked",  startAutoMove);
    skapi.SetControlProperty(szPanelConfig, "chkStartExclMode",	 "checked",  startExclMode);
    skapi.SetControlProperty(szPanelConfig, "chkStartSafeMode",	 "checked",  startSafeMode);
    skapi.SetControlProperty(szPanelConfig, "chkStartPeaceMode", "checked",  startPeaceMode);
    skapi.SetControlProperty(szPanelConfig, "chkStartFellow",	 "checked",  creFellow);

    // Spell 1
    skapi.SetControlProperty(szPanelConfig, "chkYieldDisable",	 "checked",  flagYieldDisable);
    skapi.SetControlProperty(szPanelConfig, "chkYieldMagicD",	 "checked",  flagYieldNoMagD);
    skapi.SetControlProperty(szPanelConfig, "chkVulnDown",	 "checked",  attVulnStepdown);
    skapi.SetControlProperty(szPanelConfig, "chkWarDown",	 "checked",  attWarStepdown);
    skapi.SetControlProperty(szPanelConfig, "chkWarUp",		 "checked",  attWarStepup);
    skapi.SetControlProperty(szPanelConfig, "chkWandImbue", 	 "checked",  attUseWandImbue);
    skapi.SetControlProperty(szPanelConfig, "chkMatchVuln2", 	 "checked",  attMatchVuln2);
    skapi.SetControlProperty(szPanelConfig, "chkMatchVuln3", 	 "checked",  attMatchVuln3);

    x = Math.round(healStepUpThresh/10);	
    skapi.SetControlProperty(szPanelConfig, "healStepUp", 	 "selected", x);
    skapi.SetControlProperty(szPanelConfig, "warChoice",   	 "selected", attSpell);

    // Spell 2
    skapi.SetControlProperty(szPanelConfig, "maxWar",      	 "selected", 7-maxWarSpell);
    skapi.SetControlProperty(szPanelConfig, "minWar",      	 "selected", 7-minWarSpell);
    skapi.SetControlProperty(szPanelConfig, "maxYield",    	 "selected", 7-maxYieldSpell);
    skapi.SetControlProperty(szPanelConfig, "maxImperl",    	 "selected", 7-maxImperlSpell);
    skapi.SetControlProperty(szPanelConfig, "maxVuln",     	 "selected", 7-maxVulnSpell);
    skapi.SetControlProperty(szPanelConfig, "healSelf",    	 "selected", 7-spellHeal);
    skapi.SetControlProperty(szPanelConfig, "stam2health", 	 "selected", 7-spellStamHealth);
    skapi.SetControlProperty(szPanelConfig, "stam2mana",   	 "selected", 7-spellStamMana);
    skapi.SetControlProperty(szPanelConfig, "revitSelf",    	 "selected", 7-spellRevitalize);
    skapi.SetControlProperty(szPanelConfig, "strengthSelf",	 "selected", 7-spellStrength);  
    skapi.SetControlProperty(szPanelConfig, "drainHealth", 	 "selected", 7-spellDrainHealth);
    skapi.SetControlProperty(szPanelConfig, "drainStamina",	 "selected", 7-spellDrainStamina);
    skapi.SetControlProperty(szPanelConfig, "drainMana",   	 "selected", 7-spellDrainMana);

    skapi.SetControlProperty(szPanelConfig, "chkTuskerSpit",	 "checked",  flagUseTuskerSpit);
    skapi.SetControlProperty(szPanelConfig, "chkAmberApe",	 "checked",  flagUseAmberApe);
    skapi.SetControlProperty(szPanelConfig, "chkBoboStout",	 "checked",  flagUseBoboStout);
    
    // Comps
    skapi.SetControlProperty(szPanelConfig, "chkComps",		 "checked",  flagCompCheck);
    skapi.SetControlProperty(szPanelConfig, "chkCompLog",	 "checked",  flagCompLogOff);
    skapi.SetControlProperty(szPanelConfig, "chkCompAssist",	 "checked",  flagCompAssist);
    skapi.SetControlProperty(szPanelConfig, "chkCompRetreat",	 "checked",  flagCompRetreat);
    skapi.SetControlProperty(szPanelConfig, "chkSplitPeas",	 "checked",  flagSplitPeas);
    skapi.SetControlProperty(szPanelConfig, "compChoice",	 "selected",  0);

    // Alerts
    skapi.SetControlProperty(szPanelConfig, "chkTellAlert",	 "checked",  alertTell);
    skapi.SetControlProperty(szPanelConfig, "chkAllegAlert",  	 "checked",  alertAlleg);
    skapi.SetControlProperty(szPanelConfig, "chkDeathAlert",  	 "checked",  alertDeath);
    skapi.SetControlProperty(szPanelConfig, "chkPlayerAlert", 	 "checked",  alertPlayer);
    skapi.SetControlProperty(szPanelConfig, "chkStealthAlert", 	 "checked",  alertStealth);
    skapi.SetControlProperty(szPanelConfig, "chkCompAlert",   	 "checked",  alertComps);
    skapi.SetControlProperty(szPanelConfig, "chkItemAlert",   	 "checked",  alertItem);
    skapi.SetControlProperty(szPanelConfig, "chkAbortAlert",  	 "checked",  alertAbort);
    skapi.SetControlProperty(szPanelConfig, "chkAdminAlert",  	 "checked",  alertAdmin);

    // Debug
    skapi.SetControlProperty(szPanelConfig, "chkDebug",		 "checked",  debug);
    skapi.SetControlProperty(szPanelConfig, "chkEvents",	 "checked",  debugEvent);
    skapi.SetControlProperty(szPanelConfig, "chkStateDebug",	 "checked",  debugState);
    skapi.SetControlProperty(szPanelConfig, "chkSelDebug",	 "checked",  debugSelect);
    skapi.SetControlProperty(szPanelConfig, "chkTarDebug",	 "checked",  debugTarget);
    skapi.SetControlProperty(szPanelConfig, "chkKillDebug",	 "checked",  debugAttack);
    skapi.SetControlProperty(szPanelConfig, "chkMoveDebug",	 "checked",  debugMove);
    skapi.SetControlProperty(szPanelConfig, "chkLootDebug",	 "checked",  debugLoot);
    skapi.SetControlProperty(szPanelConfig, "chkSalvageDebug",	 "checked",  debugSalvage);
    skapi.SetControlProperty(szPanelConfig, "chkIdleDebug",	 "checked",  debugIdle);
    skapi.SetControlProperty(szPanelConfig, "chkBuffDebug",	 "checked",  debugBuffs);
    skapi.SetControlProperty(szPanelConfig, "chkCastDebug",	 "checked",  debugCast);
} // end func